/* Generated by re2c 0.9.11 on Sun Jan  1 14:41:26 2006 */
/*
   +----------------------------------------------------------------------+
   | PHP Version 5                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2006 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.01 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_01.txt                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Derick Rethans <derick@derickrethans.nl>                    |
   +----------------------------------------------------------------------+
 */

/* $Id: parse_date.c,v 1.29.2.23 2006/01/01 12:50:01 sniper Exp $ */

#include "timelib.h"

#include <stdio.h>
#include <ctype.h>

#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif
#ifdef HAVE_STRING_H
#include <string.h>
#else
#include <strings.h>
#endif

#if defined(_MSC_VER)
# define strtoll(s, f, b) _atoi64(s)
#elif !defined(HAVE_STRTOLL)
# if defined(HAVE_ATOLL)
#  define strtoll(s, f, b) atoll(s)
# else
#  define strtoll(s, f, b) strtol(s, f, b)
# endif
#endif

#define TIMELIB_SECOND  1
#define TIMELIB_MINUTE  2
#define TIMELIB_HOUR    3
#define TIMELIB_DAY     4
#define TIMELIB_MONTH   5
#define TIMELIB_YEAR    6
#define TIMELIB_WEEKDAY 7

#define EOI      257
#define TIME     258
#define DATE     259

#define TIMELIB_XMLRPC_SOAP    260
#define TIMELIB_TIME12         261
#define TIMELIB_TIME24         262
#define TIMELIB_GNU_NOCOLON    263
#define TIMELIB_GNU_NOCOLON_TZ 264
#define TIMELIB_ISO_NOCOLON    265

#define TIMELIB_AMERICAN       266
#define TIMELIB_ISO_DATE       267
#define TIMELIB_DATE_FULL      268
#define TIMELIB_DATE_TEXT      269
#define TIMELIB_DATE_NOCOLON   270
#define TIMELIB_PG_YEARDAY     271
#define TIMELIB_PG_TEXT        272
#define TIMELIB_PG_REVERSE     273
#define TIMELIB_CLF            274
#define TIMELIB_DATE_NO_DAY    275
#define TIMELIB_SHORTDATE_WITH_TIME 276
#define TIMELIB_DATE_FULL_POINTED 277
#define TIMELIB_TIME24_WITH_ZONE 278
#define TIMELIB_ISO_WEEK       279

#define TIMELIB_TIMEZONE       300
#define TIMELIB_AGO            301

#define TIMELIB_RELATIVE       310

#define TIMELIB_ERROR          999

typedef unsigned char uchar;

#define   BSIZE	   8192

#define   YYCTYPE      uchar
#define   YYCURSOR     cursor
#define   YYLIMIT      s->lim
#define   YYMARKER     s->ptr
#define   YYFILL(n)    return EOI;

#define   RET(i)       {s->cur = cursor; return i;}

#define timelib_string_free free

#define TIMELIB_HAVE_TIME() { if (s->time->have_time) { return TIMELIB_ERROR; } else { s->time->have_time = 1; s->time->h = 0; s->time->i = 0; s->time->s = 0; s->time->f = 0; } }
#define TIMELIB_UNHAVE_TIME() { s->time->have_time = 0; s->time->h = 0; s->time->i = 0; s->time->s = 0; s->time->f = 0; }
#define TIMELIB_HAVE_DATE() { if (s->time->have_date) { return TIMELIB_ERROR; } else { s->time->have_date = 1; } }
#define TIMELIB_UNHAVE_DATE() { s->time->have_date = 0; s->time->d = 0; s->time->m = 0; s->time->y = 0; }
#define TIMELIB_HAVE_RELATIVE() { s->time->have_relative = 1; s->time->relative.weekday_behavior = 0; }
#define TIMELIB_HAVE_WEEKDAY_RELATIVE() { s->time->have_weekday_relative = 1; }
#define TIMELIB_HAVE_TZ() { s->cur = cursor; if (s->time->have_zone) { return TIMELIB_ERROR; } else { s->time.have_zone = 1; } }

#define TIMELIB_INIT  s->cur = cursor; str = timelib_string(s); ptr = str
#define TIMELIB_DEINIT timelib_string_free(str)
#define TIMELIB_ADJUST_RELATIVE_WEEKDAY() if (in->time.have_weekday_relative && (in.rel.d > 0)) { in.rel.d -= 7; }

#define TIMELIB_PROCESS_YEAR(x) { \
	if ((x) == -1) {         \
	/*	(x) = 0; */          \
	} else if ((x) < 100) {  \
		if ((x) < 70) {      \
			(x) += 2000;     \
		} else {             \
			(x) += 1900;     \
		}                    \
	}                        \
}

#ifdef DEBUG_PARSER
#define DEBUG_OUTPUT(s) printf("%s\n", s);
#define YYDEBUG(s,c) { if (s != -1) { printf("state: %d ", s); printf("[%c]\n", c); } }
#else
#define DEBUG_OUTPUT(s)
#define YYDEBUG(s,c)
#endif

#include "timelib_structs.h"

typedef struct timelib_elems {
	unsigned int   c; /* Number of elements */
	char         **v; /* Values */
} timelib_elems;

typedef struct Scanner {
	int           fd;
	uchar        *lim, *str, *ptr, *cur, *tok, *pos;
	unsigned int  line, len;
	int           errors;

	struct timelib_time *time;
	timelib_tzdb        *tzdb;
} Scanner;

typedef struct _timelib_lookup_table {
    const char *name;
    int         type;
    int         value;
} timelib_lookup_table;

typedef struct _timelib_relunit {
	const char *name;
	int         unit;
	int         multiplier;
} timelib_relunit;

#define HOUR(a) (int)(a * 60)

/* The timezone table. */
static timelib_tz_lookup_table timelib_timezone_lookup[] = {
#include "timezonemap.h"
	{ NULL, 0, 0, NULL },
};

static timelib_tz_lookup_table timelib_timezone_fallbackmap[] = {
#include "fallbackmap.h"
	{ NULL, 0, 0, NULL },
};

static timelib_tz_lookup_table timelib_timezone_utc[] = {
	{ "utc", 0, 0, "UTC" },
};

static timelib_relunit const timelib_relunit_lookup[] = {
	{ "sec",         TIMELIB_SECOND,  1 },
	{ "secs",        TIMELIB_SECOND,  1 },
	{ "second",      TIMELIB_SECOND,  1 },
	{ "seconds",     TIMELIB_SECOND,  1 },
	{ "min",         TIMELIB_MINUTE,  1 },
	{ "mins",        TIMELIB_MINUTE,  1 },
	{ "minute",      TIMELIB_MINUTE,  1 },
	{ "minutes",     TIMELIB_MINUTE,  1 },
	{ "hour",        TIMELIB_HOUR,    1 },
	{ "hours",       TIMELIB_HOUR,    1 },
	{ "day",         TIMELIB_DAY,     1 },
	{ "days",        TIMELIB_DAY,     1 },
	{ "week",        TIMELIB_DAY,     7 },
	{ "weeks",       TIMELIB_DAY,     7 },
	{ "fortnight",   TIMELIB_DAY,    14 },
	{ "fortnights",  TIMELIB_DAY,    14 },
	{ "forthnight",  TIMELIB_DAY,    14 },
	{ "forthnights", TIMELIB_DAY,    14 },
	{ "month",       TIMELIB_MONTH,   1 },
	{ "months",      TIMELIB_MONTH,   1 },
	{ "year",        TIMELIB_YEAR,    1 },
	{ "years",       TIMELIB_YEAR,    1 },

	{ "monday",      TIMELIB_WEEKDAY, 1 },
	{ "mon",         TIMELIB_WEEKDAY, 1 },
	{ "tuesday",     TIMELIB_WEEKDAY, 2 },
	{ "tue",         TIMELIB_WEEKDAY, 2 },
	{ "wednesday",   TIMELIB_WEEKDAY, 3 },
	{ "wed",         TIMELIB_WEEKDAY, 3 },
	{ "thursday",    TIMELIB_WEEKDAY, 4 },
	{ "thu",         TIMELIB_WEEKDAY, 4 },
	{ "friday",      TIMELIB_WEEKDAY, 5 },
	{ "fri",         TIMELIB_WEEKDAY, 5 },
	{ "saturday",    TIMELIB_WEEKDAY, 6 },
	{ "sat",         TIMELIB_WEEKDAY, 6 },
	{ "sunday",      TIMELIB_WEEKDAY, 0 },
	{ "sun",         TIMELIB_WEEKDAY, 0 },

	{ NULL,          0,          0 }
};

/* The relative text table. */
static timelib_lookup_table const timelib_reltext_lookup[] = {
	{ "first",    0,  1 },
	{ "next",     0,  1 },
	{ "second",   0,  2 },
	{ "third",    0,  3 },
	{ "fourth",   0,  4 },
	{ "fifth",    0,  5 },
	{ "sixth",    0,  6 },
	{ "seventh",  0,  7 },
	{ "eight",    0,  8 },
	{ "ninth",    0,  9 },
	{ "tenth",    0, 10 },
	{ "eleventh", 0, 11 },
	{ "twelfth",  0, 12 },
	{ "last",     0, -1 },
	{ "previous", 0, -1 },
	{ "this",     1,  0 },
	{ NULL,       1,  0 }
};

/* The month table. */
static timelib_lookup_table const timelib_month_lookup[] = {
	{ "jan",  0,  1 },
	{ "feb",  0,  2 },
	{ "mar",  0,  3 },
	{ "apr",  0,  4 },
	{ "may",  0,  5 },
	{ "jun",  0,  6 },
	{ "jul",  0,  7 },
	{ "aug",  0,  8 },
	{ "sep",  0,  9 },
	{ "sept", 0,  9 },
	{ "oct",  0, 10 },
	{ "nov",  0, 11 },
	{ "dec",  0, 12 },
	{ "i",    0,  1 },
	{ "ii",   0,  2 },
	{ "iii",  0,  3 },
	{ "iv",   0,  4 },
	{ "v",    0,  5 },
	{ "vi",   0,  6 },
	{ "vii",  0,  7 },
	{ "viii", 0,  8 },
	{ "ix",   0,  9 },
	{ "x",    0, 10 },
	{ "xi",   0, 11 },
	{ "xii",  0, 12 },

	{ "january",   0,  1 },
	{ "february",  0,  2 },
	{ "march",     0,  3 },
	{ "april",     0,  4 },
	{ "may",       0,  5 },
	{ "june",      0,  6 },
	{ "july",      0,  7 },
	{ "august",    0,  8 },
	{ "september", 0,  9 },
	{ "october",   0, 10 },
	{ "november",  0, 11 },
	{ "december",  0, 12 },
	{  NULL,       0,  0 }
};

#if 0
static char* timelib_ltrim(char *s)
{
	char *ptr = s;
	while (ptr[0] == ' ') {
		ptr++;
	}
	return ptr;
}
#endif

#if 0
uchar *fill(Scanner *s, uchar *cursor){
	if(!s->eof){
		unsigned int cnt = s->tok - s->bot;
		if(cnt){
			memcpy(s->bot, s->tok, s->lim - s->tok);
			s->tok = s->bot;
			s->ptr -= cnt;
			cursor -= cnt;
			s->pos -= cnt;
			s->lim -= cnt;
		}
		if((s->top - s->lim) < BSIZE){
			uchar *buf = (uchar*) malloc(((s->lim - s->bot) + BSIZE)*sizeof(uchar));
			memcpy(buf, s->tok, s->lim - s->tok);
			s->tok = buf;
			s->ptr = &buf[s->ptr - s->bot];
			cursor = &buf[cursor - s->bot];
			s->pos = &buf[s->pos - s->bot];
			s->lim = &buf[s->lim - s->bot];
			s->top = &s->lim[BSIZE];
			free(s->bot);
			s->bot = buf;
		}
		if((cnt = read(s->fd, (char*) s->lim, BSIZE)) != BSIZE){
			s->eof = &s->lim[cnt]; *(s->eof)++ = '\n';
		}
		s->lim += cnt;
	}
	return cursor;
}
#endif

static timelib_sll timelib_meridian(char **ptr, timelib_sll h)
{
	timelib_sll retval = 0;

	while (!strchr("AaPp", **ptr)) {
		++*ptr;
	}
	if (**ptr == 'a' || **ptr == 'A') {
		if (h == 12) {
			retval = -12;
		}
	} else if (h != 12) {
		retval = 12;
	}
	++*ptr;
	if (**ptr == '.') {
		*ptr += 3;
	} else {
		++*ptr;
	}
	return retval;
}

static char *timelib_string(Scanner *s)
{
	char *tmp = calloc(1, s->cur - s->tok + 1);
	memcpy(tmp, s->tok, s->cur - s->tok);

	return tmp;
}

static timelib_sll timelib_get_nr(char **ptr, int max_length)
{
	char *begin, *end, *str;
	timelib_sll tmp_nr = -1;
	int len = 0;

	while ((**ptr < '0') || (**ptr > '9')) {
		if (**ptr == '\0') {
			return -1;
		}
		++*ptr;
	}
	begin = *ptr;
	while ((**ptr >= '0') && (**ptr <= '9') && len < max_length) {
		++*ptr;
		++len;
	}
	end = *ptr;
	str = calloc(1, end - begin + 1);
	memcpy(str, begin, end - begin);
	tmp_nr = strtoll(str, NULL, 10);
	free(str);
	return tmp_nr;
}

static void timelib_skip_day_suffix(char **ptr)
{
	if (isspace(**ptr)) {
		return;
	}
	if (!strncasecmp(*ptr, "nd", 2) || !strncasecmp(*ptr, "rd", 2) ||!strncasecmp(*ptr, "st", 2) || !strncasecmp(*ptr, "th", 2)) {
		*ptr += 2;
	}
}

static double timelib_get_frac_nr(char **ptr, int max_length)
{
	char *begin, *end, *str;
	double tmp_nr = -1;
	int len = 0;

	while ((**ptr != '.') && ((**ptr < '0') || (**ptr > '9'))) {
		if (**ptr == '\0') {
			return -1;
		}
		++*ptr;
	}
	begin = *ptr;
	while (((**ptr == '.') || ((**ptr >= '0') && (**ptr <= '9'))) && len < max_length) {
		++*ptr;
		++len;
	}
	end = *ptr;
	str = calloc(1, end - begin + 1);
	memcpy(str, begin, end - begin);
	tmp_nr = strtod(str, NULL);
	free(str);
	return tmp_nr;
}

static timelib_ull timelib_get_unsigned_nr(char **ptr, int max_length)
{
	timelib_ull dir = 1;

	while (((**ptr < '0') || (**ptr > '9')) && (**ptr != '+') && (**ptr != '-')) {
		if (**ptr == '\0') {
			return -1;
		}
		++*ptr;
	}
	if (**ptr == '+') {
		++*ptr;
	} else if (**ptr == '-') {
		dir = -1;
		++*ptr;
	}
	return dir * timelib_get_nr(ptr, max_length);
}

static long timelib_parse_tz_cor(char **ptr)
{
	char *begin = *ptr, *end;
	long  tmp;

	while (**ptr != '\0') {
		++*ptr;
	}
	end = *ptr;
	switch (end - begin) {
		case 1:
		case 2:
			return HOUR(strtol(begin, NULL, 10));
			break;
		case 3:
		case 4:
			tmp = strtol(begin, NULL, 10);
			return HOUR(tmp / 100) + tmp % 100;
		case 5:
			tmp = HOUR(strtol(begin, NULL, 10)) +
				strtol(begin + 3, NULL, 10);
			return tmp;
	}
	return 0;
}

static timelib_sll timelib_lookup_relative_text(char **ptr, int *behavior)
{
	char *word;
	char *begin = *ptr, *end;
	timelib_sll  value = 0;
	const timelib_lookup_table *tp;

	while ((**ptr >= 'A' && **ptr <= 'Z') || (**ptr >= 'a' && **ptr <= 'z')) {
		++*ptr;
	}
	end = *ptr;
	word = calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	for (tp = timelib_reltext_lookup; tp->name; tp++) {
		if (strcasecmp(word, tp->name) == 0) {
			value = tp->value;
			*behavior = tp->type;
		}
	}

	free(word);
	return value;
}

static timelib_sll timelib_get_relative_text(char **ptr, int *behavior)
{
	while (**ptr == ' ' || **ptr == '-' || **ptr == '/') {
		++*ptr;
	}
	return timelib_lookup_relative_text(ptr, behavior);
}

static long timelib_lookup_month(char **ptr)
{
	char *word;
	char *begin = *ptr, *end;
	long  value = 0;
	const timelib_lookup_table *tp;

	while ((**ptr >= 'A' && **ptr <= 'Z') || (**ptr >= 'a' && **ptr <= 'z')) {
		++*ptr;
	}
	end = *ptr;
	word = calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	for (tp = timelib_month_lookup; tp->name; tp++) {
		if (strcasecmp(word, tp->name) == 0) {
			value = tp->value;
		}
	}

	free(word);
	return value;
}

static long timelib_get_month(char **ptr)
{
	while (**ptr == ' ' || **ptr == '-' || **ptr == '.' || **ptr == '/') {
		++*ptr;
	}
	return timelib_lookup_month(ptr);
}

static void timelib_eat_spaces(char **ptr)
{
	while (**ptr == ' ') {
		++*ptr;
	}
}

static const timelib_relunit* timelib_lookup_relunit(char **ptr)
{
	char *word;
	char *begin = *ptr, *end;
	const timelib_relunit *tp, *value = NULL;

	while (**ptr != '\0' && **ptr != ' ') {
		++*ptr;
	}
	end = *ptr;
	word = calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	for (tp = timelib_relunit_lookup; tp->name; tp++) {
		if (strcasecmp(word, tp->name) == 0) {
			value = tp;
			break;
		}
	}

	free(word);
	return value;
}

static void timelib_set_relative(char **ptr, timelib_sll amount, int behavior, Scanner *s)
{
	const timelib_relunit* relunit;

	relunit = timelib_lookup_relunit(ptr);
	switch (relunit->unit) {
		case TIMELIB_SECOND: s->time->relative.s += amount * relunit->multiplier; break;
		case TIMELIB_MINUTE: s->time->relative.i += amount * relunit->multiplier; break;
		case TIMELIB_HOUR:   s->time->relative.h += amount * relunit->multiplier; break;
		case TIMELIB_DAY:    s->time->relative.d += amount * relunit->multiplier; break;
		case TIMELIB_MONTH:  s->time->relative.m += amount * relunit->multiplier; break;
		case TIMELIB_YEAR:   s->time->relative.y += amount * relunit->multiplier; break;

		case TIMELIB_WEEKDAY:
			TIMELIB_HAVE_WEEKDAY_RELATIVE();
			TIMELIB_UNHAVE_TIME();
			s->time->relative.d += (amount > 0 ? amount - 1 : amount) * 7;
			s->time->relative.weekday = relunit->multiplier;
			s->time->relative.weekday_behavior = behavior;
			break;
	}
}

static timelib_tz_lookup_table* zone_search(const char *word, long gmtoffset, int isdst)
{
	int first_found = 0;
	timelib_tz_lookup_table  *tp, *first_found_elem;
	timelib_tz_lookup_table  *fmp;

	if (strcasecmp("utc", word) == 0) {
		return timelib_timezone_utc;
	}
	
	for (tp = timelib_timezone_lookup; tp->name; tp++) {
		if (strcasecmp(word, tp->name) == 0) {
			if (!first_found) {
				first_found = 1;
				first_found_elem = tp;
				if (gmtoffset == -1) {
					return tp;
				}
			}
			if (tp->gmtoffset == gmtoffset) {
				return tp;
			}
		}
	}
	if (first_found) {
		return first_found_elem;
	}

	/* Still didn't find anything, let's find the zone solely based on
	 * offset/isdst then */
	for (fmp = timelib_timezone_fallbackmap; fmp->name; fmp++) {
		if ((fmp->gmtoffset * 3600) == gmtoffset && fmp->type == isdst) {
			return fmp;
		}
	}
	return NULL;
}

static long timelib_lookup_zone(char **ptr, int *dst, char **tz_abbr, int *found)
{
	char *word;
	char *begin = *ptr, *end;
	long  value = 0;
	timelib_tz_lookup_table *tp;

	while (**ptr != '\0' && **ptr != ')') {
		++*ptr;
	}
	end = *ptr;
	word = calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	if ((tp = zone_search(word, -1, 0))) {
		value = -tp->gmtoffset / 60;
		*dst = tp->type;
		value += tp->type * 60;
		*found = 1;
	} else {
		*found = 0;
	}

	*tz_abbr = word;
	return value;
}

static long timelib_get_zone(char **ptr, int *dst, timelib_time *t, int *tz_not_found, timelib_tzdb *tzdb)
{
	timelib_tzinfo *res;
	long            retval = 0;

	*tz_not_found = 0;

	while (**ptr == ' ' || **ptr == '(') {
		++*ptr;
	}
	if (**ptr == '+') {
		++*ptr;
		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_OFFSET;
		*tz_not_found = 0;
		t->dst = 0;

		retval = -1 * timelib_parse_tz_cor(ptr);
	} else if (**ptr == '-') {
		++*ptr;
		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_OFFSET;
		*tz_not_found = 0;
		t->dst = 0;

		retval = timelib_parse_tz_cor(ptr);
	} else {
		int found = 0;
		long offset;
		char *tz_abbr;

		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_ABBR;

		offset = timelib_lookup_zone(ptr, dst, &tz_abbr, &found);
#if 0
		/* If we found a TimeZone identifier, use it */
		if (tz_name) {
			t->tz_info = timelib_parse_tzfile(tz_name);
			t->zone_type = TIMELIB_ZONETYPE_ID;
		}
#endif
		/* If we have a TimeZone identifier to start with, use it */
		if (strstr(tz_abbr, "/")) {
			if ((res = timelib_parse_tzfile(tz_abbr, tzdb)) != NULL) {
				t->tz_info = res;
				t->zone_type = TIMELIB_ZONETYPE_ID;
				found++;
			}
		}
		if (t->zone_type != TIMELIB_ZONETYPE_ID) {
			timelib_time_tz_abbr_update(t, tz_abbr);
		}
		free(tz_abbr);
		*tz_not_found = (found == 0);
		retval = offset;
	}
	while (**ptr == ')') {
		++*ptr;
	}
	return retval;
}

#define timelib_split_free(arg) {       \
	int i;                         \
	for (i = 0; i < arg.c; i++) {  \
		free(arg.v[i]);            \
	}                              \
	if (arg.v) {                   \
		free(arg.v);               \
	}                              \
}

static int scan(Scanner *s)
{
	uchar *cursor = s->cur;
	char *str, *ptr = NULL;
		
std:
	s->tok = cursor;
	s->len = 0;


{
	static unsigned char yybm[] = {
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	208,  64,  64,  64,  64,  64,  64,  64, 
	 64,  64,  64,  64, 192,  64, 192,   0, 
	  8,   8,   8,   8,   8,   8,   8,   8, 
	  8,   8,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,  32,  32,  32, 160,  32,  32,  32, 
	160,  32,  32,  32,  32,  32, 160,  32, 
	 32,  32, 160, 160, 160,  32,  32,  32, 
	 32,  32,  32,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	  0,   0,   0,   0,   0,   0,   0,   0, 
	};

{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	goto yy0;

	YYDEBUG(1, *YYCURSOR);
	++YYCURSOR;
yy0:
	if((YYLIMIT - YYCURSOR) < 26) YYFILL(26);
	yych = *YYCURSOR;
	YYDEBUG(-1, yych);
	switch(yych){
	case 0x00:	case 0x0A:	goto yy47;
	case ' ':	goto yy44;
	case '(':	goto yy41;
	case '+':	case '-':	goto yy40;
	case ',':	case '.':	goto yy46;
	case '0':	goto yy9;
	case '1':	goto yy10;
	case '2':	goto yy11;
	case '3':	goto yy12;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy13;
	case '@':	goto yy7;
	case 'A':	goto yy22;
	case 'B':
	case 'C':	case 'G':
	case 'H':	case 'K':	case 'Q':
	case 'R':	case 'U':	case 'Y':
	case 'Z':	goto yy42;
	case 'D':	goto yy29;
	case 'E':	goto yy34;
	case 'F':	goto yy19;
	case 'I':	goto yy14;
	case 'J':	goto yy17;
	case 'L':	goto yy36;
	case 'M':	goto yy21;
	case 'N':	goto yy28;
	case 'O':	goto yy26;
	case 'P':	goto yy38;
	case 'S':	goto yy24;
	case 'T':	goto yy31;
	case 'V':	goto yy15;
	case 'W':	goto yy32;
	case 'X':	goto yy16;
	case 'a':	goto yy23;
	case 'b':
	case 'c':	case 'g':
	case 'h':
	case 'i':	case 'k':	case 'q':
	case 'r':	case 'u':
	case 'v':	case 'x':	case 'z':	goto yy43;
	case 'd':	goto yy30;
	case 'e':	goto yy35;
	case 'f':	goto yy20;
	case 'j':	goto yy18;
	case 'l':	goto yy37;
	case 'm':	goto yy5;
	case 'n':	goto yy4;
	case 'o':	goto yy27;
	case 'p':	goto yy39;
	case 's':	goto yy25;
	case 't':	goto yy6;
	case 'w':	goto yy33;
	case 'y':	goto yy2;
	default:	goto yy49;
	}
yy2:
	YYDEBUG(2, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych >= 'A')	goto yy132;
		goto yy3;
	} else {
		if(yych <= 'd'){
			if(yych >= 'a')	goto yy132;
			goto yy3;
		} else {
			if(yych <= 'e')	goto yy1259;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy3:
	YYDEBUG(3, *YYCURSOR);

{
		int tz_not_found;
		DEBUG_OUTPUT("tzcorrection | tz");
		TIMELIB_INIT;
		s->time->z = timelib_get_zone((char **) &ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb);
		s->errors += tz_not_found;
		TIMELIB_DEINIT;
		return TIMELIB_TIMEZONE;
	}
yy4:
	YYDEBUG(4, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= 'D'){
			if(yych == ')')	goto yy131;
			if(yych <= '@')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'H'){
				if(yych <= 'E')	goto yy507;
				goto yy132;
			} else {
				if(yych <= 'I')	goto yy508;
				if(yych <= 'N')	goto yy132;
				goto yy503;
			}
		}
	} else {
		if(yych <= 'h'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy132;
				goto yy3;
			} else {
				if(yych == 'e')	goto yy507;
				goto yy132;
			}
		} else {
			if(yych <= 'n'){
				if(yych <= 'i')	goto yy508;
				goto yy132;
			} else {
				if(yych <= 'o')	goto yy1253;
				if(yych <= 'z')	goto yy132;
				goto yy3;
			}
		}
	}
yy5:
	YYDEBUG(5, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= 'A')	goto yy608;
			if(yych == 'O')	goto yy611;
			goto yy132;
		}
	} else {
		if(yych <= 'i'){
			if(yych <= '`')	goto yy3;
			if(yych <= 'a')	goto yy608;
			if(yych <= 'h')	goto yy132;
			goto yy1247;
		} else {
			if(yych == 'o')	goto yy611;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy6:
	YYDEBUG(6, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych <= 'G'){
			if(yych <= '@'){
				if(yych == ')')	goto yy131;
				goto yy3;
			} else {
				if(yych == 'E')	goto yy361;
				goto yy132;
			}
		} else {
			if(yych <= 'U'){
				if(yych <= 'H')	goto yy362;
				if(yych <= 'T')	goto yy132;
				goto yy363;
			} else {
				if(yych == 'W')	goto yy364;
				goto yy132;
			}
		}
	} else {
		if(yych <= 'n'){
			if(yych <= 'e'){
				if(yych <= '`')	goto yy3;
				if(yych <= 'd')	goto yy132;
				goto yy361;
			} else {
				if(yych == 'h')	goto yy362;
				goto yy132;
			}
		} else {
			if(yych <= 'u'){
				if(yych <= 'o')	goto yy1235;
				if(yych <= 't')	goto yy132;
				goto yy363;
			} else {
				if(yych == 'w')	goto yy364;
				if(yych <= 'z')	goto yy132;
				goto yy3;
			}
		}
	}
yy7:
	YYDEBUG(7, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '-')	goto yy1231;
	if(yych <= '0')	goto yy8;
	if(yych <= '9')	goto yy1232;
	goto yy8;
yy8:
	YYDEBUG(8, *YYCURSOR);

{
/*		printf("unexpected character: #%d, %c ", *s->tok, *s->tok); */
		s->errors++;
		goto std;
	}
yy9:
	YYDEBUG(9, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':	case 'S':
	case 'T':	case 'V':
	case 'W':
	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':	case 'o':	case 'w':	case 'y':	goto yy1195;
	case '-':	goto yy698;
	case '.':	goto yy1197;
	case '/':	goto yy697;
	case '0':	goto yy1230;
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy1229;
	case ':':	goto yy1198;
	case 'n':	goto yy695;
	case 'r':	goto yy696;
	case 's':	goto yy689;
	case 't':	goto yy693;
	default:	goto yy8;
	}
yy10:
	YYDEBUG(10, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':
	case 'P':	case 'S':
	case 'T':	case 'V':
	case 'W':
	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':	case 'o':
	case 'p':	case 'w':	case 'y':	goto yy687;
	case '-':	goto yy698;
	case '.':	goto yy701;
	case '/':	goto yy697;
	case '0':
	case '1':
	case '2':	goto yy1229;
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy1196;
	case ':':	goto yy710;
	case 'n':	goto yy695;
	case 'r':	goto yy696;
	case 's':	goto yy689;
	case 't':	goto yy693;
	default:	goto yy8;
	}
yy11:
	YYDEBUG(11, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':
	case 'P':	case 'S':
	case 'T':	case 'V':
	case 'W':
	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':	case 'o':
	case 'p':	case 'w':	case 'y':	goto yy687;
	case '-':	goto yy698;
	case '.':	goto yy701;
	case '/':	goto yy697;
	case '0':
	case '1':
	case '2':
	case '3':	goto yy1196;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy1193;
	case ':':	goto yy710;
	case 'n':	goto yy695;
	case 'r':	goto yy696;
	case 's':	goto yy689;
	case 't':	goto yy693;
	default:	goto yy8;
	}
yy12:
	YYDEBUG(12, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':
	case 'P':	case 'S':
	case 'T':	case 'V':
	case 'W':
	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':	case 'o':
	case 'p':	case 'w':	case 'y':	goto yy687;
	case '-':	goto yy698;
	case '.':	goto yy701;
	case '/':	goto yy697;
	case '0':
	case '1':	goto yy1193;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy694;
	case ':':	goto yy710;
	case 'n':	goto yy695;
	case 'r':	goto yy696;
	case 's':	goto yy689;
	case 't':	goto yy693;
	default:	goto yy8;
	}
yy13:
	YYDEBUG(13, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':
	case 'P':	case 'S':
	case 'T':	case 'V':
	case 'W':
	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':	case 'o':
	case 'p':	case 'w':	case 'y':	goto yy687;
	case '-':	goto yy698;
	case '.':	goto yy701;
	case '/':	goto yy697;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy694;
	case ':':	goto yy710;
	case 'n':	goto yy695;
	case 'r':	goto yy696;
	case 's':	goto yy689;
	case 't':	goto yy693;
	default:	goto yy8;
	}
yy14:
	YYDEBUG(14, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '/')	goto yy3;
			if(yych <= '9')	goto yy402;
			if(yych <= '@')	goto yy3;
			goto yy132;
		}
	} else {
		if(yych <= 'W'){
			if(yych <= 'I')	goto yy685;
			if(yych == 'V')	goto yy684;
			goto yy132;
		} else {
			if(yych <= 'Z'){
				if(yych <= 'X')	goto yy684;
				goto yy132;
			} else {
				if(yych <= '`')	goto yy3;
				if(yych <= 'z')	goto yy135;
				goto yy3;
			}
		}
	}
yy15:
	YYDEBUG(15, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy132;
			goto yy682;
		} else {
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy16:
	YYDEBUG(16, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy132;
			goto yy680;
		} else {
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy17:
	YYDEBUG(17, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= 'A')	goto yy663;
			if(yych <= 'T')	goto yy132;
			goto yy662;
		}
	} else {
		if(yych <= 'a'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy672;
		} else {
			if(yych == 'u')	goto yy671;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy18:
	YYDEBUG(18, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= 'A')	goto yy663;
			if(yych <= 'T')	goto yy132;
			goto yy662;
		}
	} else {
		if(yych <= 'a'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy663;
		} else {
			if(yych == 'u')	goto yy662;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy19:
	YYDEBUG(19, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= 'E'){
			if(yych <= ')'){
				if(yych <= '(')	goto yy3;
				goto yy131;
			} else {
				if(yych <= '@')	goto yy3;
				if(yych <= 'D')	goto yy132;
				goto yy624;
			}
		} else {
			if(yych <= 'N'){
				if(yych == 'I')	goto yy625;
				goto yy132;
			} else {
				if(yych <= 'O')	goto yy626;
				if(yych <= 'Q')	goto yy132;
				goto yy627;
			}
		}
	} else {
		if(yych <= 'i'){
			if(yych <= 'd'){
				if(yych <= 'Z')	goto yy132;
				if(yych <= '`')	goto yy3;
				goto yy135;
			} else {
				if(yych <= 'e')	goto yy643;
				if(yych <= 'h')	goto yy135;
				goto yy644;
			}
		} else {
			if(yych <= 'q'){
				if(yych == 'o')	goto yy645;
				goto yy135;
			} else {
				if(yych <= 'r')	goto yy646;
				if(yych <= 'z')	goto yy135;
				goto yy3;
			}
		}
	}
yy20:
	YYDEBUG(20, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= 'E'){
			if(yych <= ')'){
				if(yych <= '(')	goto yy3;
				goto yy131;
			} else {
				if(yych <= '@')	goto yy3;
				if(yych <= 'D')	goto yy132;
				goto yy624;
			}
		} else {
			if(yych <= 'N'){
				if(yych == 'I')	goto yy625;
				goto yy132;
			} else {
				if(yych <= 'O')	goto yy626;
				if(yych <= 'Q')	goto yy132;
				goto yy627;
			}
		}
	} else {
		if(yych <= 'i'){
			if(yych <= 'd'){
				if(yych <= 'Z')	goto yy132;
				if(yych <= '`')	goto yy3;
				goto yy132;
			} else {
				if(yych <= 'e')	goto yy624;
				if(yych <= 'h')	goto yy132;
				goto yy625;
			}
		} else {
			if(yych <= 'q'){
				if(yych == 'o')	goto yy626;
				goto yy132;
			} else {
				if(yych <= 'r')	goto yy627;
				if(yych <= 'z')	goto yy132;
				goto yy3;
			}
		}
	}
yy21:
	YYDEBUG(21, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= 'A')	goto yy608;
			if(yych <= 'N')	goto yy132;
			goto yy611;
		}
	} else {
		if(yych <= 'a'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy609;
		} else {
			if(yych == 'o')	goto yy610;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy22:
	YYDEBUG(22, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'F'){
			if(yych == ')')	goto yy131;
			if(yych <= '@')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'O'){
				if(yych <= 'G')	goto yy591;
				goto yy132;
			} else {
				if(yych <= 'P')	goto yy590;
				if(yych <= 'T')	goto yy132;
				goto yy589;
			}
		}
	} else {
		if(yych <= 'o'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy132;
				goto yy3;
			} else {
				if(yych == 'g')	goto yy601;
				goto yy135;
			}
		} else {
			if(yych <= 't'){
				if(yych <= 'p')	goto yy600;
				goto yy135;
			} else {
				if(yych <= 'u')	goto yy599;
				if(yych <= 'z')	goto yy135;
				goto yy3;
			}
		}
	}
yy23:
	YYDEBUG(23, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'F'){
			if(yych == ')')	goto yy131;
			if(yych <= '@')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'O'){
				if(yych <= 'G')	goto yy591;
				goto yy132;
			} else {
				if(yych <= 'P')	goto yy590;
				if(yych <= 'T')	goto yy132;
				goto yy589;
			}
		}
	} else {
		if(yych <= 'o'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy132;
				goto yy3;
			} else {
				if(yych == 'g')	goto yy591;
				goto yy132;
			}
		} else {
			if(yych <= 't'){
				if(yych <= 'p')	goto yy590;
				goto yy132;
			} else {
				if(yych <= 'u')	goto yy589;
				if(yych <= 'z')	goto yy132;
				goto yy3;
			}
		}
	}
yy24:
	YYDEBUG(24, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych <= ')'){
				if(yych <= '(')	goto yy3;
				goto yy131;
			} else {
				if(yych <= '@')	goto yy3;
				if(yych <= 'A')	goto yy536;
				goto yy132;
			}
		} else {
			if(yych <= 'H'){
				if(yych <= 'E')	goto yy535;
				goto yy132;
			} else {
				if(yych <= 'I')	goto yy537;
				if(yych <= 'T')	goto yy132;
				goto yy538;
			}
		}
	} else {
		if(yych <= 'e'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy132;
				goto yy3;
			} else {
				if(yych <= 'a')	goto yy563;
				if(yych <= 'd')	goto yy135;
				goto yy562;
			}
		} else {
			if(yych <= 't'){
				if(yych == 'i')	goto yy564;
				goto yy135;
			} else {
				if(yych <= 'u')	goto yy565;
				if(yych <= 'z')	goto yy135;
				goto yy3;
			}
		}
	}
yy25:
	YYDEBUG(25, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych <= ')'){
				if(yych <= '(')	goto yy3;
				goto yy131;
			} else {
				if(yych <= '@')	goto yy3;
				if(yych <= 'A')	goto yy536;
				goto yy132;
			}
		} else {
			if(yych <= 'H'){
				if(yych <= 'E')	goto yy535;
				goto yy132;
			} else {
				if(yych <= 'I')	goto yy537;
				if(yych <= 'T')	goto yy132;
				goto yy538;
			}
		}
	} else {
		if(yych <= 'e'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy132;
				goto yy3;
			} else {
				if(yych <= 'a')	goto yy536;
				if(yych <= 'd')	goto yy132;
				goto yy535;
			}
		} else {
			if(yych <= 't'){
				if(yych == 'i')	goto yy537;
				goto yy132;
			} else {
				if(yych <= 'u')	goto yy538;
				if(yych <= 'z')	goto yy132;
				goto yy3;
			}
		}
	}
yy26:
	YYDEBUG(26, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'C'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'B')	goto yy132;
			goto yy525;
		}
	} else {
		if(yych <= 'b'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy135;
		} else {
			if(yych <= 'c')	goto yy530;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy27:
	YYDEBUG(27, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'C'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'B')	goto yy132;
			goto yy525;
		}
	} else {
		if(yych <= 'b'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'c')	goto yy525;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy28:
	YYDEBUG(28, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= 'D'){
			if(yych == ')')	goto yy131;
			if(yych <= '@')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'H'){
				if(yych <= 'E')	goto yy507;
				goto yy132;
			} else {
				if(yych <= 'I')	goto yy508;
				if(yych <= 'N')	goto yy132;
				goto yy503;
			}
		}
	} else {
		if(yych <= 'h'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy132;
				goto yy3;
			} else {
				if(yych == 'e')	goto yy505;
				goto yy135;
			}
		} else {
			if(yych <= 'n'){
				if(yych <= 'i')	goto yy506;
				goto yy135;
			} else {
				if(yych <= 'o')	goto yy504;
				if(yych <= 'z')	goto yy135;
				goto yy3;
			}
		}
	}
yy29:
	YYDEBUG(29, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy132;
			goto yy399;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy135;
		} else {
			if(yych <= 'e')	goto yy496;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy30:
	YYDEBUG(30, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy132;
			goto yy399;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'e')	goto yy399;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy31:
	YYDEBUG(31, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'W'){
		if(yych <= 'E'){
			if(yych <= ')'){
				if(yych <= '(')	goto yy3;
				goto yy131;
			} else {
				if(yych <= '@')	goto yy3;
				if(yych <= 'D')	goto yy132;
				goto yy361;
			}
		} else {
			if(yych <= 'T'){
				if(yych == 'H')	goto yy362;
				goto yy132;
			} else {
				if(yych <= 'U')	goto yy363;
				if(yych <= 'V')	goto yy132;
				goto yy364;
			}
		}
	} else {
		if(yych <= 'h'){
			if(yych <= 'd'){
				if(yych <= 'Z')	goto yy132;
				if(yych <= '`')	goto yy3;
				goto yy135;
			} else {
				if(yych <= 'e')	goto yy357;
				if(yych <= 'g')	goto yy135;
				goto yy358;
			}
		} else {
			if(yych <= 'v'){
				if(yych == 'u')	goto yy359;
				goto yy135;
			} else {
				if(yych <= 'w')	goto yy360;
				if(yych <= 'z')	goto yy135;
				goto yy3;
			}
		}
	}
yy32:
	YYDEBUG(32, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy132;
			goto yy340;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy135;
		} else {
			if(yych <= 'e')	goto yy349;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy33:
	YYDEBUG(33, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy132;
			goto yy340;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'e')	goto yy340;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy34:
	YYDEBUG(34, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'I')	goto yy322;
			if(yych <= 'K')	goto yy132;
			goto yy323;
		}
	} else {
		if(yych <= 'i'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			if(yych <= 'h')	goto yy135;
			goto yy331;
		} else {
			if(yych == 'l')	goto yy332;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy35:
	YYDEBUG(35, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'I')	goto yy322;
			if(yych <= 'K')	goto yy132;
			goto yy323;
		}
	} else {
		if(yych <= 'i'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			if(yych <= 'h')	goto yy132;
			goto yy322;
		} else {
			if(yych == 'l')	goto yy323;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy36:
	YYDEBUG(36, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'A'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy316;
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy132;
			goto yy3;
		} else {
			if(yych <= 'a')	goto yy319;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy37:
	YYDEBUG(37, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'A'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy316;
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy132;
			goto yy3;
		} else {
			if(yych <= 'a')	goto yy316;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy38:
	YYDEBUG(38, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy132;
			goto yy154;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy135;
		} else {
			if(yych <= 'r')	goto yy236;
			if(yych <= 'z')	goto yy135;
			goto yy3;
		}
	}
yy39:
	YYDEBUG(39, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy132;
			goto yy154;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= 'Z')	goto yy132;
			if(yych <= '`')	goto yy3;
			goto yy132;
		} else {
			if(yych <= 'r')	goto yy154;
			if(yych <= 'z')	goto yy132;
			goto yy3;
		}
	}
yy40:
	YYDEBUG(40, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 16) {
		goto yy53;
	}
	if(yych <= '/')	goto yy8;
	if(yych <= '1')	goto yy145;
	if(yych <= '2')	goto yy146;
	if(yych <= '9')	goto yy147;
	goto yy8;
yy41:
	YYDEBUG(41, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@')	goto yy8;
	if(yych <= 'Z')	goto yy144;
	if(yych <= '`')	goto yy8;
	if(yych <= 'z')	goto yy144;
	goto yy8;
yy42:
	YYDEBUG(42, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'Z')	goto yy132;
		if(yych <= '`')	goto yy3;
		if(yych <= 'z')	goto yy135;
		goto yy3;
	}
yy43:
	YYDEBUG(43, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'Z')	goto yy132;
		if(yych <= '`')	goto yy3;
		if(yych <= 'z')	goto yy132;
		goto yy3;
	}
yy44:
	YYDEBUG(44, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 16) {
		goto yy53;
	}
	if(yych <= '/')	goto yy45;
	if(yych <= '9')	goto yy50;
	goto yy45;
yy45:
	YYDEBUG(45, *YYCURSOR);

{
		goto std;
	}
yy46:
	YYDEBUG(46, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy45;
yy47:
	YYDEBUG(47, *YYCURSOR);
	++YYCURSOR;
	goto yy48;
yy48:
	YYDEBUG(48, *YYCURSOR);

{
		s->pos = cursor; s->line++;
		goto std;
	}
yy49:
	YYDEBUG(49, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy8;
yy50:
	YYDEBUG(50, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 11) YYFILL(11);
	yych = *YYCURSOR;
	goto yy51;
yy51:
	YYDEBUG(51, *YYCURSOR);
	if(yybm[0+yych] & 8) {
		goto yy50;
	}
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy55;
	case 'D':	case 'd':	goto yy60;
	case 'F':	case 'f':	goto yy62;
	case 'H':	case 'h':	goto yy59;
	case 'M':	case 'm':	goto yy58;
	case 'S':	case 's':	goto yy57;
	case 'T':	case 't':	goto yy64;
	case 'W':	case 'w':	goto yy61;
	case 'Y':	case 'y':	goto yy63;
	default:	goto yy52;
	}
yy52:
	YYDEBUG(52, *YYCURSOR);
	YYCURSOR = YYMARKER;
	switch(yyaccept){
	case 11:	goto yy717;
	case 21:	goto yy1201;
	case 22:	goto yy1209;
	case 13:	goto yy867;
	case 19:	goto yy1109;
	case 12:	goto yy858;
	case 8:	goto yy465;
	case 18:	goto yy974;
	case 6:	goto yy406;
	case 10:	goto yy703;
	case 17:	goto yy1007;
	case 20:	goto yy1018;
	case 16:	goto yy1000;
	case 14:	goto yy900;
	case 15:	goto yy965;
	case 9:	goto yy593;
	case 5:	goto yy342;
	case 4:	goto yy173;
	case 1:	goto yy3;
	case 7:	goto yy428;
	case 3:	goto yy68;
	case 2:	goto yy45;
	case 0:	goto yy8;
	}
yy53:
	YYDEBUG(53, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy54;
yy54:
	YYDEBUG(54, *YYCURSOR);
	if(yybm[0+yych] & 16) {
		goto yy53;
	}
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy50;
	goto yy52;
yy55:
	YYDEBUG(55, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 11) YYFILL(11);
	yych = *YYCURSOR;
	goto yy56;
yy56:
	YYDEBUG(56, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy55;
	case 'D':	case 'd':	goto yy60;
	case 'F':	case 'f':	goto yy62;
	case 'H':	case 'h':	goto yy59;
	case 'M':	case 'm':	goto yy58;
	case 'S':	case 's':	goto yy57;
	case 'T':	case 't':	goto yy64;
	case 'W':	case 'w':	goto yy61;
	case 'Y':	case 'y':	goto yy63;
	default:	goto yy52;
	}
yy57:
	YYDEBUG(57, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych == 'A')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'E')	goto yy119;
			if(yych <= 'T')	goto yy52;
			goto yy117;
		}
	} else {
		if(yych <= 'd'){
			if(yych == 'a')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'e')	goto yy119;
			if(yych == 'u')	goto yy117;
			goto yy52;
		}
	}
yy58:
	YYDEBUG(58, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych == 'I')	goto yy109;
		if(yych <= 'N')	goto yy52;
		goto yy108;
	} else {
		if(yych <= 'i'){
			if(yych <= 'h')	goto yy52;
			goto yy109;
		} else {
			if(yych == 'o')	goto yy108;
			goto yy52;
		}
	}
yy59:
	YYDEBUG(59, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy106;
	if(yych == 'o')	goto yy106;
	goto yy52;
yy60:
	YYDEBUG(60, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy105;
	if(yych == 'a')	goto yy105;
	goto yy52;
yy61:
	YYDEBUG(61, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy97;
	if(yych == 'e')	goto yy97;
	goto yy52;
yy62:
	YYDEBUG(62, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych == 'O')	goto yy82;
		if(yych <= 'Q')	goto yy52;
		goto yy81;
	} else {
		if(yych <= 'o'){
			if(yych <= 'n')	goto yy52;
			goto yy82;
		} else {
			if(yych == 'r')	goto yy81;
			goto yy52;
		}
	}
yy63:
	YYDEBUG(63, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy78;
	if(yych == 'e')	goto yy78;
	goto yy52;
yy64:
	YYDEBUG(64, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'H')	goto yy65;
		if(yych <= 'T')	goto yy52;
		goto yy66;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy52;
			goto yy65;
		} else {
			if(yych == 'u')	goto yy66;
			goto yy52;
		}
	}
yy65:
	YYDEBUG(65, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy73;
	if(yych == 'u')	goto yy73;
	goto yy52;
yy66:
	YYDEBUG(66, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy67;
	if(yych != 'e')	goto yy52;
	goto yy67;
yy67:
	YYDEBUG(67, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'S')	goto yy69;
	if(yych == 's')	goto yy69;
	goto yy68;
yy68:
	YYDEBUG(68, *YYCURSOR);

{
		timelib_ull i;
		DEBUG_OUTPUT("relative");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();

		while(*ptr) {
			i = timelib_get_unsigned_nr((char **) &ptr, 24);
			timelib_eat_spaces((char **) &ptr);
			timelib_set_relative((char **) &ptr, i, 0, s);
		}
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy69:
	YYDEBUG(69, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy70;
	if(yych != 'd')	goto yy52;
	goto yy70;
yy70:
	YYDEBUG(70, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy71;
	if(yych != 'a')	goto yy52;
	goto yy71;
yy71:
	YYDEBUG(71, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych != 'y')	goto yy52;
	goto yy72;
yy72:
	YYDEBUG(72, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy68;
yy73:
	YYDEBUG(73, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'R')	goto yy74;
	if(yych != 'r')	goto yy68;
	goto yy74;
yy74:
	YYDEBUG(74, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy75;
	if(yych != 's')	goto yy52;
	goto yy75;
yy75:
	YYDEBUG(75, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy76;
	if(yych != 'd')	goto yy52;
	goto yy76;
yy76:
	YYDEBUG(76, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy77;
	if(yych != 'a')	goto yy52;
	goto yy77;
yy77:
	YYDEBUG(77, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych == 'y')	goto yy72;
	goto yy52;
yy78:
	YYDEBUG(78, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy79;
	if(yych != 'a')	goto yy52;
	goto yy79;
yy79:
	YYDEBUG(79, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy80;
	if(yych != 'r')	goto yy52;
	goto yy80;
yy80:
	YYDEBUG(80, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy72;
	if(yych == 's')	goto yy72;
	goto yy68;
yy81:
	YYDEBUG(81, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy94;
	if(yych == 'i')	goto yy94;
	goto yy52;
yy82:
	YYDEBUG(82, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy83;
	if(yych != 'r')	goto yy52;
	goto yy83;
yy83:
	YYDEBUG(83, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy84;
	if(yych != 't')	goto yy52;
	goto yy84;
yy84:
	YYDEBUG(84, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'H')	goto yy86;
		if(yych <= 'M')	goto yy52;
		goto yy85;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy52;
			goto yy86;
		} else {
			if(yych != 'n')	goto yy52;
			goto yy85;
		}
	}
yy85:
	YYDEBUG(85, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy91;
	if(yych == 'i')	goto yy91;
	goto yy52;
yy86:
	YYDEBUG(86, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy87;
	if(yych != 'n')	goto yy52;
	goto yy87;
yy87:
	YYDEBUG(87, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy88;
	if(yych != 'i')	goto yy52;
	goto yy88;
yy88:
	YYDEBUG(88, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy89;
	if(yych != 'g')	goto yy52;
	goto yy89;
yy89:
	YYDEBUG(89, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy90;
	if(yych != 'h')	goto yy52;
	goto yy90;
yy90:
	YYDEBUG(90, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy80;
	if(yych == 't')	goto yy80;
	goto yy52;
yy91:
	YYDEBUG(91, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy92;
	if(yych != 'g')	goto yy52;
	goto yy92;
yy92:
	YYDEBUG(92, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy93;
	if(yych != 'h')	goto yy52;
	goto yy93;
yy93:
	YYDEBUG(93, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy80;
	if(yych == 't')	goto yy80;
	goto yy52;
yy94:
	YYDEBUG(94, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'D')	goto yy95;
	if(yych != 'd')	goto yy68;
	goto yy95;
yy95:
	YYDEBUG(95, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy96;
	if(yych != 'a')	goto yy52;
	goto yy96;
yy96:
	YYDEBUG(96, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych == 'y')	goto yy72;
	goto yy52;
yy97:
	YYDEBUG(97, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= 'C')	goto yy52;
		if(yych <= 'D')	goto yy99;
		goto yy98;
	} else {
		if(yych <= 'c')	goto yy52;
		if(yych <= 'd')	goto yy99;
		if(yych >= 'f')	goto yy52;
		goto yy98;
	}
yy98:
	YYDEBUG(98, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'K')	goto yy80;
	if(yych == 'k')	goto yy80;
	goto yy52;
yy99:
	YYDEBUG(99, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'N')	goto yy100;
	if(yych != 'n')	goto yy68;
	goto yy100;
yy100:
	YYDEBUG(100, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy101;
	if(yych != 'e')	goto yy52;
	goto yy101;
yy101:
	YYDEBUG(101, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy102;
	if(yych != 's')	goto yy52;
	goto yy102;
yy102:
	YYDEBUG(102, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy103;
	if(yych != 'd')	goto yy52;
	goto yy103;
yy103:
	YYDEBUG(103, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy104;
	if(yych != 'a')	goto yy52;
	goto yy104;
yy104:
	YYDEBUG(104, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych == 'y')	goto yy72;
	goto yy52;
yy105:
	YYDEBUG(105, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy80;
	if(yych == 'y')	goto yy80;
	goto yy52;
yy106:
	YYDEBUG(106, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy107;
	if(yych != 'u')	goto yy52;
	goto yy107;
yy107:
	YYDEBUG(107, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy80;
	if(yych == 'r')	goto yy80;
	goto yy52;
yy108:
	YYDEBUG(108, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy113;
	if(yych == 'n')	goto yy113;
	goto yy52;
yy109:
	YYDEBUG(109, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy110;
	if(yych != 'n')	goto yy52;
	goto yy110;
yy110:
	YYDEBUG(110, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'U'){
		if(yych == 'S')	goto yy72;
		if(yych <= 'T')	goto yy68;
		goto yy111;
	} else {
		if(yych <= 's'){
			if(yych <= 'r')	goto yy68;
			goto yy72;
		} else {
			if(yych != 'u')	goto yy68;
			goto yy111;
		}
	}
yy111:
	YYDEBUG(111, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy112;
	if(yych != 't')	goto yy52;
	goto yy112;
yy112:
	YYDEBUG(112, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy80;
	if(yych == 'e')	goto yy80;
	goto yy52;
yy113:
	YYDEBUG(113, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych == 'D')	goto yy114;
		if(yych <= 'S')	goto yy68;
		goto yy115;
	} else {
		if(yych <= 'd'){
			if(yych <= 'c')	goto yy68;
			goto yy114;
		} else {
			if(yych == 't')	goto yy115;
			goto yy68;
		}
	}
yy114:
	YYDEBUG(114, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy116;
	if(yych == 'a')	goto yy116;
	goto yy52;
yy115:
	YYDEBUG(115, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy80;
	if(yych == 'h')	goto yy80;
	goto yy52;
yy116:
	YYDEBUG(116, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych == 'y')	goto yy72;
	goto yy52;
yy117:
	YYDEBUG(117, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy128;
	if(yych == 'n')	goto yy128;
	goto yy52;
yy118:
	YYDEBUG(118, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy123;
	if(yych == 't')	goto yy123;
	goto yy52;
yy119:
	YYDEBUG(119, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy120;
	if(yych != 'c')	goto yy52;
	goto yy120;
yy120:
	YYDEBUG(120, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych == 'O')	goto yy121;
		if(yych <= 'R')	goto yy68;
		goto yy72;
	} else {
		if(yych <= 'o'){
			if(yych <= 'n')	goto yy68;
			goto yy121;
		} else {
			if(yych == 's')	goto yy72;
			goto yy68;
		}
	}
yy121:
	YYDEBUG(121, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy122;
	if(yych != 'n')	goto yy52;
	goto yy122;
yy122:
	YYDEBUG(122, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy80;
	if(yych == 'd')	goto yy80;
	goto yy52;
yy123:
	YYDEBUG(123, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'U')	goto yy124;
	if(yych != 'u')	goto yy68;
	goto yy124;
yy124:
	YYDEBUG(124, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy125;
	if(yych != 'r')	goto yy52;
	goto yy125;
yy125:
	YYDEBUG(125, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy126;
	if(yych != 'd')	goto yy52;
	goto yy126;
yy126:
	YYDEBUG(126, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy127;
	if(yych != 'a')	goto yy52;
	goto yy127;
yy127:
	YYDEBUG(127, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych == 'y')	goto yy72;
	goto yy52;
yy128:
	YYDEBUG(128, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'D')	goto yy129;
	if(yych != 'd')	goto yy68;
	goto yy129;
yy129:
	YYDEBUG(129, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy130;
	if(yych != 'a')	goto yy52;
	goto yy130;
yy130:
	YYDEBUG(130, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy72;
	if(yych == 'y')	goto yy72;
	goto yy52;
yy131:
	YYDEBUG(131, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy3;
yy132:
	YYDEBUG(132, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'Z')	goto yy133;
		if(yych <= '`')	goto yy3;
		if(yych >= '{')	goto yy3;
		goto yy133;
	}
yy133:
	YYDEBUG(133, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'Z')	goto yy134;
		if(yych <= '`')	goto yy3;
		if(yych >= '{')	goto yy3;
		goto yy134;
	}
yy134:
	YYDEBUG(134, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == ')')	goto yy131;
	goto yy3;
yy135:
	YYDEBUG(135, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych == '/')	goto yy137;
			goto yy3;
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '^')	goto yy3;
			goto yy137;
		} else {
			if(yych <= '`')	goto yy3;
			if(yych >= '{')	goto yy3;
			goto yy136;
		}
	}
yy136:
	YYDEBUG(136, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych != '/')	goto yy3;
			goto yy137;
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '^')	goto yy3;
			goto yy137;
		} else {
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy137:
	YYDEBUG(137, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if(yych <= '@')	goto yy52;
	if(yych >= '[')	goto yy52;
	goto yy138;
yy138:
	YYDEBUG(138, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if(yybm[0+yych] & 32) {
		goto yy139;
	}
	goto yy52;
yy139:
	YYDEBUG(139, *YYCURSOR);
	yyaccept = 1;
	YYMARKER = ++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy140;
yy140:
	YYDEBUG(140, *YYCURSOR);
	if(yybm[0+yych] & 32) {
		goto yy139;
	}
	if(yych == '/')	goto yy137;
	if(yych == '_')	goto yy137;
	goto yy3;
yy141:
	YYDEBUG(141, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == ')')	goto yy131;
		if(yych <= '.')	goto yy3;
		goto yy137;
	} else {
		if(yych <= '_'){
			if(yych <= '^')	goto yy3;
			goto yy137;
		} else {
			if(yych <= '`')	goto yy3;
			if(yych >= '{')	goto yy3;
			goto yy142;
		}
	}
yy142:
	YYDEBUG(142, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy143;
yy143:
	YYDEBUG(143, *YYCURSOR);
	if(yych <= '^'){
		if(yych == '/')	goto yy137;
		goto yy52;
	} else {
		if(yych <= '_')	goto yy137;
		if(yych <= '`')	goto yy52;
		if(yych <= 'z')	goto yy142;
		goto yy52;
	}
yy144:
	YYDEBUG(144, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'Z')	goto yy132;
		if(yych <= '`')	goto yy3;
		if(yych <= 'z')	goto yy132;
		goto yy3;
	}
yy145:
	YYDEBUG(145, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':	goto yy152;
	case '6':
	case '7':
	case '8':
	case '9':	goto yy147;
	case ':':	goto yy148;
	default:	goto yy3;
	}
yy146:
	YYDEBUG(146, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':	goto yy152;
	case '4':
	case '5':	goto yy149;
	case '6':
	case '7':
	case '8':
	case '9':	goto yy50;
	case ':':	goto yy148;
	default:	goto yy3;
	}
yy147:
	YYDEBUG(147, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':	goto yy149;
	case '6':
	case '7':
	case '8':
	case '9':	goto yy50;
	case ':':	goto yy148;
	default:	goto yy3;
	}
yy148:
	YYDEBUG(148, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy3;
	if(yych <= '5')	goto yy151;
	goto yy3;
yy149:
	YYDEBUG(149, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych >= ':')	goto yy56;
	goto yy150;
yy150:
	YYDEBUG(150, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 8) {
		goto yy50;
	}
	if(yych <= 'X'){
		if(yych <= 'G'){
			if(yych <= 'C'){
				if(yych == ' ')	goto yy56;
				goto yy3;
			} else {
				if(yych == 'E')	goto yy3;
				if(yych <= 'F')	goto yy56;
				goto yy3;
			}
		} else {
			if(yych <= 'R'){
				if(yych <= 'H')	goto yy56;
				if(yych == 'M')	goto yy56;
				goto yy3;
			} else {
				if(yych <= 'T')	goto yy56;
				if(yych == 'W')	goto yy56;
				goto yy3;
			}
		}
	} else {
		if(yych <= 'l'){
			if(yych <= 'e'){
				if(yych <= 'Y')	goto yy56;
				if(yych == 'd')	goto yy56;
				goto yy3;
			} else {
				if(yych == 'g')	goto yy3;
				if(yych <= 'h')	goto yy56;
				goto yy3;
			}
		} else {
			if(yych <= 'v'){
				if(yych <= 'm')	goto yy56;
				if(yych <= 'r')	goto yy3;
				if(yych <= 't')	goto yy56;
				goto yy3;
			} else {
				if(yych == 'x')	goto yy3;
				if(yych <= 'y')	goto yy56;
				goto yy3;
			}
		}
	}
yy151:
	YYDEBUG(151, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy131;
	goto yy52;
yy152:
	YYDEBUG(152, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':	goto yy153;
	case '6':
	case '7':
	case '8':
	case '9':	goto yy150;
	case ':':	goto yy148;
	default:	goto yy3;
	}
yy153:
	YYDEBUG(153, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy150;
	default:	goto yy3;
	}
yy154:
	YYDEBUG(154, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy155;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'e')	goto yy155;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy155:
	YYDEBUG(155, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'V'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'U')	goto yy134;
			goto yy156;
		}
	} else {
		if(yych <= 'u'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'v')	goto yy156;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy156:
	YYDEBUG(156, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'I')	goto yy157;
		if(yych != 'i')	goto yy3;
		goto yy157;
	}
yy157:
	YYDEBUG(157, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy158;
	if(yych != 'o')	goto yy52;
	goto yy158;
yy158:
	YYDEBUG(158, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy159;
	if(yych != 'u')	goto yy52;
	goto yy159;
yy159:
	YYDEBUG(159, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy160;
	if(yych != 's')	goto yy52;
	goto yy160;
yy160:
	YYDEBUG(160, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 11) YYFILL(11);
	yych = *YYCURSOR;
	goto yy161;
yy161:
	YYDEBUG(161, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy160;
	case 'D':	case 'd':	goto yy165;
	case 'F':	case 'f':	goto yy167;
	case 'H':	case 'h':	goto yy164;
	case 'M':	case 'm':	goto yy163;
	case 'S':	case 's':	goto yy162;
	case 'T':	case 't':	goto yy169;
	case 'W':	case 'w':	goto yy166;
	case 'Y':	case 'y':	goto yy168;
	default:	goto yy52;
	}
yy162:
	YYDEBUG(162, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych == 'A')	goto yy223;
			goto yy52;
		} else {
			if(yych <= 'E')	goto yy224;
			if(yych <= 'T')	goto yy52;
			goto yy222;
		}
	} else {
		if(yych <= 'd'){
			if(yych == 'a')	goto yy223;
			goto yy52;
		} else {
			if(yych <= 'e')	goto yy224;
			if(yych == 'u')	goto yy222;
			goto yy52;
		}
	}
yy163:
	YYDEBUG(163, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych == 'I')	goto yy214;
		if(yych <= 'N')	goto yy52;
		goto yy213;
	} else {
		if(yych <= 'i'){
			if(yych <= 'h')	goto yy52;
			goto yy214;
		} else {
			if(yych == 'o')	goto yy213;
			goto yy52;
		}
	}
yy164:
	YYDEBUG(164, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy211;
	if(yych == 'o')	goto yy211;
	goto yy52;
yy165:
	YYDEBUG(165, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy210;
	if(yych == 'a')	goto yy210;
	goto yy52;
yy166:
	YYDEBUG(166, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy202;
	if(yych == 'e')	goto yy202;
	goto yy52;
yy167:
	YYDEBUG(167, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych == 'O')	goto yy187;
		if(yych <= 'Q')	goto yy52;
		goto yy186;
	} else {
		if(yych <= 'o'){
			if(yych <= 'n')	goto yy52;
			goto yy187;
		} else {
			if(yych == 'r')	goto yy186;
			goto yy52;
		}
	}
yy168:
	YYDEBUG(168, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy183;
	if(yych == 'e')	goto yy183;
	goto yy52;
yy169:
	YYDEBUG(169, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'H')	goto yy170;
		if(yych <= 'T')	goto yy52;
		goto yy171;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy52;
			goto yy170;
		} else {
			if(yych == 'u')	goto yy171;
			goto yy52;
		}
	}
yy170:
	YYDEBUG(170, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy178;
	if(yych == 'u')	goto yy178;
	goto yy52;
yy171:
	YYDEBUG(171, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy172;
	if(yych != 'e')	goto yy52;
	goto yy172;
yy172:
	YYDEBUG(172, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'S')	goto yy174;
	if(yych == 's')	goto yy174;
	goto yy173;
yy173:
	YYDEBUG(173, *YYCURSOR);

{
		timelib_sll i;
		int         behavior;
		DEBUG_OUTPUT("relativetext");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();

		while(*ptr) {
			i = timelib_get_relative_text((char **) &ptr, &behavior);
			timelib_eat_spaces((char **) &ptr);
			timelib_set_relative((char **) &ptr, i, behavior, s);
		}
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy174:
	YYDEBUG(174, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy175;
	if(yych != 'd')	goto yy52;
	goto yy175;
yy175:
	YYDEBUG(175, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy176;
	if(yych != 'a')	goto yy52;
	goto yy176;
yy176:
	YYDEBUG(176, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych != 'y')	goto yy52;
	goto yy177;
yy177:
	YYDEBUG(177, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy173;
yy178:
	YYDEBUG(178, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'R')	goto yy179;
	if(yych != 'r')	goto yy173;
	goto yy179;
yy179:
	YYDEBUG(179, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy180;
	if(yych != 's')	goto yy52;
	goto yy180;
yy180:
	YYDEBUG(180, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy181;
	if(yych != 'd')	goto yy52;
	goto yy181;
yy181:
	YYDEBUG(181, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy182;
	if(yych != 'a')	goto yy52;
	goto yy182;
yy182:
	YYDEBUG(182, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy177;
	goto yy52;
yy183:
	YYDEBUG(183, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy184;
	if(yych != 'a')	goto yy52;
	goto yy184;
yy184:
	YYDEBUG(184, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy185;
	if(yych != 'r')	goto yy52;
	goto yy185;
yy185:
	YYDEBUG(185, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy177;
	if(yych == 's')	goto yy177;
	goto yy173;
yy186:
	YYDEBUG(186, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy199;
	if(yych == 'i')	goto yy199;
	goto yy52;
yy187:
	YYDEBUG(187, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy188;
	if(yych != 'r')	goto yy52;
	goto yy188;
yy188:
	YYDEBUG(188, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy189;
	if(yych != 't')	goto yy52;
	goto yy189;
yy189:
	YYDEBUG(189, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'H')	goto yy191;
		if(yych <= 'M')	goto yy52;
		goto yy190;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy52;
			goto yy191;
		} else {
			if(yych != 'n')	goto yy52;
			goto yy190;
		}
	}
yy190:
	YYDEBUG(190, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy196;
	if(yych == 'i')	goto yy196;
	goto yy52;
yy191:
	YYDEBUG(191, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy192;
	if(yych != 'n')	goto yy52;
	goto yy192;
yy192:
	YYDEBUG(192, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy193;
	if(yych != 'i')	goto yy52;
	goto yy193;
yy193:
	YYDEBUG(193, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy194;
	if(yych != 'g')	goto yy52;
	goto yy194;
yy194:
	YYDEBUG(194, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy195;
	if(yych != 'h')	goto yy52;
	goto yy195;
yy195:
	YYDEBUG(195, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy185;
	if(yych == 't')	goto yy185;
	goto yy52;
yy196:
	YYDEBUG(196, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy197;
	if(yych != 'g')	goto yy52;
	goto yy197;
yy197:
	YYDEBUG(197, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy198;
	if(yych != 'h')	goto yy52;
	goto yy198;
yy198:
	YYDEBUG(198, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy185;
	if(yych == 't')	goto yy185;
	goto yy52;
yy199:
	YYDEBUG(199, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'D')	goto yy200;
	if(yych != 'd')	goto yy173;
	goto yy200;
yy200:
	YYDEBUG(200, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy201;
	if(yych != 'a')	goto yy52;
	goto yy201;
yy201:
	YYDEBUG(201, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy177;
	goto yy52;
yy202:
	YYDEBUG(202, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= 'C')	goto yy52;
		if(yych <= 'D')	goto yy204;
		goto yy203;
	} else {
		if(yych <= 'c')	goto yy52;
		if(yych <= 'd')	goto yy204;
		if(yych >= 'f')	goto yy52;
		goto yy203;
	}
yy203:
	YYDEBUG(203, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'K')	goto yy185;
	if(yych == 'k')	goto yy185;
	goto yy52;
yy204:
	YYDEBUG(204, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'N')	goto yy205;
	if(yych != 'n')	goto yy173;
	goto yy205;
yy205:
	YYDEBUG(205, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy206;
	if(yych != 'e')	goto yy52;
	goto yy206;
yy206:
	YYDEBUG(206, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy207;
	if(yych != 's')	goto yy52;
	goto yy207;
yy207:
	YYDEBUG(207, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy208;
	if(yych != 'd')	goto yy52;
	goto yy208;
yy208:
	YYDEBUG(208, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy209;
	if(yych != 'a')	goto yy52;
	goto yy209;
yy209:
	YYDEBUG(209, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy177;
	goto yy52;
yy210:
	YYDEBUG(210, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy185;
	if(yych == 'y')	goto yy185;
	goto yy52;
yy211:
	YYDEBUG(211, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy212;
	if(yych != 'u')	goto yy52;
	goto yy212;
yy212:
	YYDEBUG(212, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy185;
	if(yych == 'r')	goto yy185;
	goto yy52;
yy213:
	YYDEBUG(213, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy218;
	if(yych == 'n')	goto yy218;
	goto yy52;
yy214:
	YYDEBUG(214, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy215;
	if(yych != 'n')	goto yy52;
	goto yy215;
yy215:
	YYDEBUG(215, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'U'){
		if(yych == 'S')	goto yy177;
		if(yych <= 'T')	goto yy173;
		goto yy216;
	} else {
		if(yych <= 's'){
			if(yych <= 'r')	goto yy173;
			goto yy177;
		} else {
			if(yych != 'u')	goto yy173;
			goto yy216;
		}
	}
yy216:
	YYDEBUG(216, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy217;
	if(yych != 't')	goto yy52;
	goto yy217;
yy217:
	YYDEBUG(217, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy185;
	if(yych == 'e')	goto yy185;
	goto yy52;
yy218:
	YYDEBUG(218, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych == 'D')	goto yy219;
		if(yych <= 'S')	goto yy173;
		goto yy220;
	} else {
		if(yych <= 'd'){
			if(yych <= 'c')	goto yy173;
			goto yy219;
		} else {
			if(yych == 't')	goto yy220;
			goto yy173;
		}
	}
yy219:
	YYDEBUG(219, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy221;
	if(yych == 'a')	goto yy221;
	goto yy52;
yy220:
	YYDEBUG(220, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy185;
	if(yych == 'h')	goto yy185;
	goto yy52;
yy221:
	YYDEBUG(221, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy177;
	goto yy52;
yy222:
	YYDEBUG(222, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy233;
	if(yych == 'n')	goto yy233;
	goto yy52;
yy223:
	YYDEBUG(223, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy228;
	if(yych == 't')	goto yy228;
	goto yy52;
yy224:
	YYDEBUG(224, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy225;
	if(yych != 'c')	goto yy52;
	goto yy225;
yy225:
	YYDEBUG(225, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych == 'O')	goto yy226;
		if(yych <= 'R')	goto yy173;
		goto yy177;
	} else {
		if(yych <= 'o'){
			if(yych <= 'n')	goto yy173;
			goto yy226;
		} else {
			if(yych == 's')	goto yy177;
			goto yy173;
		}
	}
yy226:
	YYDEBUG(226, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy227;
	if(yych != 'n')	goto yy52;
	goto yy227;
yy227:
	YYDEBUG(227, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy185;
	if(yych == 'd')	goto yy185;
	goto yy52;
yy228:
	YYDEBUG(228, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'U')	goto yy229;
	if(yych != 'u')	goto yy173;
	goto yy229;
yy229:
	YYDEBUG(229, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy230;
	if(yych != 'r')	goto yy52;
	goto yy230;
yy230:
	YYDEBUG(230, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy231;
	if(yych != 'd')	goto yy52;
	goto yy231;
yy231:
	YYDEBUG(231, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy232;
	if(yych != 'a')	goto yy52;
	goto yy232;
yy232:
	YYDEBUG(232, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy177;
	goto yy52;
yy233:
	YYDEBUG(233, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'D')	goto yy234;
	if(yych != 'd')	goto yy173;
	goto yy234;
yy234:
	YYDEBUG(234, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy235;
	if(yych != 'a')	goto yy52;
	goto yy235;
yy235:
	YYDEBUG(235, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy177;
	goto yy52;
yy236:
	YYDEBUG(236, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy155;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy237;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy237:
	YYDEBUG(237, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'V'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'U')	goto yy134;
			goto yy156;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'v')	goto yy238;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy238:
	YYDEBUG(238, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'I'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'H')	goto yy3;
			goto yy157;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'i')	goto yy239;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy239:
	YYDEBUG(239, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy158;
	if(yych != 'o')	goto yy143;
	goto yy240;
yy240:
	YYDEBUG(240, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy159;
	if(yych != 'u')	goto yy143;
	goto yy241;
yy241:
	YYDEBUG(241, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'S')	goto yy160;
			goto yy52;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 's')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy242:
	YYDEBUG(242, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'h'){
		if(yych <= '`'){
			if(yych <= '/'){
				if(yych <= '.')	goto yy161;
				goto yy137;
			} else {
				if(yych == '_')	goto yy137;
				goto yy161;
			}
		} else {
			if(yych <= 'e'){
				if(yych == 'd')	goto yy246;
				goto yy142;
			} else {
				if(yych <= 'f')	goto yy248;
				if(yych <= 'g')	goto yy142;
				goto yy245;
			}
		}
	} else {
		if(yych <= 't'){
			if(yych <= 'm'){
				if(yych <= 'l')	goto yy142;
				goto yy244;
			} else {
				if(yych <= 'r')	goto yy142;
				if(yych >= 't')	goto yy250;
				goto yy243;
			}
		} else {
			if(yych <= 'x'){
				if(yych == 'w')	goto yy247;
				goto yy142;
			} else {
				if(yych <= 'y')	goto yy249;
				if(yych <= 'z')	goto yy142;
				goto yy161;
			}
		}
	}
yy243:
	YYDEBUG(243, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych == 'A')	goto yy223;
			goto yy143;
		} else {
			if(yych <= 'E')	goto yy224;
			if(yych <= 'T')	goto yy143;
			goto yy222;
		}
	} else {
		if(yych <= 'd'){
			if(yych == 'a')	goto yy302;
			goto yy143;
		} else {
			if(yych <= 'e')	goto yy303;
			if(yych == 'u')	goto yy304;
			goto yy143;
		}
	}
yy244:
	YYDEBUG(244, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych == 'I')	goto yy214;
		if(yych <= 'N')	goto yy143;
		goto yy213;
	} else {
		if(yych <= 'i'){
			if(yych <= 'h')	goto yy143;
			goto yy293;
		} else {
			if(yych == 'o')	goto yy294;
			goto yy143;
		}
	}
yy245:
	YYDEBUG(245, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy211;
	if(yych == 'o')	goto yy291;
	goto yy143;
yy246:
	YYDEBUG(246, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy210;
	if(yych == 'a')	goto yy290;
	goto yy143;
yy247:
	YYDEBUG(247, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy202;
	if(yych == 'e')	goto yy282;
	goto yy143;
yy248:
	YYDEBUG(248, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych == 'O')	goto yy187;
		if(yych <= 'Q')	goto yy143;
		goto yy186;
	} else {
		if(yych <= 'o'){
			if(yych <= 'n')	goto yy143;
			goto yy266;
		} else {
			if(yych == 'r')	goto yy267;
			goto yy143;
		}
	}
yy249:
	YYDEBUG(249, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy183;
	if(yych == 'e')	goto yy263;
	goto yy143;
yy250:
	YYDEBUG(250, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'H')	goto yy170;
		if(yych <= 'T')	goto yy143;
		goto yy171;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy143;
			goto yy251;
		} else {
			if(yych == 'u')	goto yy252;
			goto yy143;
		}
	}
yy251:
	YYDEBUG(251, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy178;
	if(yych == 'u')	goto yy258;
	goto yy143;
yy252:
	YYDEBUG(252, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy172;
	if(yych != 'e')	goto yy143;
	goto yy253;
yy253:
	YYDEBUG(253, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'S')	goto yy174;
			goto yy173;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 's')	goto yy254;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy254:
	YYDEBUG(254, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy175;
	if(yych != 'd')	goto yy143;
	goto yy255;
yy255:
	YYDEBUG(255, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy176;
	if(yych != 'a')	goto yy143;
	goto yy256;
yy256:
	YYDEBUG(256, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych != 'y')	goto yy143;
	goto yy257;
yy257:
	YYDEBUG(257, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych == '/')	goto yy137;
		goto yy173;
	} else {
		if(yych <= '_')	goto yy137;
		if(yych <= '`')	goto yy173;
		if(yych <= 'z')	goto yy142;
		goto yy173;
	}
yy258:
	YYDEBUG(258, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'R')	goto yy179;
			goto yy173;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 'r')	goto yy259;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy259:
	YYDEBUG(259, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy180;
	if(yych != 's')	goto yy143;
	goto yy260;
yy260:
	YYDEBUG(260, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy181;
	if(yych != 'd')	goto yy143;
	goto yy261;
yy261:
	YYDEBUG(261, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy182;
	if(yych != 'a')	goto yy143;
	goto yy262;
yy262:
	YYDEBUG(262, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy257;
	goto yy143;
yy263:
	YYDEBUG(263, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy184;
	if(yych != 'a')	goto yy143;
	goto yy264;
yy264:
	YYDEBUG(264, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy185;
	if(yych != 'r')	goto yy143;
	goto yy265;
yy265:
	YYDEBUG(265, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'S')	goto yy177;
			goto yy173;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 's')	goto yy257;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy266:
	YYDEBUG(266, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy188;
	if(yych == 'r')	goto yy271;
	goto yy143;
yy267:
	YYDEBUG(267, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy199;
	if(yych != 'i')	goto yy143;
	goto yy268;
yy268:
	YYDEBUG(268, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'D')	goto yy200;
			goto yy173;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 'd')	goto yy269;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy269:
	YYDEBUG(269, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy201;
	if(yych != 'a')	goto yy143;
	goto yy270;
yy270:
	YYDEBUG(270, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy257;
	goto yy143;
yy271:
	YYDEBUG(271, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy189;
	if(yych != 't')	goto yy143;
	goto yy272;
yy272:
	YYDEBUG(272, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'H')	goto yy191;
		if(yych <= 'M')	goto yy143;
		goto yy190;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy143;
			goto yy274;
		} else {
			if(yych != 'n')	goto yy143;
			goto yy273;
		}
	}
yy273:
	YYDEBUG(273, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy196;
	if(yych == 'i')	goto yy279;
	goto yy143;
yy274:
	YYDEBUG(274, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy192;
	if(yych != 'n')	goto yy143;
	goto yy275;
yy275:
	YYDEBUG(275, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy193;
	if(yych != 'i')	goto yy143;
	goto yy276;
yy276:
	YYDEBUG(276, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy194;
	if(yych != 'g')	goto yy143;
	goto yy277;
yy277:
	YYDEBUG(277, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy195;
	if(yych != 'h')	goto yy143;
	goto yy278;
yy278:
	YYDEBUG(278, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy185;
	if(yych == 't')	goto yy265;
	goto yy143;
yy279:
	YYDEBUG(279, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy197;
	if(yych != 'g')	goto yy143;
	goto yy280;
yy280:
	YYDEBUG(280, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy198;
	if(yych != 'h')	goto yy143;
	goto yy281;
yy281:
	YYDEBUG(281, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy185;
	if(yych == 't')	goto yy265;
	goto yy143;
yy282:
	YYDEBUG(282, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= 'C')	goto yy143;
		if(yych <= 'D')	goto yy204;
		goto yy203;
	} else {
		if(yych <= 'c')	goto yy143;
		if(yych <= 'd')	goto yy284;
		if(yych >= 'f')	goto yy143;
		goto yy283;
	}
yy283:
	YYDEBUG(283, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'K')	goto yy185;
	if(yych == 'k')	goto yy265;
	goto yy143;
yy284:
	YYDEBUG(284, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'N')	goto yy205;
			goto yy173;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 'n')	goto yy285;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy285:
	YYDEBUG(285, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy206;
	if(yych != 'e')	goto yy143;
	goto yy286;
yy286:
	YYDEBUG(286, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy207;
	if(yych != 's')	goto yy143;
	goto yy287;
yy287:
	YYDEBUG(287, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy208;
	if(yych != 'd')	goto yy143;
	goto yy288;
yy288:
	YYDEBUG(288, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy209;
	if(yych != 'a')	goto yy143;
	goto yy289;
yy289:
	YYDEBUG(289, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy257;
	goto yy143;
yy290:
	YYDEBUG(290, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy185;
	if(yych == 'y')	goto yy265;
	goto yy143;
yy291:
	YYDEBUG(291, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy212;
	if(yych != 'u')	goto yy143;
	goto yy292;
yy292:
	YYDEBUG(292, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy185;
	if(yych == 'r')	goto yy265;
	goto yy143;
yy293:
	YYDEBUG(293, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy215;
	if(yych == 'n')	goto yy299;
	goto yy143;
yy294:
	YYDEBUG(294, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy218;
	if(yych != 'n')	goto yy143;
	goto yy295;
yy295:
	YYDEBUG(295, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= 'C'){
			if(yych == '/')	goto yy137;
			goto yy173;
		} else {
			if(yych <= 'D')	goto yy219;
			if(yych == 'T')	goto yy220;
			goto yy173;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			if(yych <= 'c')	goto yy142;
			goto yy296;
		} else {
			if(yych == 't')	goto yy297;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy296:
	YYDEBUG(296, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy221;
	if(yych == 'a')	goto yy298;
	goto yy143;
yy297:
	YYDEBUG(297, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy185;
	if(yych == 'h')	goto yy265;
	goto yy143;
yy298:
	YYDEBUG(298, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy257;
	goto yy143;
yy299:
	YYDEBUG(299, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= 'R'){
			if(yych == '/')	goto yy137;
			goto yy173;
		} else {
			if(yych <= 'S')	goto yy177;
			if(yych == 'U')	goto yy216;
			goto yy173;
		}
	} else {
		if(yych <= 's'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			if(yych <= 'r')	goto yy142;
			goto yy257;
		} else {
			if(yych == 'u')	goto yy300;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy300:
	YYDEBUG(300, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy217;
	if(yych != 't')	goto yy143;
	goto yy301;
yy301:
	YYDEBUG(301, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy185;
	if(yych == 'e')	goto yy265;
	goto yy143;
yy302:
	YYDEBUG(302, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy228;
	if(yych == 't')	goto yy311;
	goto yy143;
yy303:
	YYDEBUG(303, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy225;
	if(yych == 'c')	goto yy308;
	goto yy143;
yy304:
	YYDEBUG(304, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy233;
	if(yych != 'n')	goto yy143;
	goto yy305;
yy305:
	YYDEBUG(305, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'D')	goto yy234;
			goto yy173;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 'd')	goto yy306;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy306:
	YYDEBUG(306, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy235;
	if(yych != 'a')	goto yy143;
	goto yy307;
yy307:
	YYDEBUG(307, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy257;
	goto yy143;
yy308:
	YYDEBUG(308, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= 'N'){
			if(yych == '/')	goto yy137;
			goto yy173;
		} else {
			if(yych <= 'O')	goto yy226;
			if(yych == 'S')	goto yy177;
			goto yy173;
		}
	} else {
		if(yych <= 'o'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			if(yych <= 'n')	goto yy142;
			goto yy309;
		} else {
			if(yych == 's')	goto yy257;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy309:
	YYDEBUG(309, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy227;
	if(yych != 'n')	goto yy143;
	goto yy310;
yy310:
	YYDEBUG(310, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy185;
	if(yych == 'd')	goto yy265;
	goto yy143;
yy311:
	YYDEBUG(311, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy173;
			goto yy137;
		} else {
			if(yych == 'U')	goto yy229;
			goto yy173;
		}
	} else {
		if(yych <= 't'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy173;
			goto yy142;
		} else {
			if(yych <= 'u')	goto yy312;
			if(yych <= 'z')	goto yy142;
			goto yy173;
		}
	}
yy312:
	YYDEBUG(312, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy230;
	if(yych != 'r')	goto yy143;
	goto yy313;
yy313:
	YYDEBUG(313, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy231;
	if(yych != 'd')	goto yy143;
	goto yy314;
yy314:
	YYDEBUG(314, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy232;
	if(yych != 'a')	goto yy143;
	goto yy315;
yy315:
	YYDEBUG(315, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy177;
	if(yych == 'y')	goto yy257;
	goto yy143;
yy316:
	YYDEBUG(316, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'R')	goto yy133;
			goto yy317;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 's')	goto yy317;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy317:
	YYDEBUG(317, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy318;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy318;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy318:
	YYDEBUG(318, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy161;
	case ')':	goto yy131;
	default:	goto yy3;
	}
yy319:
	YYDEBUG(319, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'R')	goto yy133;
			goto yy317;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 's')	goto yy320;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy320:
	YYDEBUG(320, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy318;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy321;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy321:
	YYDEBUG(321, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	goto yy161;
	case ')':	goto yy131;
	case '/':	case '_':	goto yy137;
	case 'a':
	case 'b':
	case 'c':	case 'e':	case 'g':	case 'i':
	case 'j':
	case 'k':
	case 'l':	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':	case 'u':
	case 'v':	case 'x':	case 'z':	goto yy142;
	case 'd':	goto yy246;
	case 'f':	goto yy248;
	case 'h':	goto yy245;
	case 'm':	goto yy244;
	case 's':	goto yy243;
	case 't':	goto yy250;
	case 'w':	goto yy247;
	case 'y':	goto yy249;
	default:	goto yy3;
	}
yy322:
	YYDEBUG(322, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'G'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'F')	goto yy133;
			goto yy329;
		}
	} else {
		if(yych <= 'f'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'g')	goto yy329;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy323:
	YYDEBUG(323, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy324;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'e')	goto yy324;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy324:
	YYDEBUG(324, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'V'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'U')	goto yy134;
			goto yy325;
		}
	} else {
		if(yych <= 'u'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'v')	goto yy325;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy325:
	YYDEBUG(325, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'E')	goto yy326;
		if(yych != 'e')	goto yy3;
		goto yy326;
	}
yy326:
	YYDEBUG(326, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy327;
	if(yych != 'n')	goto yy52;
	goto yy327;
yy327:
	YYDEBUG(327, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy328;
	if(yych != 't')	goto yy52;
	goto yy328;
yy328:
	YYDEBUG(328, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy160;
	if(yych == 'h')	goto yy160;
	goto yy52;
yy329:
	YYDEBUG(329, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'H'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'G')	goto yy134;
			goto yy330;
		}
	} else {
		if(yych <= 'g'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'h')	goto yy330;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy330:
	YYDEBUG(330, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'T')	goto yy160;
		if(yych == 't')	goto yy160;
		goto yy3;
	}
yy331:
	YYDEBUG(331, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'F')	goto yy133;
			goto yy329;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'g')	goto yy338;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy332:
	YYDEBUG(332, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy324;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy333;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy333:
	YYDEBUG(333, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'V'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'U')	goto yy134;
			goto yy325;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'v')	goto yy334;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy334:
	YYDEBUG(334, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'D')	goto yy3;
			goto yy326;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy335;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy335:
	YYDEBUG(335, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy327;
	if(yych != 'n')	goto yy143;
	goto yy336;
yy336:
	YYDEBUG(336, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy328;
	if(yych != 't')	goto yy143;
	goto yy337;
yy337:
	YYDEBUG(337, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'H')	goto yy160;
			goto yy52;
		}
	} else {
		if(yych <= 'g'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy338:
	YYDEBUG(338, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'G')	goto yy134;
			goto yy330;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'h')	goto yy339;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy339:
	YYDEBUG(339, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'S')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy340:
	YYDEBUG(340, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'D'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'C')	goto yy133;
			goto yy341;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'd')	goto yy341;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy341:
	YYDEBUG(341, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= 'N'){
		if(yych <= ')'){
			if(yych >= ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'M')	goto yy134;
			goto yy343;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= 'Z')	goto yy134;
			if(yych >= 'a')	goto yy134;
			goto yy342;
		} else {
			if(yych <= 'n')	goto yy343;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy342:
	YYDEBUG(342, *YYCURSOR);

{
		const timelib_relunit* relunit;
		DEBUG_OUTPUT("daytext");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_HAVE_WEEKDAY_RELATIVE();
		TIMELIB_UNHAVE_TIME();
		relunit = timelib_lookup_relunit((char**) &ptr);
		s->time->relative.weekday = relunit->multiplier;
		s->time->relative.weekday_behavior = 1;
		
		TIMELIB_DEINIT;
		return TIMELIB_WEEKDAY;
	}
yy343:
	YYDEBUG(343, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'E')	goto yy344;
		if(yych != 'e')	goto yy3;
		goto yy344;
	}
yy344:
	YYDEBUG(344, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy345;
	if(yych != 's')	goto yy52;
	goto yy345;
yy345:
	YYDEBUG(345, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy346;
	if(yych != 'd')	goto yy52;
	goto yy346;
yy346:
	YYDEBUG(346, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy347;
	if(yych != 'a')	goto yy52;
	goto yy347;
yy347:
	YYDEBUG(347, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych != 'y')	goto yy52;
	goto yy348;
yy348:
	YYDEBUG(348, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy342;
yy349:
	YYDEBUG(349, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'C')	goto yy133;
			goto yy341;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'd')	goto yy350;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy350:
	YYDEBUG(350, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'M')	goto yy134;
			goto yy343;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 'n')	goto yy351;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy351:
	YYDEBUG(351, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'D')	goto yy3;
			goto yy344;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy352;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy352:
	YYDEBUG(352, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy345;
	if(yych != 's')	goto yy143;
	goto yy353;
yy353:
	YYDEBUG(353, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy346;
	if(yych != 'd')	goto yy143;
	goto yy354;
yy354:
	YYDEBUG(354, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy347;
	if(yych != 'a')	goto yy143;
	goto yy355;
yy355:
	YYDEBUG(355, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych != 'y')	goto yy143;
	goto yy356;
yy356:
	YYDEBUG(356, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '^'){
		if(yych == '/')	goto yy137;
		goto yy342;
	} else {
		if(yych <= '_')	goto yy137;
		if(yych <= '`')	goto yy342;
		if(yych <= 'z')	goto yy142;
		goto yy342;
	}
yy357:
	YYDEBUG(357, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy380;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy397;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy358:
	YYDEBUG(358, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'U'){
		if(yych <= '/'){
			if(yych == ')')	goto yy131;
			if(yych <= '.')	goto yy3;
			goto yy137;
		} else {
			if(yych <= 'H'){
				if(yych <= '@')	goto yy3;
				goto yy133;
			} else {
				if(yych <= 'I')	goto yy374;
				if(yych <= 'T')	goto yy133;
				goto yy373;
			}
		}
	} else {
		if(yych <= 'h'){
			if(yych <= '^'){
				if(yych <= 'Z')	goto yy133;
				goto yy3;
			} else {
				if(yych <= '_')	goto yy137;
				if(yych <= '`')	goto yy3;
				goto yy136;
			}
		} else {
			if(yych <= 't'){
				if(yych <= 'i')	goto yy391;
				goto yy136;
			} else {
				if(yych <= 'u')	goto yy390;
				if(yych <= 'z')	goto yy136;
				goto yy3;
			}
		}
	}
yy359:
	YYDEBUG(359, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy369;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy386;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy360:
	YYDEBUG(360, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy365;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy382;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy361:
	YYDEBUG(361, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy380;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'n')	goto yy380;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy362:
	YYDEBUG(362, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'I')	goto yy374;
			if(yych <= 'T')	goto yy133;
			goto yy373;
		}
	} else {
		if(yych <= 'i'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'h')	goto yy133;
			goto yy374;
		} else {
			if(yych == 'u')	goto yy373;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy363:
	YYDEBUG(363, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy369;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'e')	goto yy369;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy364:
	YYDEBUG(364, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy133;
			goto yy365;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'e')	goto yy365;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy365:
	YYDEBUG(365, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'K')	goto yy134;
			goto yy366;
		}
	} else {
		if(yych <= 'k'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'l')	goto yy366;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy366:
	YYDEBUG(366, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'F')	goto yy367;
		if(yych != 'f')	goto yy3;
		goto yy367;
	}
yy367:
	YYDEBUG(367, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy368;
	if(yych != 't')	goto yy52;
	goto yy368;
yy368:
	YYDEBUG(368, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy160;
	if(yych == 'h')	goto yy160;
	goto yy52;
yy369:
	YYDEBUG(369, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy342;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'R')	goto yy134;
			goto yy370;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy342;
			goto yy134;
		} else {
			if(yych <= 's')	goto yy370;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy370:
	YYDEBUG(370, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'C'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'D')	goto yy371;
		if(yych != 'd')	goto yy3;
		goto yy371;
	}
yy371:
	YYDEBUG(371, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy372;
	if(yych != 'a')	goto yy52;
	goto yy372;
yy372:
	YYDEBUG(372, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy348;
	goto yy52;
yy373:
	YYDEBUG(373, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy342;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'Q')	goto yy134;
			goto yy376;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy342;
			goto yy134;
		} else {
			if(yych <= 'r')	goto yy376;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy374:
	YYDEBUG(374, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= 'Q')	goto yy134;
			if(yych >= 'S')	goto yy318;
			goto yy375;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'r')	goto yy375;
			if(yych <= 's')	goto yy318;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy375:
	YYDEBUG(375, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'C'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'D')	goto yy160;
		if(yych == 'd')	goto yy160;
		goto yy3;
	}
yy376:
	YYDEBUG(376, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'S')	goto yy377;
		if(yych != 's')	goto yy3;
		goto yy377;
	}
yy377:
	YYDEBUG(377, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy378;
	if(yych != 'd')	goto yy52;
	goto yy378;
yy378:
	YYDEBUG(378, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy379;
	if(yych != 'a')	goto yy52;
	goto yy379;
yy379:
	YYDEBUG(379, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy348;
	goto yy52;
yy380:
	YYDEBUG(380, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy381;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy381;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy381:
	YYDEBUG(381, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'H')	goto yy160;
		if(yych == 'h')	goto yy160;
		goto yy3;
	}
yy382:
	YYDEBUG(382, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'L'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'K')	goto yy134;
			goto yy366;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'l')	goto yy383;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy383:
	YYDEBUG(383, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'F'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'E')	goto yy3;
			goto yy367;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'f')	goto yy384;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy384:
	YYDEBUG(384, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy368;
	if(yych != 't')	goto yy143;
	goto yy385;
yy385:
	YYDEBUG(385, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'H')	goto yy160;
			goto yy52;
		}
	} else {
		if(yych <= 'g'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy386:
	YYDEBUG(386, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'R')	goto yy134;
			goto yy370;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 's')	goto yy387;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy387:
	YYDEBUG(387, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'C')	goto yy3;
			goto yy371;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'd')	goto yy388;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy388:
	YYDEBUG(388, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy372;
	if(yych != 'a')	goto yy143;
	goto yy389;
yy389:
	YYDEBUG(389, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy356;
	goto yy143;
yy390:
	YYDEBUG(390, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'Q')	goto yy134;
			goto yy376;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 'r')	goto yy393;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy391:
	YYDEBUG(391, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych <= '/'){
			if(yych == ')')	goto yy131;
			if(yych <= '.')	goto yy3;
			goto yy137;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy134;
			if(yych <= 'R')	goto yy375;
			goto yy318;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych <= 'r'){
				if(yych <= 'q')	goto yy141;
				goto yy392;
			} else {
				if(yych <= 's')	goto yy321;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy392:
	YYDEBUG(392, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'C')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'd')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy393:
	YYDEBUG(393, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'R')	goto yy3;
			goto yy377;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 's')	goto yy394;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy394:
	YYDEBUG(394, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy378;
	if(yych != 'd')	goto yy143;
	goto yy395;
yy395:
	YYDEBUG(395, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy379;
	if(yych != 'a')	goto yy143;
	goto yy396;
yy396:
	YYDEBUG(396, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy356;
	goto yy143;
yy397:
	YYDEBUG(397, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy381;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy398;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy398:
	YYDEBUG(398, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'G')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy399:
	YYDEBUG(399, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'C'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'B')	goto yy133;
			goto yy400;
		}
	} else {
		if(yych <= 'b'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'c')	goto yy400;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy400:
	YYDEBUG(400, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych == 'E')	goto yy409;
			goto yy134;
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'e')	goto yy409;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy401:
	YYDEBUG(401, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 17) YYFILL(17);
	yych = *YYCURSOR;
	goto yy402;
yy402:
	YYDEBUG(402, *YYCURSOR);
	if(yybm[0+yych] & 64) {
		goto yy401;
	}
	if(yych <= '/')	goto yy52;
	if(yych <= '2')	goto yy405;
	if(yych <= '3')	goto yy407;
	if(yych <= '9')	goto yy408;
	goto yy52;
yy403:
	YYDEBUG(403, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 0x1F)	goto yy3;
	if(yych == '/')	goto yy3;
	if(yych <= '9')	goto yy402;
	goto yy3;
yy404:
	YYDEBUG(404, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy402;
	if(yych <= '0')	goto yy485;
	if(yych <= '2')	goto yy486;
	if(yych <= '3')	goto yy487;
	goto yy402;
yy405:
	YYDEBUG(405, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= 'm'){
		if(yych <= '1'){
			if(yych <= '/')	goto yy421;
			goto yy467;
		} else {
			if(yych <= '2')	goto yy484;
			if(yych <= '9')	goto yy467;
			goto yy421;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy417;
			if(yych <= 'q')	goto yy421;
			goto yy418;
		} else {
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy406:
	YYDEBUG(406, *YYCURSOR);

{
		DEBUG_OUTPUT("datetextual | datenoyear");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_TEXT;
	}
yy407:
	YYDEBUG(407, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'm'){
		if(yych <= '1'){
			if(yych <= '/')	goto yy421;
			goto yy467;
		} else {
			if(yych <= '2')	goto yy414;
			if(yych <= '9')	goto yy415;
			goto yy421;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy417;
			if(yych <= 'q')	goto yy421;
			goto yy418;
		} else {
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy408:
	YYDEBUG(408, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'm'){
		if(yych <= '1'){
			if(yych <= '/')	goto yy421;
			goto yy413;
		} else {
			if(yych <= '2')	goto yy414;
			if(yych <= '9')	goto yy415;
			goto yy421;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy417;
			if(yych <= 'q')	goto yy421;
			goto yy418;
		} else {
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy409:
	YYDEBUG(409, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'L'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'M')	goto yy410;
		if(yych != 'm')	goto yy3;
		goto yy410;
	}
yy410:
	YYDEBUG(410, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy411;
	if(yych != 'b')	goto yy52;
	goto yy411;
yy411:
	YYDEBUG(411, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy412;
	if(yych != 'e')	goto yy52;
	goto yy412;
yy412:
	YYDEBUG(412, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy401;
	if(yych == 'r')	goto yy401;
	goto yy52;
yy413:
	YYDEBUG(413, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy466;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy414:
	YYDEBUG(414, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '3')	goto yy466;
		if(yych <= '9')	goto yy463;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy415:
	YYDEBUG(415, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy463;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy416:
	YYDEBUG(416, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy421;
yy417:
	YYDEBUG(417, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy421;
yy418:
	YYDEBUG(418, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy421;
yy419:
	YYDEBUG(419, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy421;
yy420:
	YYDEBUG(420, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 14) YYFILL(14);
	yych = *YYCURSOR;
	goto yy421;
yy421:
	YYDEBUG(421, *YYCURSOR);
	if(yybm[0+yych] & 128) {
		goto yy420;
	}
	if(yych <= '/')	goto yy406;
	if(yych <= '1')	goto yy422;
	if(yych <= '2')	goto yy423;
	if(yych <= '9')	goto yy424;
	goto yy406;
yy422:
	YYDEBUG(422, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy462;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy423:
	YYDEBUG(423, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '3')	goto yy462;
		if(yych <= '9')	goto yy425;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy424:
	YYDEBUG(424, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy425;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy425:
	YYDEBUG(425, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy406;
	if(yych <= '9')	goto yy460;
	goto yy406;
yy426:
	YYDEBUG(426, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy427;
	if(yych <= '9')	goto yy429;
	goto yy52;
yy427:
	YYDEBUG(427, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy430;
		goto yy428;
	} else {
		if(yych <= '9')	goto yy429;
		if(yych <= ':')	goto yy430;
		goto yy428;
	}
yy428:
	YYDEBUG(428, *YYCURSOR);

{
		int tz_not_found;
		DEBUG_OUTPUT("dateshortwithtimeshort | dateshortwithtimelong | dateshortwithtimelongtz");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->d = timelib_get_nr((char **) &ptr, 2);

		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr((char **) &ptr, 2);
		s->time->i = timelib_get_nr((char **) &ptr, 2);
		if (*ptr == ':') {
			s->time->s = timelib_get_nr((char **) &ptr, 2);

			if (*ptr == '.') {
				s->time->f = timelib_get_frac_nr((char **) &ptr, 8);
			}
		}

		if (*ptr != '\0') {
			s->time->z = timelib_get_zone((char **) &ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb);
			s->errors += tz_not_found;
		}
		TIMELIB_DEINIT;
		return TIMELIB_SHORTDATE_WITH_TIME;
	}
yy429:
	YYDEBUG(429, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy430;
	if(yych != ':')	goto yy428;
	goto yy430;
yy430:
	YYDEBUG(430, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy431;
	if(yych <= '6')	goto yy432;
	if(yych <= '9')	goto yy433;
	goto yy52;
yy431:
	YYDEBUG(431, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy428;
	if(yych <= '9')	goto yy434;
	goto yy428;
yy432:
	YYDEBUG(432, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '0')	goto yy434;
	goto yy428;
yy433:
	YYDEBUG(433, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy428;
yy434:
	YYDEBUG(434, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '+'){
		if(yych <= '\''){
			if(yych != ' ')	goto yy428;
			goto yy435;
		} else {
			if(yych <= '(')	goto yy438;
			if(yych <= '*')	goto yy428;
			goto yy437;
		}
	} else {
		if(yych <= '@'){
			if(yych == '-')	goto yy437;
			goto yy428;
		} else {
			if(yych <= 'Z')	goto yy439;
			if(yych <= '`')	goto yy428;
			if(yych <= 'z')	goto yy440;
			goto yy428;
		}
	}
yy435:
	YYDEBUG(435, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 6) YYFILL(6);
	yych = *YYCURSOR;
	goto yy436;
yy436:
	YYDEBUG(436, *YYCURSOR);
	if(yych <= '+'){
		if(yych <= '\''){
			if(yych == ' ')	goto yy435;
			goto yy52;
		} else {
			if(yych <= '(')	goto yy438;
			if(yych <= '*')	goto yy52;
			goto yy437;
		}
	} else {
		if(yych <= '@'){
			if(yych != '-')	goto yy52;
			goto yy437;
		} else {
			if(yych <= 'Z')	goto yy439;
			if(yych <= '`')	goto yy52;
			if(yych <= 'z')	goto yy440;
			goto yy52;
		}
	}
yy437:
	YYDEBUG(437, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '1')	goto yy453;
	if(yych <= '2')	goto yy454;
	if(yych <= '9')	goto yy455;
	goto yy52;
yy438:
	YYDEBUG(438, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@')	goto yy52;
	if(yych <= 'Z')	goto yy440;
	if(yych <= '`')	goto yy52;
	if(yych <= 'z')	goto yy440;
	goto yy52;
yy439:
	YYDEBUG(439, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy433;
		goto yy428;
	} else {
		if(yych <= 'Z')	goto yy441;
		if(yych <= '`')	goto yy428;
		if(yych <= 'z')	goto yy444;
		goto yy428;
	}
yy440:
	YYDEBUG(440, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy433;
		goto yy428;
	} else {
		if(yych <= 'Z')	goto yy441;
		if(yych <= '`')	goto yy428;
		if(yych >= '{')	goto yy428;
		goto yy441;
	}
yy441:
	YYDEBUG(441, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy433;
		goto yy428;
	} else {
		if(yych <= 'Z')	goto yy442;
		if(yych <= '`')	goto yy428;
		if(yych >= '{')	goto yy428;
		goto yy442;
	}
yy442:
	YYDEBUG(442, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '@'){
		if(yych == ')')	goto yy433;
		goto yy428;
	} else {
		if(yych <= 'Z')	goto yy443;
		if(yych <= '`')	goto yy428;
		if(yych >= '{')	goto yy428;
		goto yy443;
	}
yy443:
	YYDEBUG(443, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == ')')	goto yy433;
	goto yy428;
yy444:
	YYDEBUG(444, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy428;
			goto yy433;
		} else {
			if(yych == '/')	goto yy446;
			goto yy428;
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'Z')	goto yy442;
			if(yych <= '^')	goto yy428;
			goto yy446;
		} else {
			if(yych <= '`')	goto yy428;
			if(yych >= '{')	goto yy428;
			goto yy445;
		}
	}
yy445:
	YYDEBUG(445, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy428;
			goto yy433;
		} else {
			if(yych != '/')	goto yy428;
			goto yy446;
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'Z')	goto yy443;
			if(yych <= '^')	goto yy428;
			goto yy446;
		} else {
			if(yych <= '`')	goto yy428;
			if(yych <= 'z')	goto yy450;
			goto yy428;
		}
	}
yy446:
	YYDEBUG(446, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if(yych <= '@')	goto yy52;
	if(yych >= '[')	goto yy52;
	goto yy447;
yy447:
	YYDEBUG(447, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if(yych <= '`')	goto yy52;
	if(yych >= '{')	goto yy52;
	goto yy448;
yy448:
	YYDEBUG(448, *YYCURSOR);
	yyaccept = 7;
	YYMARKER = ++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy449;
yy449:
	YYDEBUG(449, *YYCURSOR);
	if(yych <= '^'){
		if(yych == '/')	goto yy446;
		goto yy428;
	} else {
		if(yych <= '_')	goto yy446;
		if(yych <= '`')	goto yy428;
		if(yych <= 'z')	goto yy448;
		goto yy428;
	}
yy450:
	YYDEBUG(450, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == ')')	goto yy433;
		if(yych <= '.')	goto yy428;
		goto yy446;
	} else {
		if(yych <= '_'){
			if(yych <= '^')	goto yy428;
			goto yy446;
		} else {
			if(yych <= '`')	goto yy428;
			if(yych >= '{')	goto yy428;
			goto yy451;
		}
	}
yy451:
	YYDEBUG(451, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy452;
yy452:
	YYDEBUG(452, *YYCURSOR);
	if(yych <= '^'){
		if(yych == '/')	goto yy446;
		goto yy52;
	} else {
		if(yych <= '_')	goto yy446;
		if(yych <= '`')	goto yy52;
		if(yych <= 'z')	goto yy451;
		goto yy52;
	}
yy453:
	YYDEBUG(453, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy428;
	if(yych <= '5')	goto yy458;
	if(yych <= '9')	goto yy455;
	if(yych <= ':')	goto yy456;
	goto yy428;
yy454:
	YYDEBUG(454, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '5'){
		if(yych <= '/')	goto yy428;
		if(yych <= '3')	goto yy458;
		goto yy457;
	} else {
		if(yych == ':')	goto yy456;
		goto yy428;
	}
yy455:
	YYDEBUG(455, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy428;
	if(yych <= '5')	goto yy457;
	if(yych != ':')	goto yy428;
	goto yy456;
yy456:
	YYDEBUG(456, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy428;
	if(yych >= '6')	goto yy428;
	goto yy457;
yy457:
	YYDEBUG(457, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy433;
	goto yy52;
yy458:
	YYDEBUG(458, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy428;
	if(yych <= '5')	goto yy459;
	if(yych <= '9')	goto yy433;
	if(yych <= ':')	goto yy456;
	goto yy428;
yy459:
	YYDEBUG(459, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy428;
	if(yych <= '9')	goto yy433;
	goto yy428;
yy460:
	YYDEBUG(460, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy406;
	if(yych >= ':')	goto yy406;
	goto yy461;
yy461:
	YYDEBUG(461, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy406;
yy462:
	YYDEBUG(462, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy460;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy463:
	YYDEBUG(463, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy406;
	if(yych >= ':')	goto yy406;
	goto yy464;
yy464:
	YYDEBUG(464, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '/')	goto yy465;
	if(yych <= '9')	goto yy461;
	goto yy465;
yy465:
	YYDEBUG(465, *YYCURSOR);

{
		DEBUG_OUTPUT("datenoday");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->d = 1;
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_NO_DAY;
	}
yy466:
	YYDEBUG(466, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy464;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy467:
	YYDEBUG(467, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= ':'){
		if(yych <= '/'){
			if(yych != '.')	goto yy421;
			goto yy468;
		} else {
			if(yych <= '1')	goto yy469;
			if(yych <= '2')	goto yy470;
			if(yych <= '9')	goto yy471;
			goto yy426;
		}
	} else {
		if(yych <= 'q'){
			if(yych == 'n')	goto yy417;
			goto yy421;
		} else {
			if(yych <= 'r')	goto yy418;
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy468:
	YYDEBUG(468, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '2'){
		if(yych <= '/')	goto yy421;
		if(yych <= '1')	goto yy474;
		goto yy475;
	} else {
		if(yych <= '5')	goto yy476;
		if(yych <= '9')	goto yy477;
		goto yy421;
	}
yy469:
	YYDEBUG(469, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy473;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy470:
	YYDEBUG(470, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '3')	goto yy473;
		if(yych <= '9')	goto yy472;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy471:
	YYDEBUG(471, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy472;
		if(yych <= ':')	goto yy426;
		goto yy406;
	}
yy472:
	YYDEBUG(472, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy465;
	if(yych <= '9')	goto yy460;
	goto yy465;
yy473:
	YYDEBUG(473, *YYCURSOR);
	yyaccept = 8;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy426;
		goto yy465;
	} else {
		if(yych <= '9')	goto yy460;
		if(yych <= ':')	goto yy426;
		goto yy465;
	}
yy474:
	YYDEBUG(474, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy478;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy483;
		if(yych <= ':')	goto yy478;
		goto yy406;
	}
yy475:
	YYDEBUG(475, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy478;
		goto yy406;
	} else {
		if(yych <= '3')	goto yy483;
		if(yych <= '9')	goto yy482;
		if(yych <= ':')	goto yy478;
		goto yy406;
	}
yy476:
	YYDEBUG(476, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy478;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy482;
		if(yych <= ':')	goto yy478;
		goto yy406;
	}
yy477:
	YYDEBUG(477, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych != '.')	goto yy406;
		goto yy478;
	} else {
		if(yych <= '9')	goto yy425;
		if(yych >= ';')	goto yy406;
		goto yy478;
	}
yy478:
	YYDEBUG(478, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy479;
	if(yych <= '6')	goto yy480;
	if(yych <= '9')	goto yy429;
	goto yy52;
yy479:
	YYDEBUG(479, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy430;
		goto yy428;
	} else {
		if(yych <= '9')	goto yy481;
		if(yych <= ':')	goto yy430;
		goto yy428;
	}
yy480:
	YYDEBUG(480, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy430;
		goto yy428;
	} else {
		if(yych <= '0')	goto yy434;
		if(yych == ':')	goto yy430;
		goto yy428;
	}
yy481:
	YYDEBUG(481, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '-'){
		if(yych <= '('){
			if(yych == ' ')	goto yy435;
			if(yych <= '\'')	goto yy428;
			goto yy438;
		} else {
			if(yych == '+')	goto yy437;
			if(yych <= ',')	goto yy428;
			goto yy437;
		}
	} else {
		if(yych <= '@'){
			if(yych <= '.')	goto yy430;
			if(yych == ':')	goto yy430;
			goto yy428;
		} else {
			if(yych <= 'Z')	goto yy439;
			if(yych <= '`')	goto yy428;
			if(yych <= 'z')	goto yy440;
			goto yy428;
		}
	}
yy482:
	YYDEBUG(482, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy430;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy460;
		if(yych <= ':')	goto yy430;
		goto yy406;
	}
yy483:
	YYDEBUG(483, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy478;
		goto yy406;
	} else {
		if(yych <= '9')	goto yy460;
		if(yych <= ':')	goto yy478;
		goto yy406;
	}
yy484:
	YYDEBUG(484, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= ':'){
		if(yych <= '/'){
			if(yych == '.')	goto yy468;
			goto yy421;
		} else {
			if(yych <= '1')	goto yy469;
			if(yych <= '2')	goto yy470;
			if(yych <= '9')	goto yy471;
			goto yy426;
		}
	} else {
		if(yych <= 'q'){
			if(yych == 'n')	goto yy417;
			goto yy421;
		} else {
			if(yych <= 'r')	goto yy418;
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy485:
	YYDEBUG(485, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'm'){
		if(yych <= '1'){
			if(yych <= '/')	goto yy421;
			if(yych <= '0')	goto yy467;
			goto yy488;
		} else {
			if(yych <= '2')	goto yy495;
			if(yych <= '9')	goto yy488;
			goto yy421;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy417;
			if(yych <= 'q')	goto yy421;
			goto yy418;
		} else {
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy486:
	YYDEBUG(486, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'm'){
		if(yych <= '1'){
			if(yych <= '/')	goto yy421;
			goto yy488;
		} else {
			if(yych <= '2')	goto yy495;
			if(yych <= '9')	goto yy488;
			goto yy421;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy417;
			if(yych <= 'q')	goto yy421;
			goto yy418;
		} else {
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy487:
	YYDEBUG(487, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'm'){
		if(yych <= '1'){
			if(yych <= '/')	goto yy421;
			goto yy488;
		} else {
			if(yych <= '2')	goto yy414;
			if(yych <= '9')	goto yy415;
			goto yy421;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy417;
			if(yych <= 'q')	goto yy421;
			goto yy418;
		} else {
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy488:
	YYDEBUG(488, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= '.'){
			if(yych <= ',')	goto yy421;
			if(yych >= '.')	goto yy468;
			goto yy489;
		} else {
			if(yych <= '/')	goto yy421;
			if(yych <= '1')	goto yy469;
			if(yych <= '2')	goto yy470;
			goto yy471;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= ':')	goto yy426;
			if(yych == 'n')	goto yy417;
			goto yy421;
		} else {
			if(yych <= 'r')	goto yy418;
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy489:
	YYDEBUG(489, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy490;
yy490:
	YYDEBUG(490, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '/')	goto yy491;
	if(yych <= '9')	goto yy492;
	goto yy491;
yy491:
	YYDEBUG(491, *YYCURSOR);

{
		DEBUG_OUTPUT("pgtextshort");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_PG_TEXT;
	}
yy492:
	YYDEBUG(492, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy491;
	if(yych >= ':')	goto yy491;
	goto yy493;
yy493:
	YYDEBUG(493, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy491;
	if(yych >= ':')	goto yy491;
	goto yy494;
yy494:
	YYDEBUG(494, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy491;
yy495:
	YYDEBUG(495, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= '.'){
			if(yych <= ',')	goto yy421;
			if(yych <= '-')	goto yy489;
			goto yy468;
		} else {
			if(yych <= '/')	goto yy421;
			if(yych <= '1')	goto yy469;
			if(yych <= '2')	goto yy470;
			goto yy471;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= ':')	goto yy426;
			if(yych == 'n')	goto yy417;
			goto yy421;
		} else {
			if(yych <= 'r')	goto yy418;
			if(yych <= 's')	goto yy416;
			if(yych <= 't')	goto yy419;
			goto yy421;
		}
	}
yy496:
	YYDEBUG(496, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'C'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'B')	goto yy133;
			goto yy400;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'c')	goto yy497;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy497:
	YYDEBUG(497, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'E'){
				if(yych <= 'D')	goto yy134;
				goto yy409;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'e')	goto yy498;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy498:
	YYDEBUG(498, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'M'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'L')	goto yy3;
			goto yy410;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'm')	goto yy499;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy499:
	YYDEBUG(499, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy411;
	if(yych != 'b')	goto yy143;
	goto yy500;
yy500:
	YYDEBUG(500, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy412;
	if(yych != 'e')	goto yy143;
	goto yy501;
yy501:
	YYDEBUG(501, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'R')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'r')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy502:
	YYDEBUG(502, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych == '/')	goto yy137;
		goto yy402;
	} else {
		if(yych <= '_')	goto yy137;
		if(yych <= '`')	goto yy402;
		if(yych <= 'z')	goto yy142;
		goto yy402;
	}
yy503:
	YYDEBUG(503, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'V'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'U')	goto yy133;
			goto yy515;
		}
	} else {
		if(yych <= 'u'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'v')	goto yy515;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy504:
	YYDEBUG(504, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'V'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'U')	goto yy133;
			goto yy515;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'v')	goto yy516;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy505:
	YYDEBUG(505, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'X'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'W')	goto yy133;
			goto yy511;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'x')	goto yy514;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy506:
	YYDEBUG(506, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy509;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy512;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy507:
	YYDEBUG(507, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'X'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'W')	goto yy133;
			goto yy511;
		}
	} else {
		if(yych <= 'w'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'x')	goto yy511;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy508:
	YYDEBUG(508, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy509;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'n')	goto yy509;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy509:
	YYDEBUG(509, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy510;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy510;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy510:
	YYDEBUG(510, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'H')	goto yy160;
		if(yych == 'h')	goto yy160;
		goto yy3;
	}
yy511:
	YYDEBUG(511, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy318;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy318;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy512:
	YYDEBUG(512, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy510;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy513;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy513:
	YYDEBUG(513, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'G')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy514:
	YYDEBUG(514, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy318;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy321;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy515:
	YYDEBUG(515, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych == 'E')	goto yy517;
			goto yy134;
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'e')	goto yy517;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy516:
	YYDEBUG(516, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'E'){
				if(yych <= 'D')	goto yy134;
				goto yy517;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'e')	goto yy518;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy517:
	YYDEBUG(517, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'L'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'M')	goto yy519;
		if(yych == 'm')	goto yy519;
		goto yy3;
	}
yy518:
	YYDEBUG(518, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'M'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'L')	goto yy3;
			goto yy519;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'm')	goto yy520;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy519:
	YYDEBUG(519, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy521;
	if(yych == 'b')	goto yy521;
	goto yy52;
yy520:
	YYDEBUG(520, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy521;
	if(yych == 'b')	goto yy522;
	goto yy143;
yy521:
	YYDEBUG(521, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy523;
	if(yych == 'e')	goto yy523;
	goto yy52;
yy522:
	YYDEBUG(522, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy523;
	if(yych == 'e')	goto yy524;
	goto yy143;
yy523:
	YYDEBUG(523, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy401;
	if(yych == 'r')	goto yy401;
	goto yy52;
yy524:
	YYDEBUG(524, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'R')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'r')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy525:
	YYDEBUG(525, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy133;
			goto yy526;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 't')	goto yy526;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy526:
	YYDEBUG(526, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych != 'O')	goto yy134;
			goto yy527;
		} else {
			if(yych <= 'n'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'o')	goto yy527;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy527:
	YYDEBUG(527, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'A'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'B')	goto yy528;
		if(yych != 'b')	goto yy3;
		goto yy528;
	}
yy528:
	YYDEBUG(528, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy529;
	if(yych != 'e')	goto yy52;
	goto yy529;
yy529:
	YYDEBUG(529, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy401;
	if(yych == 'r')	goto yy401;
	goto yy52;
yy530:
	YYDEBUG(530, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy133;
			goto yy526;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy531;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy531:
	YYDEBUG(531, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'O'){
				if(yych <= 'N')	goto yy134;
				goto yy527;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'n'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'o')	goto yy532;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy532:
	YYDEBUG(532, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'B'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'A')	goto yy3;
			goto yy528;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'b')	goto yy533;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy533:
	YYDEBUG(533, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy529;
	if(yych != 'e')	goto yy143;
	goto yy534;
yy534:
	YYDEBUG(534, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'R')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'r')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy535:
	YYDEBUG(535, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'V'){
		if(yych <= 'B'){
			if(yych == ')')	goto yy131;
			if(yych <= '@')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'O'){
				if(yych <= 'C')	goto yy550;
				goto yy133;
			} else {
				if(yych <= 'P')	goto yy549;
				if(yych <= 'U')	goto yy133;
				goto yy551;
			}
		}
	} else {
		if(yych <= 'o'){
			if(yych <= '`'){
				if(yych <= 'Z')	goto yy133;
				goto yy3;
			} else {
				if(yych == 'c')	goto yy550;
				goto yy133;
			}
		} else {
			if(yych <= 'u'){
				if(yych <= 'p')	goto yy549;
				goto yy133;
			} else {
				if(yych <= 'v')	goto yy551;
				if(yych <= 'z')	goto yy133;
				goto yy3;
			}
		}
	}
yy536:
	YYDEBUG(536, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy133;
			goto yy544;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 't')	goto yy544;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy537:
	YYDEBUG(537, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'X'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'W')	goto yy133;
			goto yy542;
		}
	} else {
		if(yych <= 'w'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'x')	goto yy542;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy538:
	YYDEBUG(538, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy539;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'n')	goto yy539;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy539:
	YYDEBUG(539, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'D'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy342;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'C')	goto yy134;
			goto yy540;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy342;
			goto yy134;
		} else {
			if(yych <= 'd')	goto yy540;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy540:
	YYDEBUG(540, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'A')	goto yy541;
		if(yych != 'a')	goto yy3;
		goto yy541;
	}
yy541:
	YYDEBUG(541, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy348;
	goto yy52;
yy542:
	YYDEBUG(542, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy543;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy543;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy543:
	YYDEBUG(543, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'H')	goto yy160;
		if(yych == 'h')	goto yy160;
		goto yy3;
	}
yy544:
	YYDEBUG(544, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy342;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'T')	goto yy134;
			goto yy545;
		}
	} else {
		if(yych <= 't'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy342;
			goto yy134;
		} else {
			if(yych <= 'u')	goto yy545;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy545:
	YYDEBUG(545, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'Q'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'R')	goto yy546;
		if(yych != 'r')	goto yy3;
		goto yy546;
	}
yy546:
	YYDEBUG(546, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy547;
	if(yych != 'd')	goto yy52;
	goto yy547;
yy547:
	YYDEBUG(547, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy548;
	if(yych != 'a')	goto yy52;
	goto yy548;
yy548:
	YYDEBUG(548, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy348;
	goto yy52;
yy549:
	YYDEBUG(549, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych == 'T')	goto yy557;
			goto yy134;
		} else {
			if(yych <= 's'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 't')	goto yy557;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy550:
	YYDEBUG(550, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'N')	goto yy134;
			goto yy555;
		}
	} else {
		if(yych <= 'n'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'o')	goto yy555;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy551:
	YYDEBUG(551, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy134;
			goto yy552;
		}
	} else {
		if(yych <= 'd'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'e')	goto yy552;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy552:
	YYDEBUG(552, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'M'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'N')	goto yy553;
		if(yych != 'n')	goto yy3;
		goto yy553;
	}
yy553:
	YYDEBUG(553, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy554;
	if(yych != 't')	goto yy52;
	goto yy554;
yy554:
	YYDEBUG(554, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy160;
	if(yych == 'h')	goto yy160;
	goto yy52;
yy555:
	YYDEBUG(555, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'M'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'N')	goto yy556;
		if(yych != 'n')	goto yy3;
		goto yy556;
	}
yy556:
	YYDEBUG(556, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy160;
	if(yych == 'd')	goto yy160;
	goto yy52;
yy557:
	YYDEBUG(557, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '.'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '-')	goto yy404;
			goto yy402;
		}
	} else {
		if(yych <= 'D'){
			if(yych <= '/')	goto yy3;
			if(yych <= '9')	goto yy402;
			goto yy3;
		} else {
			if(yych <= 'E')	goto yy558;
			if(yych != 'e')	goto yy3;
			goto yy558;
		}
	}
yy558:
	YYDEBUG(558, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy559;
	if(yych != 'm')	goto yy52;
	goto yy559;
yy559:
	YYDEBUG(559, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy560;
	if(yych != 'b')	goto yy52;
	goto yy560;
yy560:
	YYDEBUG(560, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy561;
	if(yych != 'e')	goto yy52;
	goto yy561;
yy561:
	YYDEBUG(561, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy401;
	if(yych == 'r')	goto yy401;
	goto yy52;
yy562:
	YYDEBUG(562, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'V'){
		if(yych <= '@'){
			if(yych <= ')'){
				if(yych <= '(')	goto yy3;
				goto yy131;
			} else {
				if(yych == '/')	goto yy137;
				goto yy3;
			}
		} else {
			if(yych <= 'O'){
				if(yych == 'C')	goto yy550;
				goto yy133;
			} else {
				if(yych <= 'P')	goto yy549;
				if(yych <= 'U')	goto yy133;
				goto yy551;
			}
		}
	} else {
		if(yych <= 'c'){
			if(yych <= '_'){
				if(yych <= 'Z')	goto yy133;
				if(yych <= '^')	goto yy3;
				goto yy137;
			} else {
				if(yych <= '`')	goto yy3;
				if(yych <= 'b')	goto yy136;
				goto yy577;
			}
		} else {
			if(yych <= 'u'){
				if(yych == 'p')	goto yy576;
				goto yy136;
			} else {
				if(yych <= 'v')	goto yy578;
				if(yych <= 'z')	goto yy136;
				goto yy3;
			}
		}
	}
yy563:
	YYDEBUG(563, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy133;
			goto yy544;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy571;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy564:
	YYDEBUG(564, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'X'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'W')	goto yy133;
			goto yy542;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'x')	goto yy569;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy565:
	YYDEBUG(565, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy539;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy566;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy566:
	YYDEBUG(566, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'C')	goto yy134;
			goto yy540;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 'd')	goto yy567;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy567:
	YYDEBUG(567, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'A'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			goto yy541;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych <= 'a')	goto yy568;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy568:
	YYDEBUG(568, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy356;
	goto yy143;
yy569:
	YYDEBUG(569, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy543;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy570;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy570:
	YYDEBUG(570, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'G')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy571:
	YYDEBUG(571, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'U'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'T')	goto yy134;
			goto yy545;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 'u')	goto yy572;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy572:
	YYDEBUG(572, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'Q')	goto yy3;
			goto yy546;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'r')	goto yy573;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy573:
	YYDEBUG(573, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'D')	goto yy547;
	if(yych != 'd')	goto yy143;
	goto yy574;
yy574:
	YYDEBUG(574, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy548;
	if(yych != 'a')	goto yy143;
	goto yy575;
yy575:
	YYDEBUG(575, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy356;
	goto yy143;
yy576:
	YYDEBUG(576, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'T'){
				if(yych <= 'S')	goto yy134;
				goto yy557;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 's'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 't')	goto yy584;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy577:
	YYDEBUG(577, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'O'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'N')	goto yy134;
			goto yy555;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'o')	goto yy582;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy578:
	YYDEBUG(578, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'E'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'D')	goto yy134;
			goto yy552;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'e')	goto yy579;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy579:
	YYDEBUG(579, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'M')	goto yy3;
			goto yy553;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy580;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy580:
	YYDEBUG(580, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy554;
	if(yych != 't')	goto yy143;
	goto yy581;
yy581:
	YYDEBUG(581, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'H')	goto yy160;
			goto yy52;
		}
	} else {
		if(yych <= 'g'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy582:
	YYDEBUG(582, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'M')	goto yy3;
			goto yy556;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy583;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy583:
	YYDEBUG(583, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'D')	goto yy160;
			goto yy52;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'd')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy584:
	YYDEBUG(584, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy137;
			goto yy402;
		}
	} else {
		if(yych <= '_'){
			if(yych == 'E')	goto yy558;
			if(yych <= '^')	goto yy3;
			goto yy137;
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy142;
			} else {
				if(yych <= 'e')	goto yy585;
				if(yych <= 'z')	goto yy142;
				goto yy3;
			}
		}
	}
yy585:
	YYDEBUG(585, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy559;
	if(yych != 'm')	goto yy143;
	goto yy586;
yy586:
	YYDEBUG(586, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy560;
	if(yych != 'b')	goto yy143;
	goto yy587;
yy587:
	YYDEBUG(587, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy561;
	if(yych != 'e')	goto yy143;
	goto yy588;
yy588:
	YYDEBUG(588, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'R')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'r')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy589:
	YYDEBUG(589, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'G'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'F')	goto yy133;
			goto yy596;
		}
	} else {
		if(yych <= 'f'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'g')	goto yy596;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy590:
	YYDEBUG(590, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy133;
			goto yy594;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'r')	goto yy594;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy591:
	YYDEBUG(591, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'N')	goto yy133;
			goto yy592;
		}
	} else {
		if(yych <= 'n'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'o')	goto yy592;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy592:
	YYDEBUG(592, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '@'){
		if(yych == ')')	goto yy131;
		goto yy593;
	} else {
		if(yych <= 'Z')	goto yy134;
		if(yych <= '`')	goto yy593;
		if(yych <= 'z')	goto yy134;
		goto yy593;
	}
yy593:
	YYDEBUG(593, *YYCURSOR);

{
		DEBUG_OUTPUT("ago");
		TIMELIB_INIT;
		s->time->relative.y = 0 - s->time->relative.y;
		s->time->relative.m = 0 - s->time->relative.m;
		s->time->relative.d = 0 - s->time->relative.d;
		s->time->relative.h = 0 - s->time->relative.h;
		s->time->relative.i = 0 - s->time->relative.i;
		s->time->relative.s = 0 - s->time->relative.s;
		s->time->relative.weekday = 0 - s->time->relative.weekday;
		TIMELIB_DEINIT;
		return TIMELIB_AGO;
	}
yy594:
	YYDEBUG(594, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych != 'I')	goto yy134;
			goto yy595;
		} else {
			if(yych <= 'h'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'i')	goto yy595;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy595:
	YYDEBUG(595, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'K'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'L')	goto yy401;
		if(yych == 'l')	goto yy401;
		goto yy3;
	}
yy596:
	YYDEBUG(596, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych != 'U')	goto yy134;
			goto yy597;
		} else {
			if(yych <= 't'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'u')	goto yy597;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy597:
	YYDEBUG(597, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'S')	goto yy598;
		if(yych != 's')	goto yy3;
		goto yy598;
	}
yy598:
	YYDEBUG(598, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy401;
	if(yych == 't')	goto yy401;
	goto yy52;
yy599:
	YYDEBUG(599, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'F')	goto yy133;
			goto yy596;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'g')	goto yy605;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy600:
	YYDEBUG(600, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy133;
			goto yy594;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'r')	goto yy603;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy601:
	YYDEBUG(601, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'O'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'N')	goto yy133;
			goto yy592;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'o')	goto yy602;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy602:
	YYDEBUG(602, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy593;
			goto yy131;
		} else {
			if(yych == '/')	goto yy137;
			goto yy593;
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '^')	goto yy593;
			goto yy137;
		} else {
			if(yych <= '`')	goto yy593;
			if(yych <= 'z')	goto yy141;
			goto yy593;
		}
	}
yy603:
	YYDEBUG(603, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'I'){
				if(yych <= 'H')	goto yy134;
				goto yy595;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'h'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'i')	goto yy604;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy604:
	YYDEBUG(604, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'L'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'K')	goto yy3;
			goto yy401;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'l')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy605:
	YYDEBUG(605, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'U'){
				if(yych <= 'T')	goto yy134;
				goto yy597;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 't'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'u')	goto yy606;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy606:
	YYDEBUG(606, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'R')	goto yy3;
			goto yy598;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 's')	goto yy607;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy607:
	YYDEBUG(607, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'T')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 's'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 't')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy608:
	YYDEBUG(608, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'R')	goto yy618;
			if(yych <= 'X')	goto yy133;
			goto yy620;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'q')	goto yy133;
			goto yy618;
		} else {
			if(yych == 'y')	goto yy620;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy609:
	YYDEBUG(609, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'Y'){
		if(yych <= '/'){
			if(yych == ')')	goto yy131;
			if(yych <= '.')	goto yy3;
			goto yy137;
		} else {
			if(yych <= 'Q'){
				if(yych <= '@')	goto yy3;
				goto yy133;
			} else {
				if(yych <= 'R')	goto yy618;
				if(yych <= 'X')	goto yy133;
				goto yy620;
			}
		}
	} else {
		if(yych <= 'q'){
			if(yych <= '^'){
				if(yych <= 'Z')	goto yy133;
				goto yy3;
			} else {
				if(yych <= '_')	goto yy137;
				if(yych <= '`')	goto yy3;
				goto yy136;
			}
		} else {
			if(yych <= 'x'){
				if(yych <= 'r')	goto yy619;
				goto yy136;
			} else {
				if(yych <= 'y')	goto yy621;
				if(yych <= 'z')	goto yy136;
				goto yy3;
			}
		}
	}
yy610:
	YYDEBUG(610, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy612;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy615;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy611:
	YYDEBUG(611, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy612;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'n')	goto yy612;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy612:
	YYDEBUG(612, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'D'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy342;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'C')	goto yy134;
			goto yy613;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy342;
			goto yy134;
		} else {
			if(yych <= 'd')	goto yy613;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy613:
	YYDEBUG(613, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'A')	goto yy614;
		if(yych != 'a')	goto yy3;
		goto yy614;
	}
yy614:
	YYDEBUG(614, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy348;
	goto yy52;
yy615:
	YYDEBUG(615, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'C')	goto yy134;
			goto yy613;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 'd')	goto yy616;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy616:
	YYDEBUG(616, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'A'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			goto yy614;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych <= 'a')	goto yy617;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy617:
	YYDEBUG(617, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy356;
	goto yy143;
yy618:
	YYDEBUG(618, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych == 'C')	goto yy622;
			goto yy134;
		} else {
			if(yych <= 'b'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'c')	goto yy622;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy619:
	YYDEBUG(619, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'C'){
				if(yych <= 'B')	goto yy134;
				goto yy622;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'b'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'c')	goto yy623;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy620:
	YYDEBUG(620, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '.'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '-')	goto yy404;
			goto yy402;
		}
	} else {
		if(yych <= '@'){
			if(yych <= '/')	goto yy3;
			if(yych <= '9')	goto yy402;
			goto yy3;
		} else {
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy621:
	YYDEBUG(621, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '-')	goto yy404;
			if(yych <= '.')	goto yy402;
			goto yy137;
		}
	} else {
		if(yych <= '^'){
			if(yych <= '9')	goto yy402;
			if(yych <= '@')	goto yy3;
			if(yych <= 'Z')	goto yy134;
			goto yy3;
		} else {
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy622:
	YYDEBUG(622, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'H')	goto yy401;
		if(yych == 'h')	goto yy401;
		goto yy3;
	}
yy623:
	YYDEBUG(623, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'G')	goto yy3;
			goto yy401;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'h')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy624:
	YYDEBUG(624, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'B'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'A')	goto yy133;
			goto yy638;
		}
	} else {
		if(yych <= 'a'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'b')	goto yy638;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy625:
	YYDEBUG(625, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'F')	goto yy635;
			if(yych <= 'Q')	goto yy133;
			goto yy634;
		}
	} else {
		if(yych <= 'f'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'e')	goto yy133;
			goto yy635;
		} else {
			if(yych == 'r')	goto yy634;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy626:
	YYDEBUG(626, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'T')	goto yy133;
			goto yy631;
		}
	} else {
		if(yych <= 't'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'u')	goto yy631;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy627:
	YYDEBUG(627, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'I'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy133;
			goto yy628;
		}
	} else {
		if(yych <= 'h'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'i')	goto yy628;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy628:
	YYDEBUG(628, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'D'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy342;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy342;
			if(yych <= 'C')	goto yy134;
			goto yy629;
		}
	} else {
		if(yych <= 'c'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy342;
			goto yy134;
		} else {
			if(yych <= 'd')	goto yy629;
			if(yych <= 'z')	goto yy134;
			goto yy342;
		}
	}
yy629:
	YYDEBUG(629, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'A')	goto yy630;
		if(yych != 'a')	goto yy3;
		goto yy630;
	}
yy630:
	YYDEBUG(630, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy348;
	goto yy52;
yy631:
	YYDEBUG(631, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy134;
			goto yy632;
		}
	} else {
		if(yych <= 'q'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'r')	goto yy632;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy632:
	YYDEBUG(632, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'T')	goto yy633;
		if(yych != 't')	goto yy3;
		goto yy633;
	}
yy633:
	YYDEBUG(633, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy160;
	if(yych == 'h')	goto yy160;
	goto yy52;
yy634:
	YYDEBUG(634, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'R')	goto yy134;
			goto yy637;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 's')	goto yy637;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy635:
	YYDEBUG(635, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy636;
		}
	} else {
		if(yych <= 's'){
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy636;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy636:
	YYDEBUG(636, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'G'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'H')	goto yy160;
		if(yych == 'h')	goto yy160;
		goto yy3;
	}
yy637:
	YYDEBUG(637, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'T')	goto yy160;
		if(yych == 't')	goto yy160;
		goto yy3;
	}
yy638:
	YYDEBUG(638, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych != 'R')	goto yy134;
			goto yy639;
		} else {
			if(yych <= 'q'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'r')	goto yy639;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy639:
	YYDEBUG(639, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'U')	goto yy640;
		if(yych != 'u')	goto yy3;
		goto yy640;
	}
yy640:
	YYDEBUG(640, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy641;
	if(yych != 'a')	goto yy52;
	goto yy641;
yy641:
	YYDEBUG(641, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy642;
	if(yych != 'r')	goto yy52;
	goto yy642;
yy642:
	YYDEBUG(642, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy401;
	if(yych == 'y')	goto yy401;
	goto yy52;
yy643:
	YYDEBUG(643, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'B'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'A')	goto yy133;
			goto yy638;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'b')	goto yy657;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy644:
	YYDEBUG(644, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych <= '/'){
			if(yych == ')')	goto yy131;
			if(yych <= '.')	goto yy3;
			goto yy137;
		} else {
			if(yych <= 'E'){
				if(yych <= '@')	goto yy3;
				goto yy133;
			} else {
				if(yych <= 'F')	goto yy635;
				if(yych <= 'Q')	goto yy133;
				goto yy634;
			}
		}
	} else {
		if(yych <= 'e'){
			if(yych <= '^'){
				if(yych <= 'Z')	goto yy133;
				goto yy3;
			} else {
				if(yych <= '_')	goto yy137;
				if(yych <= '`')	goto yy3;
				goto yy136;
			}
		} else {
			if(yych <= 'q'){
				if(yych <= 'f')	goto yy654;
				goto yy136;
			} else {
				if(yych <= 'r')	goto yy653;
				if(yych <= 'z')	goto yy136;
				goto yy3;
			}
		}
	}
yy645:
	YYDEBUG(645, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'U'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'T')	goto yy133;
			goto yy631;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'u')	goto yy650;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy646:
	YYDEBUG(646, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'I'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy133;
			goto yy628;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'i')	goto yy647;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy647:
	YYDEBUG(647, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy342;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy342;
			if(yych <= 'C')	goto yy134;
			goto yy629;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy342;
		} else {
			if(yych == 'd')	goto yy648;
			if(yych <= 'z')	goto yy141;
			goto yy342;
		}
	}
yy648:
	YYDEBUG(648, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'A'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			goto yy630;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych <= 'a')	goto yy649;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy649:
	YYDEBUG(649, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy348;
	if(yych == 'y')	goto yy356;
	goto yy143;
yy650:
	YYDEBUG(650, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'R'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'Q')	goto yy134;
			goto yy632;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'r')	goto yy651;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy651:
	YYDEBUG(651, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'S')	goto yy3;
			goto yy633;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy652;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy652:
	YYDEBUG(652, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'H')	goto yy160;
			goto yy52;
		}
	} else {
		if(yych <= 'g'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy653:
	YYDEBUG(653, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'R')	goto yy134;
			goto yy637;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 's')	goto yy656;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy654:
	YYDEBUG(654, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'S')	goto yy134;
			goto yy636;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy134;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy655;
			if(yych <= 'z')	goto yy141;
			goto yy3;
		}
	}
yy655:
	YYDEBUG(655, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'G')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'h')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy656:
	YYDEBUG(656, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'S')	goto yy3;
			goto yy160;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 't')	goto yy242;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy657:
	YYDEBUG(657, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'R'){
				if(yych <= 'Q')	goto yy134;
				goto yy639;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'q'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'r')	goto yy658;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy658:
	YYDEBUG(658, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'U'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= 'T')	goto yy3;
			goto yy640;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'u')	goto yy659;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy659:
	YYDEBUG(659, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy641;
	if(yych != 'a')	goto yy143;
	goto yy660;
yy660:
	YYDEBUG(660, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy642;
	if(yych != 'r')	goto yy143;
	goto yy661;
yy661:
	YYDEBUG(661, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'Y')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 'x'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'y')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy662:
	YYDEBUG(662, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'L')	goto yy669;
			if(yych <= 'M')	goto yy133;
			goto yy668;
		}
	} else {
		if(yych <= 'l'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'k')	goto yy133;
			goto yy669;
		} else {
			if(yych == 'n')	goto yy668;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy663:
	YYDEBUG(663, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy664;
		}
	} else {
		if(yych <= 'm'){
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'n')	goto yy664;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy664:
	YYDEBUG(664, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych != 'U')	goto yy134;
			goto yy665;
		} else {
			if(yych <= 't'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'u')	goto yy665;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy665:
	YYDEBUG(665, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych == ')')	goto yy131;
		goto yy3;
	} else {
		if(yych <= 'A')	goto yy666;
		if(yych != 'a')	goto yy3;
		goto yy666;
	}
yy666:
	YYDEBUG(666, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy667;
	if(yych != 'r')	goto yy52;
	goto yy667;
yy667:
	YYDEBUG(667, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy401;
	if(yych == 'y')	goto yy401;
	goto yy52;
yy668:
	YYDEBUG(668, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych == 'E')	goto yy670;
			goto yy134;
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'e')	goto yy670;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy669:
	YYDEBUG(669, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '-')	goto yy404;
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '@')	goto yy3;
			if(yych != 'Y')	goto yy134;
			goto yy670;
		} else {
			if(yych <= 'x'){
				if(yych <= '`')	goto yy3;
				goto yy134;
			} else {
				if(yych <= 'y')	goto yy670;
				if(yych <= 'z')	goto yy134;
				goto yy3;
			}
		}
	}
yy670:
	YYDEBUG(670, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= ')'){
		if(yych <= 0x1F)	goto yy3;
		if(yych <= '(')	goto yy402;
		goto yy403;
	} else {
		if(yych == '/')	goto yy3;
		if(yych <= '9')	goto yy402;
		goto yy3;
	}
yy671:
	YYDEBUG(671, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '/'){
			if(yych == ')')	goto yy131;
			if(yych <= '.')	goto yy3;
			goto yy137;
		} else {
			if(yych <= 'K'){
				if(yych <= '@')	goto yy3;
				goto yy133;
			} else {
				if(yych <= 'L')	goto yy669;
				if(yych <= 'M')	goto yy133;
				goto yy668;
			}
		}
	} else {
		if(yych <= 'k'){
			if(yych <= '^'){
				if(yych <= 'Z')	goto yy133;
				goto yy3;
			} else {
				if(yych <= '_')	goto yy137;
				if(yych <= '`')	goto yy3;
				goto yy136;
			}
		} else {
			if(yych <= 'm'){
				if(yych <= 'l')	goto yy678;
				goto yy136;
			} else {
				if(yych <= 'n')	goto yy677;
				if(yych <= 'z')	goto yy136;
				goto yy3;
			}
		}
	}
yy672:
	YYDEBUG(672, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			if(yych <= 'M')	goto yy133;
			goto yy664;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'Z')	goto yy133;
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych == 'n')	goto yy673;
			if(yych <= 'z')	goto yy136;
			goto yy3;
		}
	}
yy673:
	YYDEBUG(673, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'U'){
				if(yych <= 'T')	goto yy134;
				goto yy665;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 't'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'u')	goto yy674;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy674:
	YYDEBUG(674, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'A'){
		if(yych <= '.'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych <= '/')	goto yy137;
			if(yych <= '@')	goto yy3;
			goto yy666;
		}
	} else {
		if(yych <= '`'){
			if(yych == '_')	goto yy137;
			goto yy3;
		} else {
			if(yych <= 'a')	goto yy675;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy675:
	YYDEBUG(675, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy667;
	if(yych != 'r')	goto yy143;
	goto yy676;
yy676:
	YYDEBUG(676, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '^'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy52;
			goto yy137;
		} else {
			if(yych == 'Y')	goto yy401;
			goto yy52;
		}
	} else {
		if(yych <= 'x'){
			if(yych <= '_')	goto yy137;
			if(yych <= '`')	goto yy52;
			goto yy142;
		} else {
			if(yych <= 'y')	goto yy502;
			if(yych <= 'z')	goto yy142;
			goto yy52;
		}
	}
yy677:
	YYDEBUG(677, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'E'){
				if(yych <= 'D')	goto yy134;
				goto yy670;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'd'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'e')	goto yy679;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy678:
	YYDEBUG(678, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy3;
			if(yych == ')')	goto yy403;
			goto yy402;
		} else {
			if(yych <= '.'){
				if(yych <= '-')	goto yy404;
				goto yy402;
			} else {
				if(yych <= '/')	goto yy137;
				if(yych <= '9')	goto yy402;
				goto yy3;
			}
		}
	} else {
		if(yych <= '_'){
			if(yych <= 'Y'){
				if(yych <= 'X')	goto yy134;
				goto yy670;
			} else {
				if(yych <= 'Z')	goto yy134;
				if(yych <= '^')	goto yy3;
				goto yy137;
			}
		} else {
			if(yych <= 'x'){
				if(yych <= '`')	goto yy3;
				goto yy141;
			} else {
				if(yych <= 'y')	goto yy679;
				if(yych <= 'z')	goto yy141;
				goto yy3;
			}
		}
	}
yy679:
	YYDEBUG(679, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= '('){
			if(yych <= 0x1F)	goto yy3;
			goto yy402;
		} else {
			if(yych <= ')')	goto yy403;
			if(yych <= '.')	goto yy402;
			goto yy137;
		}
	} else {
		if(yych <= '_'){
			if(yych <= '9')	goto yy402;
			if(yych <= '^')	goto yy3;
			goto yy137;
		} else {
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy142;
			goto yy3;
		}
	}
yy680:
	YYDEBUG(680, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy133;
			goto yy681;
		} else {
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy681:
	YYDEBUG(681, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= '('){
			if(yych <= 0x1F)	goto yy3;
			goto yy402;
		} else {
			if(yych <= ')')	goto yy403;
			if(yych <= '.')	goto yy402;
			goto yy3;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '9')	goto yy402;
			if(yych <= '@')	goto yy3;
			goto yy134;
		} else {
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy682:
	YYDEBUG(682, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy133;
			goto yy683;
		} else {
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy683:
	YYDEBUG(683, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy134;
			goto yy670;
		} else {
			if(yych <= 'Z')	goto yy134;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy684:
	YYDEBUG(684, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= '('){
			if(yych <= 0x1F)	goto yy3;
			goto yy402;
		} else {
			if(yych <= ')')	goto yy403;
			if(yych <= '.')	goto yy402;
			goto yy3;
		}
	} else {
		if(yych <= 'Z'){
			if(yych <= '9')	goto yy402;
			if(yych <= '@')	goto yy3;
			goto yy133;
		} else {
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy685:
	YYDEBUG(685, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= ')'){
			if(yych <= 0x1F)	goto yy3;
			if(yych <= '(')	goto yy402;
			goto yy403;
		} else {
			if(yych == '/')	goto yy3;
			goto yy402;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '@')	goto yy3;
			if(yych <= 'H')	goto yy133;
			goto yy681;
		} else {
			if(yych <= 'Z')	goto yy133;
			if(yych <= '`')	goto yy3;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy686:
	YYDEBUG(686, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 13) YYFILL(13);
	yych = *YYCURSOR;
	goto yy687;
yy687:
	YYDEBUG(687, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy686;
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':	goto yy699;
	case 'A':	case 'a':	goto yy707;
	case 'D':	case 'd':	goto yy691;
	case 'F':	case 'f':	goto yy692;
	case 'H':	case 'h':	goto yy59;
	case 'I':	goto yy702;
	case 'J':	case 'j':	goto yy706;
	case 'M':	case 'm':	goto yy690;
	case 'N':	case 'n':	goto yy709;
	case 'O':	case 'o':	goto yy708;
	case 'P':	case 'p':	goto yy711;
	case 'S':	case 's':	goto yy688;
	case 'T':	case 't':	goto yy64;
	case 'V':	goto yy704;
	case 'W':	case 'w':	goto yy61;
	case 'X':	goto yy705;
	case 'Y':	case 'y':	goto yy63;
	default:	goto yy52;
	}
yy688:
	YYDEBUG(688, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych == 'A')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'E')	goto yy1192;
			if(yych <= 'T')	goto yy52;
			goto yy117;
		}
	} else {
		if(yych <= 'd'){
			if(yych == 'a')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'e')	goto yy1192;
			if(yych == 'u')	goto yy117;
			goto yy52;
		}
	}
yy689:
	YYDEBUG(689, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '`'){
		if(yych <= 'D'){
			if(yych == 'A')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'E')	goto yy1192;
			if(yych == 'U')	goto yy117;
			goto yy52;
		}
	} else {
		if(yych <= 'e'){
			if(yych <= 'a')	goto yy118;
			if(yych <= 'd')	goto yy52;
			goto yy1192;
		} else {
			if(yych <= 's')	goto yy52;
			if(yych <= 't')	goto yy928;
			if(yych <= 'u')	goto yy117;
			goto yy52;
		}
	}
yy690:
	YYDEBUG(690, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= 'H'){
			if(yych == 'A')	goto yy798;
			goto yy52;
		} else {
			if(yych <= 'I')	goto yy109;
			if(yych <= 'N')	goto yy52;
			goto yy108;
		}
	} else {
		if(yych <= 'h'){
			if(yych == 'a')	goto yy798;
			goto yy52;
		} else {
			if(yych <= 'i')	goto yy109;
			if(yych == 'o')	goto yy108;
			goto yy52;
		}
	}
yy691:
	YYDEBUG(691, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych == 'A')	goto yy105;
		if(yych <= 'D')	goto yy52;
		goto yy785;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy105;
		} else {
			if(yych == 'e')	goto yy785;
			goto yy52;
		}
	}
yy692:
	YYDEBUG(692, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= 'N'){
			if(yych == 'E')	goto yy801;
			goto yy52;
		} else {
			if(yych <= 'O')	goto yy82;
			if(yych <= 'Q')	goto yy52;
			goto yy81;
		}
	} else {
		if(yych <= 'n'){
			if(yych == 'e')	goto yy801;
			goto yy52;
		} else {
			if(yych <= 'o')	goto yy82;
			if(yych == 'r')	goto yy81;
			goto yy52;
		}
	}
yy693:
	YYDEBUG(693, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'H')	goto yy65;
		if(yych <= 'T')	goto yy52;
		goto yy66;
	} else {
		if(yych <= 'h'){
			if(yych <= 'g')	goto yy52;
			goto yy1191;
		} else {
			if(yych == 'u')	goto yy66;
			goto yy52;
		}
	}
yy694:
	YYDEBUG(694, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy937;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy936;
	goto yy56;
yy695:
	YYDEBUG(695, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'c'){
		if(yych == 'O')	goto yy738;
		goto yy52;
	} else {
		if(yych <= 'd')	goto yy928;
		if(yych == 'o')	goto yy738;
		goto yy52;
	}
yy696:
	YYDEBUG(696, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy928;
	goto yy52;
yy697:
	YYDEBUG(697, *YYCURSOR);
	yych = *++YYCURSOR;
	YYDEBUG(-1, yych);
	switch(yych){
	case '0':
	case '1':
	case '2':	goto yy866;
	case '3':	goto yy868;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy869;
	case 'A':	case 'a':	goto yy873;
	case 'D':	case 'd':	goto yy877;
	case 'F':	case 'f':	goto yy871;
	case 'J':	case 'j':	goto yy870;
	case 'M':	case 'm':	goto yy872;
	case 'N':	case 'n':	goto yy876;
	case 'O':	case 'o':	goto yy875;
	case 'S':	case 's':	goto yy874;
	default:	goto yy52;
	}
yy698:
	YYDEBUG(698, *YYCURSOR);
	yych = *++YYCURSOR;
	YYDEBUG(-1, yych);
	switch(yych){
	case '0':	goto yy817;
	case '1':	goto yy818;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy819;
	case 'A':	case 'a':	goto yy823;
	case 'D':	case 'd':	goto yy827;
	case 'F':	case 'f':	goto yy821;
	case 'J':	case 'j':	goto yy820;
	case 'M':	case 'm':	goto yy822;
	case 'N':	case 'n':	goto yy826;
	case 'O':	case 'o':	goto yy825;
	case 'S':	case 's':	goto yy824;
	default:	goto yy700;
	}
yy699:
	YYDEBUG(699, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 13) YYFILL(13);
	yych = *YYCURSOR;
	goto yy700;
yy700:
	YYDEBUG(700, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':	goto yy699;
	case 'A':	case 'a':	goto yy782;
	case 'D':	case 'd':	goto yy784;
	case 'F':	case 'f':	goto yy780;
	case 'I':	goto yy702;
	case 'J':	case 'j':	goto yy706;
	case 'M':	case 'm':	goto yy781;
	case 'N':	case 'n':	goto yy709;
	case 'O':	case 'o':	goto yy708;
	case 'S':	case 's':	goto yy783;
	case 'V':	goto yy704;
	case 'X':	goto yy705;
	default:	goto yy52;
	}
yy701:
	YYDEBUG(701, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '1'){
		if(yych <= '/')	goto yy700;
		if(yych <= '0')	goto yy776;
		goto yy777;
	} else {
		if(yych <= '5')	goto yy778;
		if(yych <= '9')	goto yy779;
		goto yy700;
	}
yy702:
	YYDEBUG(702, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych <= '.'){
			if(yych >= ' ')	goto yy740;
			goto yy703;
		} else {
			if(yych <= '/')	goto yy703;
			if(yych <= '9')	goto yy742;
			goto yy703;
		}
	} else {
		if(yych <= 'V'){
			if(yych <= 'I')	goto yy775;
			if(yych >= 'V')	goto yy748;
			goto yy703;
		} else {
			if(yych == 'X')	goto yy748;
			goto yy703;
		}
	}
yy703:
	YYDEBUG(703, *YYCURSOR);

{
		DEBUG_OUTPUT("datenoyearrev");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		timelib_skip_day_suffix((char **) &ptr);
		s->time->m = timelib_get_month((char **) &ptr);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_TEXT;
	}
yy704:
	YYDEBUG(704, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		goto yy703;
	} else {
		if(yych <= '9')	goto yy742;
		if(yych == 'I')	goto yy773;
		goto yy703;
	}
yy705:
	YYDEBUG(705, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		goto yy703;
	} else {
		if(yych <= '9')	goto yy742;
		if(yych == 'I')	goto yy772;
		goto yy703;
	}
yy706:
	YYDEBUG(706, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'A')	goto yy765;
		if(yych <= 'T')	goto yy52;
		goto yy764;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy765;
		} else {
			if(yych == 'u')	goto yy764;
			goto yy52;
		}
	}
yy707:
	YYDEBUG(707, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= 'L'){
			if(yych == '.')	goto yy712;
			goto yy52;
		} else {
			if(yych <= 'M')	goto yy713;
			if(yych == 'P')	goto yy758;
			goto yy52;
		}
	} else {
		if(yych <= 'o'){
			if(yych <= 'U')	goto yy757;
			if(yych == 'm')	goto yy713;
			goto yy52;
		} else {
			if(yych <= 'p')	goto yy758;
			if(yych == 'u')	goto yy757;
			goto yy52;
		}
	}
yy708:
	YYDEBUG(708, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy752;
	if(yych == 'c')	goto yy752;
	goto yy52;
yy709:
	YYDEBUG(709, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy738;
	if(yych == 'o')	goto yy738;
	goto yy52;
yy710:
	YYDEBUG(710, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy716;
	if(yych <= '9')	goto yy718;
	goto yy52;
yy711:
	YYDEBUG(711, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych != '.')	goto yy52;
		goto yy712;
	} else {
		if(yych <= 'M')	goto yy713;
		if(yych == 'm')	goto yy713;
		goto yy52;
	}
yy712:
	YYDEBUG(712, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy713;
	if(yych != 'm')	goto yy52;
	goto yy713;
yy713:
	YYDEBUG(713, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) == '.')	goto yy715;
	goto yy714;
yy714:
	YYDEBUG(714, *YYCURSOR);

{
		DEBUG_OUTPUT("timetiny12 | timeshort12 | timelong12");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr((char **) &ptr, 2);
		if (*ptr == ':' || *ptr == '.') {
			s->time->i = timelib_get_nr((char **) &ptr, 2);
			if (*ptr == ':' || *ptr == '.') {
				s->time->s = timelib_get_nr((char **) &ptr, 2);
			}
		}
		s->time->h += timelib_meridian((char **) &ptr, s->time->h);
		TIMELIB_DEINIT;
		return TIMELIB_TIME12;
	}
yy715:
	YYDEBUG(715, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy714;
yy716:
	YYDEBUG(716, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy719;
		goto yy717;
	} else {
		if(yych <= '9')	goto yy732;
		if(yych <= ':')	goto yy719;
		goto yy717;
	}
yy717:
	YYDEBUG(717, *YYCURSOR);

{
		int tz_not_found;
		DEBUG_OUTPUT("timeshort24 | timelong24 | iso8601long");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr((char **) &ptr, 2);
		s->time->i = timelib_get_nr((char **) &ptr, 2);
		if (*ptr == ':' || *ptr == '.') {
			s->time->s = timelib_get_nr((char **) &ptr, 2);

			if (*ptr == '.') {
				s->time->f = timelib_get_frac_nr((char **) &ptr, 8);
			}
		}

		if (*ptr != '\0') {
			s->time->z = timelib_get_zone((char **) &ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb);
			s->errors += tz_not_found;
		}
		TIMELIB_DEINIT;
		return TIMELIB_TIME24_WITH_ZONE;
	}
yy718:
	YYDEBUG(718, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy719;
	if(yych != ':')	goto yy717;
	goto yy719;
yy719:
	YYDEBUG(719, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy720;
	if(yych <= '6')	goto yy721;
	if(yych <= '9')	goto yy722;
	goto yy52;
yy720:
	YYDEBUG(720, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych <= '/')	goto yy717;
	if(yych <= '9')	goto yy726;
	goto yy717;
yy721:
	YYDEBUG(721, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych == '0')	goto yy726;
	goto yy717;
yy722:
	YYDEBUG(722, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych != '.')	goto yy717;
	goto yy723;
yy723:
	YYDEBUG(723, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy724;
yy724:
	YYDEBUG(724, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy725;
yy725:
	YYDEBUG(725, *YYCURSOR);
	if(yych <= '/')	goto yy717;
	if(yych <= '9')	goto yy724;
	goto yy717;
yy726:
	YYDEBUG(726, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'A'){
		if(yych <= '-'){
			if(yych != ' ')	goto yy717;
			goto yy727;
		} else {
			if(yych <= '.')	goto yy723;
			if(yych <= '@')	goto yy717;
			goto yy729;
		}
	} else {
		if(yych <= '`'){
			if(yych == 'P')	goto yy729;
			goto yy717;
		} else {
			if(yych <= 'a')	goto yy729;
			if(yych == 'p')	goto yy729;
			goto yy717;
		}
	}
yy727:
	YYDEBUG(727, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	goto yy728;
yy728:
	YYDEBUG(728, *YYCURSOR);
	if(yych <= 'O'){
		if(yych <= ' '){
			if(yych <= 0x1F)	goto yy52;
			goto yy727;
		} else {
			if(yych != 'A')	goto yy52;
			goto yy729;
		}
	} else {
		if(yych <= 'a'){
			if(yych <= 'P')	goto yy729;
			if(yych <= '`')	goto yy52;
			goto yy729;
		} else {
			if(yych != 'p')	goto yy52;
			goto yy729;
		}
	}
yy729:
	YYDEBUG(729, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych != '.')	goto yy52;
		goto yy730;
	} else {
		if(yych <= 'M')	goto yy731;
		if(yych == 'm')	goto yy731;
		goto yy52;
	}
yy730:
	YYDEBUG(730, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy731;
	if(yych != 'm')	goto yy52;
	goto yy731;
yy731:
	YYDEBUG(731, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '.')	goto yy715;
	goto yy714;
yy732:
	YYDEBUG(732, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= '-'){
			if(yych != ' ')	goto yy717;
			goto yy733;
		} else {
			if(yych <= '.')	goto yy719;
			if(yych == ':')	goto yy719;
			goto yy717;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'A')	goto yy735;
			if(yych == 'P')	goto yy735;
			goto yy717;
		} else {
			if(yych <= 'a')	goto yy735;
			if(yych == 'p')	goto yy735;
			goto yy717;
		}
	}
yy733:
	YYDEBUG(733, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	goto yy734;
yy734:
	YYDEBUG(734, *YYCURSOR);
	if(yych <= 'O'){
		if(yych <= ' '){
			if(yych <= 0x1F)	goto yy52;
			goto yy733;
		} else {
			if(yych != 'A')	goto yy52;
			goto yy735;
		}
	} else {
		if(yych <= 'a'){
			if(yych <= 'P')	goto yy735;
			if(yych <= '`')	goto yy52;
			goto yy735;
		} else {
			if(yych != 'p')	goto yy52;
			goto yy735;
		}
	}
yy735:
	YYDEBUG(735, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'L'){
		if(yych != '.')	goto yy52;
		goto yy736;
	} else {
		if(yych <= 'M')	goto yy737;
		if(yych == 'm')	goto yy737;
		goto yy52;
	}
yy736:
	YYDEBUG(736, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy737;
	if(yych != 'm')	goto yy52;
	goto yy737;
yy737:
	YYDEBUG(737, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '.')	goto yy715;
	goto yy714;
yy738:
	YYDEBUG(738, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'V')	goto yy739;
	if(yych != 'v')	goto yy52;
	goto yy739;
yy739:
	YYDEBUG(739, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'E'){
			if(yych <= 'D')	goto yy703;
			goto yy744;
		} else {
			if(yych == 'e')	goto yy744;
			goto yy703;
		}
	}
yy740:
	YYDEBUG(740, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	goto yy741;
yy741:
	YYDEBUG(741, *YYCURSOR);
	if(yych <= 0x1F)	goto yy52;
	if(yych <= '.')	goto yy740;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy742;
yy742:
	YYDEBUG(742, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '/')	goto yy743;
	if(yych <= '9')	goto yy749;
	goto yy743;
yy743:
	YYDEBUG(743, *YYCURSOR);

{
		DEBUG_OUTPUT("datefull");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		timelib_skip_day_suffix((char **) &ptr);
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_FULL;
	}
yy744:
	YYDEBUG(744, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy745;
	if(yych != 'm')	goto yy52;
	goto yy745;
yy745:
	YYDEBUG(745, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy746;
	if(yych != 'b')	goto yy52;
	goto yy746;
yy746:
	YYDEBUG(746, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy747;
	if(yych != 'e')	goto yy52;
	goto yy747;
yy747:
	YYDEBUG(747, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy748;
	if(yych != 'r')	goto yy52;
	goto yy748;
yy748:
	YYDEBUG(748, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 0x1F)	goto yy703;
	if(yych <= '.')	goto yy740;
	if(yych <= '/')	goto yy703;
	if(yych <= '9')	goto yy742;
	goto yy703;
yy749:
	YYDEBUG(749, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy743;
	if(yych >= ':')	goto yy743;
	goto yy750;
yy750:
	YYDEBUG(750, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy743;
	if(yych >= ':')	goto yy743;
	goto yy751;
yy751:
	YYDEBUG(751, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy743;
yy752:
	YYDEBUG(752, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy753;
	if(yych != 't')	goto yy52;
	goto yy753;
yy753:
	YYDEBUG(753, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'O'){
			if(yych <= 'N')	goto yy703;
			goto yy754;
		} else {
			if(yych != 'o')	goto yy703;
			goto yy754;
		}
	}
yy754:
	YYDEBUG(754, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy755;
	if(yych != 'b')	goto yy52;
	goto yy755;
yy755:
	YYDEBUG(755, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy756;
	if(yych != 'e')	goto yy52;
	goto yy756;
yy756:
	YYDEBUG(756, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy748;
	if(yych == 'r')	goto yy748;
	goto yy52;
yy757:
	YYDEBUG(757, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy761;
	if(yych == 'g')	goto yy761;
	goto yy52;
yy758:
	YYDEBUG(758, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy759;
	if(yych != 'r')	goto yy52;
	goto yy759;
yy759:
	YYDEBUG(759, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'I'){
			if(yych <= 'H')	goto yy703;
			goto yy760;
		} else {
			if(yych != 'i')	goto yy703;
			goto yy760;
		}
	}
yy760:
	YYDEBUG(760, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy748;
	if(yych == 'l')	goto yy748;
	goto yy52;
yy761:
	YYDEBUG(761, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'U'){
			if(yych <= 'T')	goto yy703;
			goto yy762;
		} else {
			if(yych != 'u')	goto yy703;
			goto yy762;
		}
	}
yy762:
	YYDEBUG(762, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy763;
	if(yych != 's')	goto yy52;
	goto yy763;
yy763:
	YYDEBUG(763, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy748;
	if(yych == 't')	goto yy748;
	goto yy52;
yy764:
	YYDEBUG(764, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'L')	goto yy771;
		if(yych <= 'M')	goto yy52;
		goto yy770;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy52;
			goto yy771;
		} else {
			if(yych == 'n')	goto yy770;
			goto yy52;
		}
	}
yy765:
	YYDEBUG(765, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy766;
	if(yych != 'n')	goto yy52;
	goto yy766;
yy766:
	YYDEBUG(766, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'U'){
			if(yych <= 'T')	goto yy703;
			goto yy767;
		} else {
			if(yych != 'u')	goto yy703;
			goto yy767;
		}
	}
yy767:
	YYDEBUG(767, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy768;
	if(yych != 'a')	goto yy52;
	goto yy768;
yy768:
	YYDEBUG(768, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy769;
	if(yych != 'r')	goto yy52;
	goto yy769;
yy769:
	YYDEBUG(769, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy748;
	if(yych == 'y')	goto yy748;
	goto yy52;
yy770:
	YYDEBUG(770, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'E'){
			if(yych <= 'D')	goto yy703;
			goto yy748;
		} else {
			if(yych == 'e')	goto yy748;
			goto yy703;
		}
	}
yy771:
	YYDEBUG(771, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'Y'){
			if(yych <= 'X')	goto yy703;
			goto yy748;
		} else {
			if(yych == 'y')	goto yy748;
			goto yy703;
		}
	}
yy772:
	YYDEBUG(772, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		goto yy703;
	} else {
		if(yych <= '9')	goto yy742;
		if(yych == 'I')	goto yy748;
		goto yy703;
	}
yy773:
	YYDEBUG(773, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		goto yy703;
	} else {
		if(yych <= '9')	goto yy742;
		if(yych != 'I')	goto yy703;
		goto yy774;
	}
yy774:
	YYDEBUG(774, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		goto yy703;
	} else {
		if(yych <= '9')	goto yy742;
		if(yych == 'I')	goto yy748;
		goto yy703;
	}
yy775:
	YYDEBUG(775, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		goto yy703;
	} else {
		if(yych <= '9')	goto yy742;
		if(yych == 'I')	goto yy748;
		goto yy703;
	}
yy776:
	YYDEBUG(776, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy807;
		goto yy717;
	} else {
		if(yych <= '9')	goto yy816;
		if(yych <= ':')	goto yy719;
		goto yy717;
	}
yy777:
	YYDEBUG(777, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy807;
		goto yy717;
	} else {
		if(yych <= '2')	goto yy816;
		if(yych <= '9')	goto yy732;
		if(yych <= ':')	goto yy719;
		goto yy717;
	}
yy778:
	YYDEBUG(778, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy807;
		goto yy717;
	} else {
		if(yych <= '9')	goto yy732;
		if(yych <= ':')	goto yy719;
		goto yy717;
	}
yy779:
	YYDEBUG(779, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy807;
	if(yych == ':')	goto yy719;
	goto yy717;
yy780:
	YYDEBUG(780, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy801;
	if(yych == 'e')	goto yy801;
	goto yy52;
yy781:
	YYDEBUG(781, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy798;
	if(yych == 'a')	goto yy798;
	goto yy52;
yy782:
	YYDEBUG(782, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'P')	goto yy758;
		if(yych <= 'T')	goto yy52;
		goto yy757;
	} else {
		if(yych <= 'p'){
			if(yych <= 'o')	goto yy52;
			goto yy758;
		} else {
			if(yych == 'u')	goto yy757;
			goto yy52;
		}
	}
yy783:
	YYDEBUG(783, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy791;
	if(yych == 'e')	goto yy791;
	goto yy52;
yy784:
	YYDEBUG(784, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy785;
	if(yych != 'e')	goto yy52;
	goto yy785;
yy785:
	YYDEBUG(785, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy786;
	if(yych != 'c')	goto yy52;
	goto yy786;
yy786:
	YYDEBUG(786, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'E'){
			if(yych <= 'D')	goto yy703;
			goto yy787;
		} else {
			if(yych != 'e')	goto yy703;
			goto yy787;
		}
	}
yy787:
	YYDEBUG(787, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy788;
	if(yych != 'm')	goto yy52;
	goto yy788;
yy788:
	YYDEBUG(788, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy789;
	if(yych != 'b')	goto yy52;
	goto yy789;
yy789:
	YYDEBUG(789, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy790;
	if(yych != 'e')	goto yy52;
	goto yy790;
yy790:
	YYDEBUG(790, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy748;
	if(yych == 'r')	goto yy748;
	goto yy52;
yy791:
	YYDEBUG(791, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy792;
	if(yych != 'p')	goto yy52;
	goto yy792;
yy792:
	YYDEBUG(792, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'T'){
			if(yych <= 'S')	goto yy703;
			goto yy793;
		} else {
			if(yych != 't')	goto yy703;
			goto yy793;
		}
	}
yy793:
	YYDEBUG(793, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'E'){
			if(yych <= 'D')	goto yy703;
			goto yy794;
		} else {
			if(yych != 'e')	goto yy703;
			goto yy794;
		}
	}
yy794:
	YYDEBUG(794, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy795;
	if(yych != 'm')	goto yy52;
	goto yy795;
yy795:
	YYDEBUG(795, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy796;
	if(yych != 'b')	goto yy52;
	goto yy796;
yy796:
	YYDEBUG(796, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy797;
	if(yych != 'e')	goto yy52;
	goto yy797;
yy797:
	YYDEBUG(797, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy748;
	if(yych == 'r')	goto yy748;
	goto yy52;
yy798:
	YYDEBUG(798, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych == 'R')	goto yy799;
		if(yych <= 'X')	goto yy52;
		goto yy748;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy52;
			goto yy799;
		} else {
			if(yych == 'y')	goto yy748;
			goto yy52;
		}
	}
yy799:
	YYDEBUG(799, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'C'){
			if(yych <= 'B')	goto yy703;
			goto yy800;
		} else {
			if(yych != 'c')	goto yy703;
			goto yy800;
		}
	}
yy800:
	YYDEBUG(800, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy748;
	if(yych == 'h')	goto yy748;
	goto yy52;
yy801:
	YYDEBUG(801, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy802;
	if(yych != 'b')	goto yy52;
	goto yy802;
yy802:
	YYDEBUG(802, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '9'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		goto yy742;
	} else {
		if(yych <= 'R'){
			if(yych <= 'Q')	goto yy703;
			goto yy803;
		} else {
			if(yych != 'r')	goto yy703;
			goto yy803;
		}
	}
yy803:
	YYDEBUG(803, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy804;
	if(yych != 'u')	goto yy52;
	goto yy804;
yy804:
	YYDEBUG(804, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy805;
	if(yych != 'a')	goto yy52;
	goto yy805;
yy805:
	YYDEBUG(805, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy806;
	if(yych != 'r')	goto yy52;
	goto yy806;
yy806:
	YYDEBUG(806, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy748;
	if(yych == 'y')	goto yy748;
	goto yy52;
yy807:
	YYDEBUG(807, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy808;
	if(yych <= '6')	goto yy809;
	if(yych <= '9')	goto yy810;
	goto yy52;
yy808:
	YYDEBUG(808, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych <= '/')	goto yy717;
	if(yych <= '9')	goto yy815;
	goto yy717;
yy809:
	YYDEBUG(809, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy723;
		goto yy717;
	} else {
		if(yych <= '0')	goto yy815;
		if(yych <= '9')	goto yy811;
		goto yy717;
	}
yy810:
	YYDEBUG(810, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych <= '/')	goto yy717;
	if(yych >= ':')	goto yy717;
	goto yy811;
yy811:
	YYDEBUG(811, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '/')	goto yy812;
	if(yych <= '9')	goto yy813;
	goto yy812;
yy812:
	YYDEBUG(812, *YYCURSOR);

{
		DEBUG_OUTPUT("pointed date");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		s->time->m = timelib_get_nr((char **) &ptr, 2);
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_FULL_POINTED;
	}
yy813:
	YYDEBUG(813, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy812;
	if(yych >= ':')	goto yy812;
	goto yy814;
yy814:
	YYDEBUG(814, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy812;
yy815:
	YYDEBUG(815, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= '-'){
			if(yych == ' ')	goto yy727;
			goto yy717;
		} else {
			if(yych <= '.')	goto yy723;
			if(yych <= '/')	goto yy717;
			if(yych <= '9')	goto yy813;
			goto yy717;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'A')	goto yy729;
			if(yych == 'P')	goto yy729;
			goto yy717;
		} else {
			if(yych <= 'a')	goto yy729;
			if(yych == 'p')	goto yy729;
			goto yy717;
		}
	}
yy816:
	YYDEBUG(816, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '@'){
		if(yych <= '-'){
			if(yych == ' ')	goto yy733;
			goto yy717;
		} else {
			if(yych <= '.')	goto yy807;
			if(yych == ':')	goto yy719;
			goto yy717;
		}
	} else {
		if(yych <= '`'){
			if(yych <= 'A')	goto yy735;
			if(yych == 'P')	goto yy735;
			goto yy717;
		} else {
			if(yych <= 'a')	goto yy735;
			if(yych == 'p')	goto yy735;
			goto yy717;
		}
	}
yy817:
	YYDEBUG(817, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy856;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy819;
	goto yy52;
yy818:
	YYDEBUG(818, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy856;
	if(yych <= '/')	goto yy52;
	if(yych >= '3')	goto yy52;
	goto yy819;
yy819:
	YYDEBUG(819, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy856;
	goto yy52;
yy820:
	YYDEBUG(820, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'A')	goto yy852;
		if(yych <= 'T')	goto yy52;
		goto yy851;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy852;
		} else {
			if(yych == 'u')	goto yy851;
			goto yy52;
		}
	}
yy821:
	YYDEBUG(821, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy849;
	if(yych == 'e')	goto yy849;
	goto yy52;
yy822:
	YYDEBUG(822, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy846;
	if(yych == 'a')	goto yy846;
	goto yy52;
yy823:
	YYDEBUG(823, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'P')	goto yy843;
		if(yych <= 'T')	goto yy52;
		goto yy842;
	} else {
		if(yych <= 'p'){
			if(yych <= 'o')	goto yy52;
			goto yy843;
		} else {
			if(yych == 'u')	goto yy842;
			goto yy52;
		}
	}
yy824:
	YYDEBUG(824, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy839;
	if(yych == 'e')	goto yy839;
	goto yy52;
yy825:
	YYDEBUG(825, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy837;
	if(yych == 'c')	goto yy837;
	goto yy52;
yy826:
	YYDEBUG(826, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy835;
	if(yych == 'o')	goto yy835;
	goto yy52;
yy827:
	YYDEBUG(827, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy828;
	if(yych != 'e')	goto yy52;
	goto yy828;
yy828:
	YYDEBUG(828, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy829;
	if(yych != 'c')	goto yy52;
	goto yy829;
yy829:
	YYDEBUG(829, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'E'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'D')	goto yy703;
			goto yy787;
		} else {
			if(yych == 'e')	goto yy787;
			goto yy703;
		}
	}
yy830:
	YYDEBUG(830, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy741;
	if(yych <= '0')	goto yy831;
	if(yych <= '2')	goto yy832;
	if(yych <= '3')	goto yy833;
	goto yy741;
yy831:
	YYDEBUG(831, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy743;
	if(yych <= '0')	goto yy749;
	if(yych <= '9')	goto yy834;
	goto yy743;
yy832:
	YYDEBUG(832, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy743;
	if(yych <= '9')	goto yy834;
	goto yy743;
yy833:
	YYDEBUG(833, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy743;
	if(yych <= '1')	goto yy834;
	if(yych <= '9')	goto yy749;
	goto yy743;
yy834:
	YYDEBUG(834, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy743;
	if(yych <= '9')	goto yy750;
	goto yy743;
yy835:
	YYDEBUG(835, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'V')	goto yy836;
	if(yych != 'v')	goto yy52;
	goto yy836;
yy836:
	YYDEBUG(836, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'E'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'D')	goto yy703;
			goto yy744;
		} else {
			if(yych == 'e')	goto yy744;
			goto yy703;
		}
	}
yy837:
	YYDEBUG(837, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy838;
	if(yych != 't')	goto yy52;
	goto yy838;
yy838:
	YYDEBUG(838, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'O'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'N')	goto yy703;
			goto yy754;
		} else {
			if(yych == 'o')	goto yy754;
			goto yy703;
		}
	}
yy839:
	YYDEBUG(839, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy840;
	if(yych != 'p')	goto yy52;
	goto yy840;
yy840:
	YYDEBUG(840, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'T'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'S')	goto yy703;
			goto yy841;
		} else {
			if(yych != 't')	goto yy703;
			goto yy841;
		}
	}
yy841:
	YYDEBUG(841, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'E'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'D')	goto yy703;
			goto yy794;
		} else {
			if(yych == 'e')	goto yy794;
			goto yy703;
		}
	}
yy842:
	YYDEBUG(842, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy845;
	if(yych == 'g')	goto yy845;
	goto yy52;
yy843:
	YYDEBUG(843, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy844;
	if(yych != 'r')	goto yy52;
	goto yy844;
yy844:
	YYDEBUG(844, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'I'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'H')	goto yy703;
			goto yy760;
		} else {
			if(yych == 'i')	goto yy760;
			goto yy703;
		}
	}
yy845:
	YYDEBUG(845, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'U'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'T')	goto yy703;
			goto yy762;
		} else {
			if(yych == 'u')	goto yy762;
			goto yy703;
		}
	}
yy846:
	YYDEBUG(846, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych == 'R')	goto yy847;
		if(yych <= 'X')	goto yy52;
		goto yy848;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy52;
			goto yy847;
		} else {
			if(yych == 'y')	goto yy848;
			goto yy52;
		}
	}
yy847:
	YYDEBUG(847, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'C'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'B')	goto yy703;
			goto yy800;
		} else {
			if(yych == 'c')	goto yy800;
			goto yy703;
		}
	}
yy848:
	YYDEBUG(848, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '-'){
		if(yych <= 0x1F)	goto yy703;
		if(yych <= ',')	goto yy740;
		goto yy830;
	} else {
		if(yych <= '.')	goto yy740;
		if(yych <= '/')	goto yy703;
		if(yych <= '9')	goto yy742;
		goto yy703;
	}
yy849:
	YYDEBUG(849, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy850;
	if(yych != 'b')	goto yy52;
	goto yy850;
yy850:
	YYDEBUG(850, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'R'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'Q')	goto yy703;
			goto yy803;
		} else {
			if(yych == 'r')	goto yy803;
			goto yy703;
		}
	}
yy851:
	YYDEBUG(851, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'L')	goto yy855;
		if(yych <= 'M')	goto yy52;
		goto yy854;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy52;
			goto yy855;
		} else {
			if(yych == 'n')	goto yy854;
			goto yy52;
		}
	}
yy852:
	YYDEBUG(852, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy853;
	if(yych != 'n')	goto yy52;
	goto yy853;
yy853:
	YYDEBUG(853, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'U'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'T')	goto yy703;
			goto yy767;
		} else {
			if(yych == 'u')	goto yy767;
			goto yy703;
		}
	}
yy854:
	YYDEBUG(854, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'E'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'D')	goto yy703;
			goto yy748;
		} else {
			if(yych == 'e')	goto yy748;
			goto yy703;
		}
	}
yy855:
	YYDEBUG(855, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych <= ','){
			if(yych <= 0x1F)	goto yy703;
			goto yy740;
		} else {
			if(yych <= '-')	goto yy830;
			if(yych <= '.')	goto yy740;
			goto yy703;
		}
	} else {
		if(yych <= 'Y'){
			if(yych <= '9')	goto yy742;
			if(yych <= 'X')	goto yy703;
			goto yy748;
		} else {
			if(yych == 'y')	goto yy748;
			goto yy703;
		}
	}
yy856:
	YYDEBUG(856, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '2')	goto yy857;
	if(yych <= '3')	goto yy859;
	if(yych <= '9')	goto yy860;
	goto yy52;
yy857:
	YYDEBUG(857, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy858;
		if(yych <= '9')	goto yy860;
		if(yych >= 'n')	goto yy862;
		goto yy858;
	} else {
		if(yych <= 'r'){
			if(yych >= 'r')	goto yy863;
			goto yy858;
		} else {
			if(yych <= 's')	goto yy861;
			if(yych <= 't')	goto yy864;
			goto yy858;
		}
	}
yy858:
	YYDEBUG(858, *YYCURSOR);

{
		DEBUG_OUTPUT("gnudateshort");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->m = timelib_get_nr((char **) &ptr, 2);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
yy859:
	YYDEBUG(859, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy858;
		if(yych <= '1')	goto yy860;
		if(yych <= 'm')	goto yy858;
		goto yy862;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy858;
			goto yy863;
		} else {
			if(yych <= 's')	goto yy861;
			if(yych <= 't')	goto yy864;
			goto yy858;
		}
	}
yy860:
	YYDEBUG(860, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'q'){
		if(yych == 'n')	goto yy862;
		goto yy858;
	} else {
		if(yych <= 'r')	goto yy863;
		if(yych <= 's')	goto yy861;
		if(yych <= 't')	goto yy864;
		goto yy858;
	}
yy861:
	YYDEBUG(861, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 't')	goto yy865;
	goto yy52;
yy862:
	YYDEBUG(862, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy865;
	goto yy52;
yy863:
	YYDEBUG(863, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy865;
	goto yy52;
yy864:
	YYDEBUG(864, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'h')	goto yy52;
	goto yy865;
yy865:
	YYDEBUG(865, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy858;
yy866:
	YYDEBUG(866, *YYCURSOR);
	yyaccept = 13;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/'){
			if(yych >= '/')	goto yy922;
			goto yy867;
		} else {
			if(yych <= '9')	goto yy869;
			if(yych >= 'n')	goto yy919;
			goto yy867;
		}
	} else {
		if(yych <= 'r'){
			if(yych >= 'r')	goto yy920;
			goto yy867;
		} else {
			if(yych <= 's')	goto yy918;
			if(yych <= 't')	goto yy921;
			goto yy867;
		}
	}
yy867:
	YYDEBUG(867, *YYCURSOR);

{
		DEBUG_OUTPUT("americanshort | american");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_nr((char **) &ptr, 2);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		if (*ptr == '/') {
			s->time->y = timelib_get_nr((char **) &ptr, 4);
			TIMELIB_PROCESS_YEAR(s->time->y);
		}
		TIMELIB_DEINIT;
		return TIMELIB_AMERICAN;
	}
yy868:
	YYDEBUG(868, *YYCURSOR);
	yyaccept = 13;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/'){
			if(yych <= '.')	goto yy867;
			goto yy922;
		} else {
			if(yych <= '1')	goto yy869;
			if(yych <= 'm')	goto yy867;
			goto yy919;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy867;
			goto yy920;
		} else {
			if(yych <= 's')	goto yy918;
			if(yych <= 't')	goto yy921;
			goto yy867;
		}
	}
yy869:
	YYDEBUG(869, *YYCURSOR);
	yyaccept = 13;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych == '/')	goto yy922;
		if(yych <= 'm')	goto yy867;
		goto yy919;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy867;
			goto yy920;
		} else {
			if(yych <= 's')	goto yy918;
			if(yych <= 't')	goto yy921;
			goto yy867;
		}
	}
yy870:
	YYDEBUG(870, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'A')	goto yy917;
		if(yych <= 'T')	goto yy52;
		goto yy916;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy917;
		} else {
			if(yych == 'u')	goto yy916;
			goto yy52;
		}
	}
yy871:
	YYDEBUG(871, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy915;
	if(yych == 'e')	goto yy915;
	goto yy52;
yy872:
	YYDEBUG(872, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy914;
	if(yych == 'a')	goto yy914;
	goto yy52;
yy873:
	YYDEBUG(873, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'P')	goto yy913;
		if(yych <= 'T')	goto yy52;
		goto yy912;
	} else {
		if(yych <= 'p'){
			if(yych <= 'o')	goto yy52;
			goto yy913;
		} else {
			if(yych == 'u')	goto yy912;
			goto yy52;
		}
	}
yy874:
	YYDEBUG(874, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy910;
	if(yych == 'e')	goto yy910;
	goto yy52;
yy875:
	YYDEBUG(875, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy909;
	if(yych == 'c')	goto yy909;
	goto yy52;
yy876:
	YYDEBUG(876, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy908;
	if(yych == 'o')	goto yy908;
	goto yy52;
yy877:
	YYDEBUG(877, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy878;
	if(yych != 'e')	goto yy52;
	goto yy878;
yy878:
	YYDEBUG(878, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy879;
	if(yych != 'c')	goto yy52;
	goto yy879;
yy879:
	YYDEBUG(879, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '/')	goto yy52;
	goto yy880;
yy880:
	YYDEBUG(880, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy881;
yy881:
	YYDEBUG(881, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy882;
yy882:
	YYDEBUG(882, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy883;
yy883:
	YYDEBUG(883, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy884;
yy884:
	YYDEBUG(884, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy885;
yy885:
	YYDEBUG(885, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '1')	goto yy886;
	if(yych <= '2')	goto yy887;
	goto yy52;
yy886:
	YYDEBUG(886, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy888;
	goto yy52;
yy887:
	YYDEBUG(887, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '4')	goto yy52;
	goto yy888;
yy888:
	YYDEBUG(888, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy889;
yy889:
	YYDEBUG(889, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '6')	goto yy52;
	goto yy890;
yy890:
	YYDEBUG(890, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy891;
yy891:
	YYDEBUG(891, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy892;
yy892:
	YYDEBUG(892, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy893;
	if(yych <= '6')	goto yy894;
	goto yy52;
yy893:
	YYDEBUG(893, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy895;
	goto yy52;
yy894:
	YYDEBUG(894, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '0')	goto yy52;
	goto yy895;
yy895:
	YYDEBUG(895, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ' ')	goto yy52;
	goto yy896;
yy896:
	YYDEBUG(896, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 6) YYFILL(6);
	yych = *YYCURSOR;
	goto yy897;
yy897:
	YYDEBUG(897, *YYCURSOR);
	if(yych <= '*'){
		if(yych == ' ')	goto yy896;
		goto yy52;
	} else {
		if(yych == ',')	goto yy52;
		if(yych >= '.')	goto yy52;
		goto yy898;
	}
yy898:
	YYDEBUG(898, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '1')	goto yy899;
	if(yych <= '2')	goto yy901;
	if(yych <= '9')	goto yy902;
	goto yy52;
yy899:
	YYDEBUG(899, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '/')	goto yy900;
	if(yych <= '5')	goto yy906;
	if(yych <= '9')	goto yy902;
	if(yych <= ':')	goto yy903;
	goto yy900;
yy900:
	YYDEBUG(900, *YYCURSOR);

{
		int tz_not_found;
		DEBUG_OUTPUT("clf");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->h = timelib_get_nr((char **) &ptr, 2);
		s->time->i = timelib_get_nr((char **) &ptr, 2);
		s->time->s = timelib_get_nr((char **) &ptr, 2);
		s->time->z = timelib_get_zone((char **) &ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb);
		s->errors += tz_not_found;
		TIMELIB_DEINIT;
		return TIMELIB_CLF;
	}
yy901:
	YYDEBUG(901, *YYCURSOR);
	yyaccept = 14;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '5'){
		if(yych <= '/')	goto yy900;
		if(yych <= '3')	goto yy906;
		goto yy904;
	} else {
		if(yych == ':')	goto yy903;
		goto yy900;
	}
yy902:
	YYDEBUG(902, *YYCURSOR);
	yyaccept = 14;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy900;
	if(yych <= '5')	goto yy904;
	if(yych != ':')	goto yy900;
	goto yy903;
yy903:
	YYDEBUG(903, *YYCURSOR);
	yyaccept = 14;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy900;
	if(yych >= '6')	goto yy900;
	goto yy904;
yy904:
	YYDEBUG(904, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy905;
yy905:
	YYDEBUG(905, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy900;
yy906:
	YYDEBUG(906, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy900;
	if(yych <= '5')	goto yy907;
	if(yych <= '9')	goto yy905;
	if(yych <= ':')	goto yy903;
	goto yy900;
yy907:
	YYDEBUG(907, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy900;
	if(yych <= '9')	goto yy905;
	goto yy900;
yy908:
	YYDEBUG(908, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'V')	goto yy879;
	if(yych == 'v')	goto yy879;
	goto yy52;
yy909:
	YYDEBUG(909, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy879;
	if(yych == 't')	goto yy879;
	goto yy52;
yy910:
	YYDEBUG(910, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy911;
	if(yych != 'p')	goto yy52;
	goto yy911;
yy911:
	YYDEBUG(911, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych == '/')	goto yy880;
		goto yy52;
	} else {
		if(yych <= 'T')	goto yy879;
		if(yych == 't')	goto yy879;
		goto yy52;
	}
yy912:
	YYDEBUG(912, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy879;
	if(yych == 'g')	goto yy879;
	goto yy52;
yy913:
	YYDEBUG(913, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy879;
	if(yych == 'r')	goto yy879;
	goto yy52;
yy914:
	YYDEBUG(914, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych == 'R')	goto yy879;
		if(yych <= 'X')	goto yy52;
		goto yy879;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy52;
			goto yy879;
		} else {
			if(yych == 'y')	goto yy879;
			goto yy52;
		}
	}
yy915:
	YYDEBUG(915, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy879;
	if(yych == 'b')	goto yy879;
	goto yy52;
yy916:
	YYDEBUG(916, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'L')	goto yy879;
		if(yych <= 'M')	goto yy52;
		goto yy879;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy52;
			goto yy879;
		} else {
			if(yych == 'n')	goto yy879;
			goto yy52;
		}
	}
yy917:
	YYDEBUG(917, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy879;
	if(yych == 'n')	goto yy879;
	goto yy52;
yy918:
	YYDEBUG(918, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 't')	goto yy927;
	goto yy52;
yy919:
	YYDEBUG(919, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy927;
	goto yy52;
yy920:
	YYDEBUG(920, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy927;
	goto yy52;
yy921:
	YYDEBUG(921, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'h')	goto yy927;
	goto yy52;
yy922:
	YYDEBUG(922, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy923;
yy923:
	YYDEBUG(923, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy867;
	if(yych >= ':')	goto yy867;
	goto yy924;
yy924:
	YYDEBUG(924, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy867;
	if(yych >= ':')	goto yy867;
	goto yy925;
yy925:
	YYDEBUG(925, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy867;
	if(yych >= ':')	goto yy867;
	goto yy926;
yy926:
	YYDEBUG(926, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy867;
yy927:
	YYDEBUG(927, *YYCURSOR);
	yyaccept = 13;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '/')	goto yy922;
	goto yy867;
yy928:
	YYDEBUG(928, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '-')	goto yy700;
	if(yych <= '.')	goto yy930;
	if(yych >= '0')	goto yy700;
	goto yy929;
yy929:
	YYDEBUG(929, *YYCURSOR);
	yych = *++YYCURSOR;
	YYDEBUG(-1, yych);
	switch(yych){
	case 'A':	case 'a':	goto yy873;
	case 'D':	case 'd':	goto yy877;
	case 'F':	case 'f':	goto yy871;
	case 'J':	case 'j':	goto yy870;
	case 'M':	case 'm':	goto yy872;
	case 'N':	case 'n':	goto yy876;
	case 'O':	case 'o':	goto yy875;
	case 'S':	case 's':	goto yy874;
	default:	goto yy52;
	}
yy930:
	YYDEBUG(930, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy700;
	if(yych <= '0')	goto yy931;
	if(yych <= '1')	goto yy932;
	if(yych <= '9')	goto yy933;
	goto yy700;
yy931:
	YYDEBUG(931, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '.')	goto yy934;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy933;
	goto yy52;
yy932:
	YYDEBUG(932, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '.')	goto yy934;
	if(yych <= '/')	goto yy52;
	if(yych >= '3')	goto yy52;
	goto yy933;
yy933:
	YYDEBUG(933, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '.')	goto yy52;
	goto yy934;
yy934:
	YYDEBUG(934, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy935;
yy935:
	YYDEBUG(935, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy812;
	if(yych <= '9')	goto yy811;
	goto yy812;
yy936:
	YYDEBUG(936, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy937;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy964;
	goto yy56;
yy937:
	YYDEBUG(937, *YYCURSOR);
	yych = *++YYCURSOR;
	YYDEBUG(-1, yych);
	switch(yych){
	case '0':	goto yy817;
	case '1':	goto yy818;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy819;
	case 'A':	case 'a':	goto yy941;
	case 'D':	case 'd':	goto yy945;
	case 'F':	case 'f':	goto yy939;
	case 'J':	case 'j':	goto yy938;
	case 'M':	case 'm':	goto yy940;
	case 'N':	case 'n':	goto yy944;
	case 'O':	case 'o':	goto yy943;
	case 'S':	case 's':	goto yy942;
	default:	goto yy52;
	}
yy938:
	YYDEBUG(938, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'A')	goto yy963;
		if(yych <= 'T')	goto yy52;
		goto yy962;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy963;
		} else {
			if(yych == 'u')	goto yy962;
			goto yy52;
		}
	}
yy939:
	YYDEBUG(939, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy961;
	if(yych == 'e')	goto yy961;
	goto yy52;
yy940:
	YYDEBUG(940, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy960;
	if(yych == 'a')	goto yy960;
	goto yy52;
yy941:
	YYDEBUG(941, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'P')	goto yy959;
		if(yych <= 'T')	goto yy52;
		goto yy958;
	} else {
		if(yych <= 'p'){
			if(yych <= 'o')	goto yy52;
			goto yy959;
		} else {
			if(yych == 'u')	goto yy958;
			goto yy52;
		}
	}
yy942:
	YYDEBUG(942, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy956;
	if(yych == 'e')	goto yy956;
	goto yy52;
yy943:
	YYDEBUG(943, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy955;
	if(yych == 'c')	goto yy955;
	goto yy52;
yy944:
	YYDEBUG(944, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy954;
	if(yych == 'o')	goto yy954;
	goto yy52;
yy945:
	YYDEBUG(945, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy946;
	if(yych != 'e')	goto yy52;
	goto yy946;
yy946:
	YYDEBUG(946, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy947;
	if(yych != 'c')	goto yy52;
	goto yy947;
yy947:
	YYDEBUG(947, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '-')	goto yy52;
	goto yy948;
yy948:
	YYDEBUG(948, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '0')	goto yy949;
	if(yych <= '2')	goto yy950;
	if(yych <= '3')	goto yy951;
	goto yy52;
yy949:
	YYDEBUG(949, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '0')	goto yy52;
	if(yych <= '9')	goto yy952;
	goto yy52;
yy950:
	YYDEBUG(950, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy952;
	goto yy52;
yy951:
	YYDEBUG(951, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '2')	goto yy52;
	goto yy952;
yy952:
	YYDEBUG(952, *YYCURSOR);
	++YYCURSOR;
	goto yy953;
yy953:
	YYDEBUG(953, *YYCURSOR);

{
		DEBUG_OUTPUT("pgtextreverse");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_PG_TEXT;
	}
yy954:
	YYDEBUG(954, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'V')	goto yy947;
	if(yych == 'v')	goto yy947;
	goto yy52;
yy955:
	YYDEBUG(955, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy947;
	if(yych == 't')	goto yy947;
	goto yy52;
yy956:
	YYDEBUG(956, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy957;
	if(yych != 'p')	goto yy52;
	goto yy957;
yy957:
	YYDEBUG(957, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'S'){
		if(yych == '-')	goto yy948;
		goto yy52;
	} else {
		if(yych <= 'T')	goto yy947;
		if(yych == 't')	goto yy947;
		goto yy52;
	}
yy958:
	YYDEBUG(958, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy947;
	if(yych == 'g')	goto yy947;
	goto yy52;
yy959:
	YYDEBUG(959, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy947;
	if(yych == 'r')	goto yy947;
	goto yy52;
yy960:
	YYDEBUG(960, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych == 'R')	goto yy947;
		if(yych <= 'X')	goto yy52;
		goto yy947;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy52;
			goto yy947;
		} else {
			if(yych == 'y')	goto yy947;
			goto yy52;
		}
	}
yy961:
	YYDEBUG(961, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy947;
	if(yych == 'b')	goto yy947;
	goto yy52;
yy962:
	YYDEBUG(962, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'L')	goto yy947;
		if(yych <= 'M')	goto yy52;
		goto yy947;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy52;
			goto yy947;
		} else {
			if(yych == 'n')	goto yy947;
			goto yy52;
		}
	}
yy963:
	YYDEBUG(963, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy947;
	if(yych == 'n')	goto yy947;
	goto yy52;
yy964:
	YYDEBUG(964, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':	case 'S':
	case 'T':	case 'V':	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':
	case 'n':
	case 'o':	case 's':
	case 't':	case 'w':	case 'y':	goto yy969;
	case '-':	goto yy966;
	case '.':	goto yy972;
	case '/':	goto yy967;
	case '0':	goto yy985;
	case '1':	goto yy986;
	case '2':	goto yy987;
	case '3':	goto yy988;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy50;
	case 'W':	goto yy989;
	default:	goto yy965;
	}
yy965:
	YYDEBUG(965, *YYCURSOR);

{
		DEBUG_OUTPUT("year4");
		TIMELIB_INIT;
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		TIMELIB_DEINIT;
		return TIMELIB_CLF;
	}
yy966:
	YYDEBUG(966, *YYCURSOR);
	yych = *++YYCURSOR;
	YYDEBUG(-1, yych);
	switch(yych){
	case '0':	goto yy1131;
	case '1':	goto yy1132;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy819;
	case 'A':	case 'a':	goto yy1126;
	case 'D':	case 'd':	goto yy1130;
	case 'F':	case 'f':	goto yy1124;
	case 'J':	case 'j':	goto yy1123;
	case 'M':	case 'm':	goto yy1125;
	case 'N':	case 'n':	goto yy1129;
	case 'O':	case 'o':	goto yy1128;
	case 'S':	case 's':	goto yy1127;
	default:	goto yy971;
	}
yy967:
	YYDEBUG(967, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '0')	goto yy1104;
	if(yych <= '1')	goto yy1105;
	if(yych <= '9')	goto yy1106;
	goto yy52;
yy968:
	YYDEBUG(968, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 11) YYFILL(11);
	yych = *YYCURSOR;
	goto yy969;
yy969:
	YYDEBUG(969, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy968;
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':	goto yy970;
	case 'A':	case 'a':	goto yy980;
	case 'D':	case 'd':	goto yy984;
	case 'F':	case 'f':	goto yy978;
	case 'H':	case 'h':	goto yy59;
	case 'I':	goto yy973;
	case 'J':	case 'j':	goto yy977;
	case 'M':	case 'm':	goto yy979;
	case 'N':	case 'n':	goto yy983;
	case 'O':	case 'o':	goto yy982;
	case 'S':	case 's':	goto yy981;
	case 'T':	case 't':	goto yy64;
	case 'V':	goto yy975;
	case 'W':	case 'w':	goto yy61;
	case 'X':	goto yy976;
	case 'Y':	case 'y':	goto yy63;
	default:	goto yy52;
	}
yy970:
	YYDEBUG(970, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
	goto yy971;
yy971:
	YYDEBUG(971, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':	goto yy970;
	case 'A':	case 'a':	goto yy980;
	case 'D':	case 'd':	goto yy1096;
	case 'F':	case 'f':	goto yy1093;
	case 'I':	goto yy973;
	case 'J':	case 'j':	goto yy977;
	case 'M':	case 'm':	goto yy1094;
	case 'N':	case 'n':	goto yy983;
	case 'O':	case 'o':	goto yy982;
	case 'S':	case 's':	goto yy1095;
	case 'V':	goto yy975;
	case 'X':	goto yy976;
	default:	goto yy52;
	}
yy972:
	YYDEBUG(972, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy971;
	if(yych <= '0')	goto yy1090;
	if(yych <= '2')	goto yy1091;
	if(yych <= '3')	goto yy1092;
	goto yy971;
yy973:
	YYDEBUG(973, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= 'U'){
		if(yych == 'I')	goto yy1089;
		goto yy974;
	} else {
		if(yych == 'W')	goto yy974;
		if(yych <= 'X')	goto yy1043;
		goto yy974;
	}
yy974:
	YYDEBUG(974, *YYCURSOR);

{
		DEBUG_OUTPUT("datenodayrev");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->m = timelib_get_month((char **) &ptr);
		s->time->d = 1;
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_NO_DAY;
	}
yy975:
	YYDEBUG(975, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy1087;
	goto yy974;
yy976:
	YYDEBUG(976, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy1086;
	goto yy974;
yy977:
	YYDEBUG(977, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'A')	goto yy1079;
		if(yych <= 'T')	goto yy52;
		goto yy1078;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy1079;
		} else {
			if(yych == 'u')	goto yy1078;
			goto yy52;
		}
	}
yy978:
	YYDEBUG(978, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'R'){
		if(yych <= 'N'){
			if(yych == 'E')	goto yy1072;
			goto yy52;
		} else {
			if(yych <= 'O')	goto yy82;
			if(yych <= 'Q')	goto yy52;
			goto yy81;
		}
	} else {
		if(yych <= 'n'){
			if(yych == 'e')	goto yy1072;
			goto yy52;
		} else {
			if(yych <= 'o')	goto yy82;
			if(yych == 'r')	goto yy81;
			goto yy52;
		}
	}
yy979:
	YYDEBUG(979, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'O'){
		if(yych <= 'H'){
			if(yych == 'A')	goto yy1069;
			goto yy52;
		} else {
			if(yych <= 'I')	goto yy109;
			if(yych <= 'N')	goto yy52;
			goto yy108;
		}
	} else {
		if(yych <= 'h'){
			if(yych == 'a')	goto yy1069;
			goto yy52;
		} else {
			if(yych <= 'i')	goto yy109;
			if(yych == 'o')	goto yy108;
			goto yy52;
		}
	}
yy980:
	YYDEBUG(980, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'P')	goto yy1063;
		if(yych <= 'T')	goto yy52;
		goto yy1062;
	} else {
		if(yych <= 'p'){
			if(yych <= 'o')	goto yy52;
			goto yy1063;
		} else {
			if(yych == 'u')	goto yy1062;
			goto yy52;
		}
	}
yy981:
	YYDEBUG(981, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych <= 'D'){
			if(yych == 'A')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'E')	goto yy1055;
			if(yych <= 'T')	goto yy52;
			goto yy117;
		}
	} else {
		if(yych <= 'd'){
			if(yych == 'a')	goto yy118;
			goto yy52;
		} else {
			if(yych <= 'e')	goto yy1055;
			if(yych == 'u')	goto yy117;
			goto yy52;
		}
	}
yy982:
	YYDEBUG(982, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy1050;
	if(yych == 'c')	goto yy1050;
	goto yy52;
yy983:
	YYDEBUG(983, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy1044;
	if(yych == 'o')	goto yy1044;
	goto yy52;
yy984:
	YYDEBUG(984, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'E'){
		if(yych == 'A')	goto yy105;
		if(yych <= 'D')	goto yy52;
		goto yy1037;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy105;
		} else {
			if(yych == 'e')	goto yy1037;
			goto yy52;
		}
	}
yy985:
	YYDEBUG(985, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '0')	goto yy1035;
	if(yych <= '9')	goto yy1036;
	goto yy56;
yy986:
	YYDEBUG(986, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '2')	goto yy1002;
	if(yych <= '9')	goto yy1001;
	goto yy56;
yy987:
	YYDEBUG(987, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy1001;
	goto yy56;
yy988:
	YYDEBUG(988, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '5')	goto yy997;
	if(yych <= '6')	goto yy998;
	if(yych <= '9')	goto yy50;
	goto yy56;
yy989:
	YYDEBUG(989, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '5'){
		if(yych <= '/')	goto yy52;
		if(yych <= '0')	goto yy990;
		if(yych <= '4')	goto yy991;
		goto yy992;
	} else {
		if(yych <= 'E'){
			if(yych <= 'D')	goto yy52;
			goto yy97;
		} else {
			if(yych == 'e')	goto yy97;
			goto yy52;
		}
	}
yy990:
	YYDEBUG(990, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '0')	goto yy52;
	if(yych <= '9')	goto yy993;
	goto yy52;
yy991:
	YYDEBUG(991, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy993;
	goto yy52;
yy992:
	YYDEBUG(992, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '4')	goto yy52;
	goto yy993;
yy993:
	YYDEBUG(993, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '/')	goto yy994;
	if(yych <= '7')	goto yy995;
	goto yy994;
yy994:
	YYDEBUG(994, *YYCURSOR);

{
		timelib_sll w, d;
		DEBUG_OUTPUT("isoweek");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		TIMELIB_HAVE_RELATIVE();
		
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		w = timelib_get_nr((char **) &ptr, 2);
		d = 1;
		s->time->m = 1;
		s->time->d = 1;
		s->time->relative.d = timelib_daynr_from_weeknr(s->time->y, w, d);

		TIMELIB_DEINIT;
		return TIMELIB_ISO_WEEK;
	}
yy995:
	YYDEBUG(995, *YYCURSOR);
	++YYCURSOR;
	goto yy996;
yy996:
	YYDEBUG(996, *YYCURSOR);

{
		timelib_sll w, d;
		DEBUG_OUTPUT("isoweekday");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		TIMELIB_HAVE_RELATIVE();
		
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		w = timelib_get_nr((char **) &ptr, 2);
		d = timelib_get_nr((char **) &ptr, 1);
		s->time->m = 1;
		s->time->d = 1;
		s->time->relative.d = timelib_daynr_from_weeknr(s->time->y, w, d);

		TIMELIB_DEINIT;
		return TIMELIB_ISO_WEEK;
	}
yy997:
	YYDEBUG(997, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy999;
	goto yy56;
yy998:
	YYDEBUG(998, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '6')	goto yy999;
	if(yych <= '9')	goto yy50;
	goto yy56;
yy999:
	YYDEBUG(999, *YYCURSOR);
	yyaccept = 16;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 8) {
		goto yy50;
	}
	if(yych <= 'X'){
		if(yych <= 'G'){
			if(yych <= 'C'){
				if(yych == ' ')	goto yy56;
				goto yy1000;
			} else {
				if(yych == 'E')	goto yy1000;
				if(yych <= 'F')	goto yy56;
				goto yy1000;
			}
		} else {
			if(yych <= 'R'){
				if(yych <= 'H')	goto yy56;
				if(yych == 'M')	goto yy56;
				goto yy1000;
			} else {
				if(yych <= 'T')	goto yy56;
				if(yych == 'W')	goto yy56;
				goto yy1000;
			}
		}
	} else {
		if(yych <= 'l'){
			if(yych <= 'e'){
				if(yych <= 'Y')	goto yy56;
				if(yych == 'd')	goto yy56;
				goto yy1000;
			} else {
				if(yych == 'g')	goto yy1000;
				if(yych <= 'h')	goto yy56;
				goto yy1000;
			}
		} else {
			if(yych <= 'v'){
				if(yych <= 'm')	goto yy56;
				if(yych <= 'r')	goto yy1000;
				if(yych <= 't')	goto yy56;
				goto yy1000;
			} else {
				if(yych == 'x')	goto yy1000;
				if(yych <= 'y')	goto yy56;
				goto yy1000;
			}
		}
	}
yy1000:
	YYDEBUG(1000, *YYCURSOR);

{
		DEBUG_OUTPUT("pgydotd");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->d = timelib_get_nr((char **) &ptr, 3);
		s->time->m = 1;
		TIMELIB_PROCESS_YEAR(s->time->y);
		TIMELIB_DEINIT;
		return TIMELIB_PG_YEARDAY;
	}
yy1001:
	YYDEBUG(1001, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy999;
	goto yy56;
yy1002:
	YYDEBUG(1002, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '2'){
		if(yych <= '/')	goto yy56;
		if(yych >= '1')	goto yy1004;
		goto yy1003;
	} else {
		if(yych <= '3')	goto yy1005;
		if(yych <= '9')	goto yy999;
		goto yy56;
	}
yy1003:
	YYDEBUG(1003, *YYCURSOR);
	yyaccept = 16;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':	goto yy50;
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy1006;
	default:	goto yy1000;
	}
yy1004:
	YYDEBUG(1004, *YYCURSOR);
	yyaccept = 16;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy1006;
	default:	goto yy1000;
	}
yy1005:
	YYDEBUG(1005, *YYCURSOR);
	yyaccept = 16;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':	goto yy1006;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy50;
	default:	goto yy1000;
	}
yy1006:
	YYDEBUG(1006, *YYCURSOR);
	yyaccept = 17;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 8) {
		goto yy50;
	}
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy55;
	case 'D':	case 'd':	goto yy60;
	case 'F':	case 'f':	goto yy62;
	case 'H':	case 'h':	goto yy59;
	case 'M':	case 'm':	goto yy58;
	case 'S':	case 's':	goto yy57;
	case 'T':	goto yy1008;
	case 'W':	case 'w':	goto yy61;
	case 'Y':	case 'y':	goto yy63;
	case 't':	goto yy1009;
	default:	goto yy1007;
	}
yy1007:
	YYDEBUG(1007, *YYCURSOR);

{
		DEBUG_OUTPUT("datenocolon");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->m = timelib_get_nr((char **) &ptr, 2);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_NOCOLON;
	}
yy1008:
	YYDEBUG(1008, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'H'){
		if(yych <= '2'){
			if(yych <= '/')	goto yy52;
			if(yych <= '1')	goto yy1025;
			goto yy1026;
		} else {
			if(yych <= '9')	goto yy1027;
			if(yych <= 'G')	goto yy52;
			goto yy65;
		}
	} else {
		if(yych <= 'g'){
			if(yych == 'U')	goto yy66;
			goto yy52;
		} else {
			if(yych <= 'h')	goto yy65;
			if(yych == 'u')	goto yy66;
			goto yy52;
		}
	}
yy1009:
	YYDEBUG(1009, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'H'){
		if(yych <= '2'){
			if(yych <= '/')	goto yy52;
			if(yych >= '2')	goto yy1011;
			goto yy1010;
		} else {
			if(yych <= '9')	goto yy1012;
			if(yych <= 'G')	goto yy52;
			goto yy65;
		}
	} else {
		if(yych <= 'g'){
			if(yych == 'U')	goto yy66;
			goto yy52;
		} else {
			if(yych <= 'h')	goto yy65;
			if(yych == 'u')	goto yy66;
			goto yy52;
		}
	}
yy1010:
	YYDEBUG(1010, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1019;
	if(yych <= '9')	goto yy1012;
	goto yy52;
yy1011:
	YYDEBUG(1011, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '3')	goto yy1019;
	if(yych <= '5')	goto yy1013;
	goto yy52;
yy1012:
	YYDEBUG(1012, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '6')	goto yy52;
	goto yy1013;
yy1013:
	YYDEBUG(1013, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1014;
yy1014:
	YYDEBUG(1014, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1015;
	if(yych <= '6')	goto yy1016;
	goto yy52;
yy1015:
	YYDEBUG(1015, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1017;
	goto yy52;
yy1016:
	YYDEBUG(1016, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '0')	goto yy52;
	goto yy1017;
yy1017:
	YYDEBUG(1017, *YYCURSOR);
	++YYCURSOR;
	goto yy1018;
yy1018:
	YYDEBUG(1018, *YYCURSOR);

{
		int tz_not_found;
		DEBUG_OUTPUT("xmlrpc | xmlrpcnocolon | soap | wddx");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->m = timelib_get_nr((char **) &ptr, 2);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		s->time->h = timelib_get_nr((char **) &ptr, 2);
		s->time->i = timelib_get_nr((char **) &ptr, 2);
		s->time->s = timelib_get_nr((char **) &ptr, 2);
		if (*ptr == '.') {
			s->time->f = timelib_get_frac_nr((char **) &ptr, 9);
			if (*ptr) { /* timezone is optional */
				s->time->z = timelib_get_zone((char **) &ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb);
				s->errors += tz_not_found;
			}
		}
		TIMELIB_DEINIT;
		return TIMELIB_XMLRPC_SOAP;
	}
yy1019:
	YYDEBUG(1019, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1020;
	if(yych <= '9')	goto yy1014;
	goto yy52;
yy1020:
	YYDEBUG(1020, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1021;
	if(yych <= '6')	goto yy1022;
	if(yych <= '9')	goto yy1014;
	goto yy52;
yy1021:
	YYDEBUG(1021, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1023;
	if(yych <= '6')	goto yy1024;
	if(yych <= '9')	goto yy1017;
	goto yy52;
yy1022:
	YYDEBUG(1022, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '0')	goto yy1023;
	if(yych <= '5')	goto yy1015;
	if(yych <= '6')	goto yy1016;
	goto yy52;
yy1023:
	YYDEBUG(1023, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy1018;
	if(yych <= '9')	goto yy1017;
	goto yy1018;
yy1024:
	YYDEBUG(1024, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '0')	goto yy1017;
	goto yy1018;
yy1025:
	YYDEBUG(1025, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1034;
	if(yych <= '9')	goto yy1027;
	if(yych <= ':')	goto yy1028;
	goto yy52;
yy1026:
	YYDEBUG(1026, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '5'){
		if(yych <= '/')	goto yy52;
		if(yych <= '3')	goto yy1034;
		goto yy1013;
	} else {
		if(yych == ':')	goto yy1028;
		goto yy52;
	}
yy1027:
	YYDEBUG(1027, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1013;
	if(yych != ':')	goto yy52;
	goto yy1028;
yy1028:
	YYDEBUG(1028, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '6')	goto yy52;
	goto yy1029;
yy1029:
	YYDEBUG(1029, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1030;
yy1030:
	YYDEBUG(1030, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy1031;
yy1031:
	YYDEBUG(1031, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1032;
	if(yych <= '6')	goto yy1033;
	goto yy52;
yy1032:
	YYDEBUG(1032, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1017;
	goto yy52;
yy1033:
	YYDEBUG(1033, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '0')	goto yy1017;
	goto yy52;
yy1034:
	YYDEBUG(1034, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1020;
	if(yych <= '9')	goto yy1014;
	if(yych <= ':')	goto yy1028;
	goto yy52;
yy1035:
	YYDEBUG(1035, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '0')	goto yy50;
	if(yych <= '9')	goto yy999;
	goto yy56;
yy1036:
	YYDEBUG(1036, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '2'){
		if(yych <= '/')	goto yy56;
		if(yych <= '0')	goto yy1003;
		goto yy1004;
	} else {
		if(yych <= '3')	goto yy1005;
		if(yych <= '9')	goto yy999;
		goto yy56;
	}
yy1037:
	YYDEBUG(1037, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy1038;
	if(yych != 'c')	goto yy52;
	goto yy1038;
yy1038:
	YYDEBUG(1038, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'E')	goto yy1039;
	if(yych != 'e')	goto yy974;
	goto yy1039;
yy1039:
	YYDEBUG(1039, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy1040;
	if(yych != 'm')	goto yy52;
	goto yy1040;
yy1040:
	YYDEBUG(1040, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy1041;
	if(yych != 'b')	goto yy52;
	goto yy1041;
yy1041:
	YYDEBUG(1041, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1042;
	if(yych != 'e')	goto yy52;
	goto yy1042;
yy1042:
	YYDEBUG(1042, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1043;
	if(yych != 'r')	goto yy52;
	goto yy1043;
yy1043:
	YYDEBUG(1043, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy974;
yy1044:
	YYDEBUG(1044, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'V')	goto yy1045;
	if(yych != 'v')	goto yy52;
	goto yy1045;
yy1045:
	YYDEBUG(1045, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'E')	goto yy1046;
	if(yych != 'e')	goto yy974;
	goto yy1046;
yy1046:
	YYDEBUG(1046, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy1047;
	if(yych != 'm')	goto yy52;
	goto yy1047;
yy1047:
	YYDEBUG(1047, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy1048;
	if(yych != 'b')	goto yy52;
	goto yy1048;
yy1048:
	YYDEBUG(1048, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1049;
	if(yych != 'e')	goto yy52;
	goto yy1049;
yy1049:
	YYDEBUG(1049, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1043;
	if(yych == 'r')	goto yy1043;
	goto yy52;
yy1050:
	YYDEBUG(1050, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy1051;
	if(yych != 't')	goto yy52;
	goto yy1051;
yy1051:
	YYDEBUG(1051, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'O')	goto yy1052;
	if(yych != 'o')	goto yy974;
	goto yy1052;
yy1052:
	YYDEBUG(1052, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy1053;
	if(yych != 'b')	goto yy52;
	goto yy1053;
yy1053:
	YYDEBUG(1053, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1054;
	if(yych != 'e')	goto yy52;
	goto yy1054;
yy1054:
	YYDEBUG(1054, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1043;
	if(yych == 'r')	goto yy1043;
	goto yy52;
yy1055:
	YYDEBUG(1055, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'P'){
		if(yych == 'C')	goto yy120;
		if(yych <= 'O')	goto yy52;
		goto yy1056;
	} else {
		if(yych <= 'c'){
			if(yych <= 'b')	goto yy52;
			goto yy120;
		} else {
			if(yych != 'p')	goto yy52;
			goto yy1056;
		}
	}
yy1056:
	YYDEBUG(1056, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy1057;
	if(yych != 't')	goto yy974;
	goto yy1057;
yy1057:
	YYDEBUG(1057, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'E')	goto yy1058;
	if(yych != 'e')	goto yy974;
	goto yy1058;
yy1058:
	YYDEBUG(1058, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'M')	goto yy1059;
	if(yych != 'm')	goto yy52;
	goto yy1059;
yy1059:
	YYDEBUG(1059, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy1060;
	if(yych != 'b')	goto yy52;
	goto yy1060;
yy1060:
	YYDEBUG(1060, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1061;
	if(yych != 'e')	goto yy52;
	goto yy1061;
yy1061:
	YYDEBUG(1061, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1043;
	if(yych == 'r')	goto yy1043;
	goto yy52;
yy1062:
	YYDEBUG(1062, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy1066;
	if(yych == 'g')	goto yy1066;
	goto yy52;
yy1063:
	YYDEBUG(1063, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1064;
	if(yych != 'r')	goto yy52;
	goto yy1064;
yy1064:
	YYDEBUG(1064, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'I')	goto yy1065;
	if(yych != 'i')	goto yy974;
	goto yy1065;
yy1065:
	YYDEBUG(1065, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'L')	goto yy1043;
	if(yych == 'l')	goto yy1043;
	goto yy52;
yy1066:
	YYDEBUG(1066, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'U')	goto yy1067;
	if(yych != 'u')	goto yy974;
	goto yy1067;
yy1067:
	YYDEBUG(1067, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'S')	goto yy1068;
	if(yych != 's')	goto yy52;
	goto yy1068;
yy1068:
	YYDEBUG(1068, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy1043;
	if(yych == 't')	goto yy1043;
	goto yy52;
yy1069:
	YYDEBUG(1069, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych == 'R')	goto yy1070;
		if(yych <= 'X')	goto yy52;
		goto yy1043;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy52;
			goto yy1070;
		} else {
			if(yych == 'y')	goto yy1043;
			goto yy52;
		}
	}
yy1070:
	YYDEBUG(1070, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'C')	goto yy1071;
	if(yych != 'c')	goto yy974;
	goto yy1071;
yy1071:
	YYDEBUG(1071, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'H')	goto yy1043;
	if(yych == 'h')	goto yy1043;
	goto yy52;
yy1072:
	YYDEBUG(1072, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy1073;
	if(yych != 'b')	goto yy52;
	goto yy1073;
yy1073:
	YYDEBUG(1073, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'R')	goto yy1074;
	if(yych != 'r')	goto yy974;
	goto yy1074;
yy1074:
	YYDEBUG(1074, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'U')	goto yy1075;
	if(yych != 'u')	goto yy52;
	goto yy1075;
yy1075:
	YYDEBUG(1075, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy1076;
	if(yych != 'a')	goto yy52;
	goto yy1076;
yy1076:
	YYDEBUG(1076, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1077;
	if(yych != 'r')	goto yy52;
	goto yy1077;
yy1077:
	YYDEBUG(1077, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy1043;
	if(yych == 'y')	goto yy1043;
	goto yy52;
yy1078:
	YYDEBUG(1078, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'L')	goto yy1085;
		if(yych <= 'M')	goto yy52;
		goto yy1084;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy52;
			goto yy1085;
		} else {
			if(yych == 'n')	goto yy1084;
			goto yy52;
		}
	}
yy1079:
	YYDEBUG(1079, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy1080;
	if(yych != 'n')	goto yy52;
	goto yy1080;
yy1080:
	YYDEBUG(1080, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == 'U')	goto yy1081;
	if(yych != 'u')	goto yy974;
	goto yy1081;
yy1081:
	YYDEBUG(1081, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy1082;
	if(yych != 'a')	goto yy52;
	goto yy1082;
yy1082:
	YYDEBUG(1082, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1083;
	if(yych != 'r')	goto yy52;
	goto yy1083;
yy1083:
	YYDEBUG(1083, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy1043;
	if(yych == 'y')	goto yy1043;
	goto yy52;
yy1084:
	YYDEBUG(1084, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1043;
	if(yych == 'e')	goto yy1043;
	goto yy974;
yy1085:
	YYDEBUG(1085, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'Y')	goto yy1043;
	if(yych == 'y')	goto yy1043;
	goto yy974;
yy1086:
	YYDEBUG(1086, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy1043;
	goto yy974;
yy1087:
	YYDEBUG(1087, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'I')	goto yy974;
	goto yy1088;
yy1088:
	YYDEBUG(1088, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy1043;
	goto yy974;
yy1089:
	YYDEBUG(1089, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'I')	goto yy1043;
	goto yy974;
yy1090:
	YYDEBUG(1090, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '0')	goto yy1103;
	if(yych <= '9')	goto yy1102;
	goto yy52;
yy1091:
	YYDEBUG(1091, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1101;
	goto yy52;
yy1092:
	YYDEBUG(1092, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1099;
	if(yych <= '6')	goto yy1098;
	goto yy52;
yy1093:
	YYDEBUG(1093, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1072;
	if(yych == 'e')	goto yy1072;
	goto yy52;
yy1094:
	YYDEBUG(1094, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy1069;
	if(yych == 'a')	goto yy1069;
	goto yy52;
yy1095:
	YYDEBUG(1095, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1097;
	if(yych == 'e')	goto yy1097;
	goto yy52;
yy1096:
	YYDEBUG(1096, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1037;
	if(yych == 'e')	goto yy1037;
	goto yy52;
yy1097:
	YYDEBUG(1097, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy1056;
	if(yych == 'p')	goto yy1056;
	goto yy52;
yy1098:
	YYDEBUG(1098, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '6')	goto yy1100;
	goto yy52;
yy1099:
	YYDEBUG(1099, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1100;
yy1100:
	YYDEBUG(1100, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy1000;
yy1101:
	YYDEBUG(1101, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1100;
	goto yy52;
yy1102:
	YYDEBUG(1102, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1100;
	goto yy52;
yy1103:
	YYDEBUG(1103, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '0')	goto yy52;
	if(yych <= '9')	goto yy1100;
	goto yy52;
yy1104:
	YYDEBUG(1104, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '.')	goto yy52;
	if(yych <= '/')	goto yy1107;
	if(yych <= '0')	goto yy1106;
	if(yych <= '9')	goto yy1117;
	goto yy52;
yy1105:
	YYDEBUG(1105, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '.')	goto yy52;
	if(yych <= '/')	goto yy1107;
	if(yych <= '2')	goto yy1117;
	goto yy52;
yy1106:
	YYDEBUG(1106, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '/')	goto yy52;
	goto yy1107;
yy1107:
	YYDEBUG(1107, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '2')	goto yy1108;
	if(yych <= '3')	goto yy1110;
	if(yych <= '9')	goto yy1111;
	goto yy52;
yy1108:
	YYDEBUG(1108, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy1109;
		if(yych <= '9')	goto yy1111;
		if(yych >= 'n')	goto yy1113;
		goto yy1109;
	} else {
		if(yych <= 'r'){
			if(yych >= 'r')	goto yy1114;
			goto yy1109;
		} else {
			if(yych <= 's')	goto yy1112;
			if(yych <= 't')	goto yy1115;
			goto yy1109;
		}
	}
yy1109:
	YYDEBUG(1109, *YYCURSOR);

{
		DEBUG_OUTPUT("iso8601date | iso8601dateslash | dateslash");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr((char **) &ptr, 4);
		s->time->m = timelib_get_nr((char **) &ptr, 2);
		s->time->d = timelib_get_nr((char **) &ptr, 2);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
yy1110:
	YYDEBUG(1110, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy1109;
		if(yych <= '1')	goto yy1111;
		if(yych <= 'm')	goto yy1109;
		goto yy1113;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy1109;
			goto yy1114;
		} else {
			if(yych <= 's')	goto yy1112;
			if(yych <= 't')	goto yy1115;
			goto yy1109;
		}
	}
yy1111:
	YYDEBUG(1111, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'q'){
		if(yych == 'n')	goto yy1113;
		goto yy1109;
	} else {
		if(yych <= 'r')	goto yy1114;
		if(yych <= 's')	goto yy1112;
		if(yych <= 't')	goto yy1115;
		goto yy1109;
	}
yy1112:
	YYDEBUG(1112, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 't')	goto yy1116;
	goto yy52;
yy1113:
	YYDEBUG(1113, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy1116;
	goto yy52;
yy1114:
	YYDEBUG(1114, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'd')	goto yy1116;
	goto yy52;
yy1115:
	YYDEBUG(1115, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'h')	goto yy52;
	goto yy1116;
yy1116:
	YYDEBUG(1116, *YYCURSOR);
	yych = *++YYCURSOR;
	goto yy1109;
yy1117:
	YYDEBUG(1117, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '/')	goto yy52;
	goto yy1118;
yy1118:
	YYDEBUG(1118, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '2'){
		if(yych <= '/')	goto yy52;
		if(yych >= '1')	goto yy1120;
		goto yy1119;
	} else {
		if(yych <= '3')	goto yy1121;
		if(yych <= '9')	goto yy1111;
		goto yy52;
	}
yy1119:
	YYDEBUG(1119, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '0'){
			if(yych <= '/')	goto yy1109;
			goto yy1111;
		} else {
			if(yych <= '9')	goto yy1122;
			if(yych <= 'm')	goto yy1109;
			goto yy1113;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy1109;
			goto yy1114;
		} else {
			if(yych <= 's')	goto yy1112;
			if(yych <= 't')	goto yy1115;
			goto yy1109;
		}
	}
yy1120:
	YYDEBUG(1120, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy1109;
		if(yych <= '9')	goto yy1122;
		if(yych <= 'm')	goto yy1109;
		goto yy1113;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy1109;
			goto yy1114;
		} else {
			if(yych <= 's')	goto yy1112;
			if(yych <= 't')	goto yy1115;
			goto yy1109;
		}
	}
yy1121:
	YYDEBUG(1121, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy1109;
		if(yych <= '1')	goto yy1122;
		if(yych <= 'm')	goto yy1109;
		goto yy1113;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy1109;
			goto yy1114;
		} else {
			if(yych <= 's')	goto yy1112;
			if(yych <= 't')	goto yy1115;
			goto yy1109;
		}
	}
yy1122:
	YYDEBUG(1122, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych == '/')	goto yy1116;
		if(yych <= 'm')	goto yy1109;
		goto yy1113;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy1109;
			goto yy1114;
		} else {
			if(yych <= 's')	goto yy1112;
			if(yych <= 't')	goto yy1115;
			goto yy1109;
		}
	}
yy1123:
	YYDEBUG(1123, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'A')	goto yy1187;
		if(yych <= 'T')	goto yy52;
		goto yy1186;
	} else {
		if(yych <= 'a'){
			if(yych <= '`')	goto yy52;
			goto yy1187;
		} else {
			if(yych == 'u')	goto yy1186;
			goto yy52;
		}
	}
yy1124:
	YYDEBUG(1124, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1184;
	if(yych == 'e')	goto yy1184;
	goto yy52;
yy1125:
	YYDEBUG(1125, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'A')	goto yy1181;
	if(yych == 'a')	goto yy1181;
	goto yy52;
yy1126:
	YYDEBUG(1126, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'U'){
		if(yych == 'P')	goto yy1178;
		if(yych <= 'T')	goto yy52;
		goto yy1177;
	} else {
		if(yych <= 'p'){
			if(yych <= 'o')	goto yy52;
			goto yy1178;
		} else {
			if(yych == 'u')	goto yy1177;
			goto yy52;
		}
	}
yy1127:
	YYDEBUG(1127, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1174;
	if(yych == 'e')	goto yy1174;
	goto yy52;
yy1128:
	YYDEBUG(1128, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy1172;
	if(yych == 'c')	goto yy1172;
	goto yy52;
yy1129:
	YYDEBUG(1129, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'O')	goto yy1170;
	if(yych == 'o')	goto yy1170;
	goto yy52;
yy1130:
	YYDEBUG(1130, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'E')	goto yy1168;
	if(yych == 'e')	goto yy1168;
	goto yy52;
yy1131:
	YYDEBUG(1131, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/'){
		if(yych == '-')	goto yy856;
		goto yy52;
	} else {
		if(yych <= '0')	goto yy819;
		if(yych <= '9')	goto yy1133;
		goto yy52;
	}
yy1132:
	YYDEBUG(1132, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy856;
	if(yych <= '/')	goto yy52;
	if(yych >= '3')	goto yy52;
	goto yy1133;
yy1133:
	YYDEBUG(1133, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '-')	goto yy52;
	goto yy1134;
yy1134:
	YYDEBUG(1134, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '2'){
		if(yych <= '/')	goto yy52;
		if(yych >= '1')	goto yy1136;
		goto yy1135;
	} else {
		if(yych <= '3')	goto yy1137;
		if(yych <= '9')	goto yy860;
		goto yy52;
	}
yy1135:
	YYDEBUG(1135, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '0'){
			if(yych <= '/')	goto yy858;
			goto yy860;
		} else {
			if(yych <= '9')	goto yy1138;
			if(yych <= 'm')	goto yy858;
			goto yy862;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy858;
			goto yy863;
		} else {
			if(yych <= 's')	goto yy861;
			if(yych <= 't')	goto yy864;
			goto yy858;
		}
	}
yy1136:
	YYDEBUG(1136, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy858;
		if(yych <= '9')	goto yy1138;
		if(yych <= 'm')	goto yy858;
		goto yy862;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy858;
			goto yy863;
		} else {
			if(yych <= 's')	goto yy861;
			if(yych <= 't')	goto yy864;
			goto yy858;
		}
	}
yy1137:
	YYDEBUG(1137, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych <= '/')	goto yy858;
		if(yych <= '1')	goto yy1138;
		if(yych <= 'm')	goto yy858;
		goto yy862;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy858;
			goto yy863;
		} else {
			if(yych <= 's')	goto yy861;
			if(yych <= 't')	goto yy864;
			goto yy858;
		}
	}
yy1138:
	YYDEBUG(1138, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'n'){
		if(yych == 'T')	goto yy1139;
		if(yych <= 'm')	goto yy1109;
		goto yy862;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy1109;
			goto yy863;
		} else {
			if(yych <= 's')	goto yy861;
			if(yych <= 't')	goto yy864;
			goto yy1109;
		}
	}
yy1139:
	YYDEBUG(1139, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '1')	goto yy1140;
	if(yych <= '2')	goto yy1141;
	if(yych <= '9')	goto yy1142;
	goto yy52;
yy1140:
	YYDEBUG(1140, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1149;
	if(yych <= ':')	goto yy1143;
	goto yy52;
yy1141:
	YYDEBUG(1141, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '3')	goto yy1149;
	if(yych == ':')	goto yy1143;
	goto yy52;
yy1142:
	YYDEBUG(1142, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy1143;
yy1143:
	YYDEBUG(1143, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '6')	goto yy52;
	goto yy1144;
yy1144:
	YYDEBUG(1144, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1145;
yy1145:
	YYDEBUG(1145, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy1146;
yy1146:
	YYDEBUG(1146, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1147;
	if(yych <= '6')	goto yy1148;
	goto yy52;
yy1147:
	YYDEBUG(1147, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1017;
	goto yy52;
yy1148:
	YYDEBUG(1148, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '0')	goto yy1017;
	goto yy52;
yy1149:
	YYDEBUG(1149, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy1150;
yy1150:
	YYDEBUG(1150, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= '6')	goto yy52;
	goto yy1151;
yy1151:
	YYDEBUG(1151, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1152;
yy1152:
	YYDEBUG(1152, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != ':')	goto yy52;
	goto yy1153;
yy1153:
	YYDEBUG(1153, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1154;
	if(yych <= '6')	goto yy1155;
	goto yy52;
yy1154:
	YYDEBUG(1154, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1156;
	goto yy52;
yy1155:
	YYDEBUG(1155, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != '0')	goto yy52;
	goto yy1156;
yy1156:
	YYDEBUG(1156, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych != '.')	goto yy1018;
	goto yy1157;
yy1157:
	YYDEBUG(1157, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1158;
yy1158:
	YYDEBUG(1158, *YYCURSOR);
	yyaccept = 20;
	YYMARKER = ++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 6) YYFILL(6);
	yych = *YYCURSOR;
	goto yy1159;
yy1159:
	YYDEBUG(1159, *YYCURSOR);
	if(yych <= ','){
		if(yych != '+')	goto yy1018;
		goto yy1160;
	} else {
		if(yych <= '-')	goto yy1160;
		if(yych <= '/')	goto yy1018;
		if(yych <= '9')	goto yy1158;
		goto yy1018;
	}
yy1160:
	YYDEBUG(1160, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '1')	goto yy1161;
	if(yych <= '2')	goto yy1162;
	if(yych <= '9')	goto yy1163;
	goto yy52;
yy1161:
	YYDEBUG(1161, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy1018;
	if(yych <= '5')	goto yy1166;
	if(yych <= '9')	goto yy1163;
	if(yych <= ':')	goto yy1164;
	goto yy1018;
yy1162:
	YYDEBUG(1162, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '5'){
		if(yych <= '/')	goto yy1018;
		if(yych <= '3')	goto yy1166;
		goto yy1165;
	} else {
		if(yych == ':')	goto yy1164;
		goto yy1018;
	}
yy1163:
	YYDEBUG(1163, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy1018;
	if(yych <= '5')	goto yy1165;
	if(yych != ':')	goto yy1018;
	goto yy1164;
yy1164:
	YYDEBUG(1164, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/')	goto yy1018;
	if(yych >= '6')	goto yy1018;
	goto yy1165;
yy1165:
	YYDEBUG(1165, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '9')	goto yy1017;
	goto yy52;
yy1166:
	YYDEBUG(1166, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy1018;
	if(yych <= '5')	goto yy1167;
	if(yych <= '9')	goto yy1017;
	if(yych <= ':')	goto yy1164;
	goto yy1018;
yy1167:
	YYDEBUG(1167, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy1018;
	if(yych <= '9')	goto yy1017;
	goto yy1018;
yy1168:
	YYDEBUG(1168, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'C')	goto yy1169;
	if(yych != 'c')	goto yy52;
	goto yy1169;
yy1169:
	YYDEBUG(1169, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'E')	goto yy1039;
		if(yych == 'e')	goto yy1039;
		goto yy974;
	}
yy1170:
	YYDEBUG(1170, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'V')	goto yy1171;
	if(yych != 'v')	goto yy52;
	goto yy1171;
yy1171:
	YYDEBUG(1171, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'E')	goto yy1046;
		if(yych == 'e')	goto yy1046;
		goto yy974;
	}
yy1172:
	YYDEBUG(1172, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'T')	goto yy1173;
	if(yych != 't')	goto yy52;
	goto yy1173;
yy1173:
	YYDEBUG(1173, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'N'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'O')	goto yy1052;
		if(yych == 'o')	goto yy1052;
		goto yy974;
	}
yy1174:
	YYDEBUG(1174, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'P')	goto yy1175;
	if(yych != 'p')	goto yy52;
	goto yy1175;
yy1175:
	YYDEBUG(1175, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'S'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'T')	goto yy1176;
		if(yych != 't')	goto yy974;
		goto yy1176;
	}
yy1176:
	YYDEBUG(1176, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'E')	goto yy1058;
		if(yych == 'e')	goto yy1058;
		goto yy974;
	}
yy1177:
	YYDEBUG(1177, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'G')	goto yy1180;
	if(yych == 'g')	goto yy1180;
	goto yy52;
yy1178:
	YYDEBUG(1178, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'R')	goto yy1179;
	if(yych != 'r')	goto yy52;
	goto yy1179;
yy1179:
	YYDEBUG(1179, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'H'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'I')	goto yy1065;
		if(yych == 'i')	goto yy1065;
		goto yy974;
	}
yy1180:
	YYDEBUG(1180, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'U')	goto yy1067;
		if(yych == 'u')	goto yy1067;
		goto yy974;
	}
yy1181:
	YYDEBUG(1181, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Y'){
		if(yych == 'R')	goto yy1182;
		if(yych <= 'X')	goto yy52;
		goto yy1183;
	} else {
		if(yych <= 'r'){
			if(yych <= 'q')	goto yy52;
			goto yy1182;
		} else {
			if(yych == 'y')	goto yy1183;
			goto yy52;
		}
	}
yy1182:
	YYDEBUG(1182, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'B'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'C')	goto yy1071;
		if(yych == 'c')	goto yy1071;
		goto yy974;
	}
yy1183:
	YYDEBUG(1183, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '-')	goto yy948;
	goto yy974;
yy1184:
	YYDEBUG(1184, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'B')	goto yy1185;
	if(yych != 'b')	goto yy52;
	goto yy1185;
yy1185:
	YYDEBUG(1185, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'Q'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'R')	goto yy1074;
		if(yych == 'r')	goto yy1074;
		goto yy974;
	}
yy1186:
	YYDEBUG(1186, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'N'){
		if(yych == 'L')	goto yy1190;
		if(yych <= 'M')	goto yy52;
		goto yy1189;
	} else {
		if(yych <= 'l'){
			if(yych <= 'k')	goto yy52;
			goto yy1190;
		} else {
			if(yych == 'n')	goto yy1189;
			goto yy52;
		}
	}
yy1187:
	YYDEBUG(1187, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 'N')	goto yy1188;
	if(yych != 'n')	goto yy52;
	goto yy1188;
yy1188:
	YYDEBUG(1188, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'T'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'U')	goto yy1081;
		if(yych == 'u')	goto yy1081;
		goto yy974;
	}
yy1189:
	YYDEBUG(1189, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'D'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'E')	goto yy1043;
		if(yych == 'e')	goto yy1043;
		goto yy974;
	}
yy1190:
	YYDEBUG(1190, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= 'X'){
		if(yych == '-')	goto yy948;
		goto yy974;
	} else {
		if(yych <= 'Y')	goto yy1043;
		if(yych == 'y')	goto yy1043;
		goto yy974;
	}
yy1191:
	YYDEBUG(1191, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'T'){
		if(yych <= '-')	goto yy700;
		if(yych <= '.')	goto yy930;
		if(yych <= '/')	goto yy929;
		goto yy700;
	} else {
		if(yych <= 'U')	goto yy73;
		if(yych == 'u')	goto yy73;
		goto yy700;
	}
yy1192:
	YYDEBUG(1192, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'P'){
		if(yych == 'C')	goto yy120;
		if(yych <= 'O')	goto yy52;
		goto yy792;
	} else {
		if(yych <= 'c'){
			if(yych <= 'b')	goto yy52;
			goto yy120;
		} else {
			if(yych == 'p')	goto yy792;
			goto yy52;
		}
	}
yy1193:
	YYDEBUG(1193, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'm'){
		if(yych <= '.'){
			if(yych <= ',')	goto yy1195;
			if(yych <= '-')	goto yy698;
			goto yy930;
		} else {
			if(yych <= '/')	goto yy929;
			if(yych <= '9')	goto yy936;
			goto yy1195;
		}
	} else {
		if(yych <= 'r'){
			if(yych <= 'n')	goto yy695;
			if(yych <= 'q')	goto yy1195;
			goto yy696;
		} else {
			if(yych <= 's')	goto yy689;
			if(yych <= 't')	goto yy693;
			goto yy1195;
		}
	}
yy1194:
	YYDEBUG(1194, *YYCURSOR);
	++YYCURSOR;
	if((YYLIMIT - YYCURSOR) < 13) YYFILL(13);
	yych = *YYCURSOR;
	goto yy1195;
yy1195:
	YYDEBUG(1195, *YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	goto yy1194;
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':	goto yy699;
	case 'A':	case 'a':	goto yy782;
	case 'D':	case 'd':	goto yy691;
	case 'F':	case 'f':	goto yy692;
	case 'H':	case 'h':	goto yy59;
	case 'I':	goto yy702;
	case 'J':	case 'j':	goto yy706;
	case 'M':	case 'm':	goto yy690;
	case 'N':	case 'n':	goto yy709;
	case 'O':	case 'o':	goto yy708;
	case 'S':	case 's':	goto yy688;
	case 'T':	case 't':	goto yy64;
	case 'V':	goto yy704;
	case 'W':	case 'w':	goto yy61;
	case 'X':	goto yy705;
	case 'Y':	case 'y':	goto yy63;
	default:	goto yy52;
	}
yy1196:
	YYDEBUG(1196, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= ':'){
		if(yych <= '.'){
			if(yych <= ',')	goto yy1195;
			if(yych <= '-')	goto yy698;
			goto yy1197;
		} else {
			if(yych <= '/')	goto yy929;
			if(yych <= '5')	goto yy1199;
			if(yych <= '9')	goto yy936;
			goto yy1198;
		}
	} else {
		if(yych <= 'q'){
			if(yych == 'n')	goto yy695;
			goto yy1195;
		} else {
			if(yych <= 'r')	goto yy696;
			if(yych <= 's')	goto yy689;
			if(yych <= 't')	goto yy693;
			goto yy1195;
		}
	}
yy1197:
	YYDEBUG(1197, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '1'){
		if(yych <= '/')	goto yy700;
		if(yych <= '0')	goto yy1221;
		goto yy1222;
	} else {
		if(yych <= '5')	goto yy1223;
		if(yych <= '9')	goto yy1224;
		goto yy700;
	}
yy1198:
	YYDEBUG(1198, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1216;
	if(yych <= '9')	goto yy1217;
	goto yy52;
yy1199:
	YYDEBUG(1199, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == '-')	goto yy937;
	if(yych <= '/')	goto yy56;
	if(yych >= ':')	goto yy56;
	goto yy1200;
yy1200:
	YYDEBUG(1200, *YYCURSOR);
	yyaccept = 21;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':
	case '!':
	case '"':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':	case 'A':	case 'D':	case 'F':	case 'H':
	case 'I':
	case 'J':	case 'M':
	case 'N':
	case 'O':	case 'S':
	case 'T':	case 'V':	case 'X':
	case 'Y':	case 'a':	case 'd':	case 'f':	case 'h':	case 'j':	case 'm':
	case 'n':
	case 'o':	case 's':
	case 't':	case 'w':	case 'y':	goto yy969;
	case '-':	goto yy966;
	case '.':	goto yy972;
	case '/':	goto yy967;
	case '0':	goto yy1202;
	case '1':	goto yy1203;
	case '2':	goto yy1204;
	case '3':	goto yy1205;
	case '4':
	case '5':	goto yy1206;
	case '6':	goto yy1207;
	case '7':
	case '8':
	case '9':	goto yy50;
	case 'W':	goto yy989;
	default:	goto yy1201;
	}
yy1201:
	YYDEBUG(1201, *YYCURSOR);

{
		DEBUG_OUTPUT("gnunocolon");
		TIMELIB_INIT;
		switch (s->time->have_time) {
			case 0:
				s->time->h = timelib_get_nr((char **) &ptr, 2);
				s->time->i = timelib_get_nr((char **) &ptr, 2);
				s->time->s = 0;
				break;
			case 1:
				s->time->y = timelib_get_nr((char **) &ptr, 4);
				break;
			default:
				TIMELIB_DEINIT;
				return TIMELIB_ERROR;
		}
		s->time->have_time++;
		TIMELIB_DEINIT;
		return TIMELIB_GNU_NOCOLON;
	}
yy1202:
	YYDEBUG(1202, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '0')	goto yy1214;
	if(yych <= '9')	goto yy1215;
	goto yy56;
yy1203:
	YYDEBUG(1203, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '2')	goto yy1213;
	if(yych <= '9')	goto yy1212;
	goto yy56;
yy1204:
	YYDEBUG(1204, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy1212;
	goto yy56;
yy1205:
	YYDEBUG(1205, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '5')	goto yy1210;
	if(yych <= '6')	goto yy1211;
	if(yych <= '9')	goto yy1208;
	goto yy56;
yy1206:
	YYDEBUG(1206, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '9')	goto yy1208;
	goto yy56;
yy1207:
	YYDEBUG(1207, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy56;
	if(yych <= '0')	goto yy1208;
	if(yych <= '9')	goto yy50;
	goto yy56;
yy1208:
	YYDEBUG(1208, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yybm[0+yych] & 8) {
		goto yy50;
	}
	if(yych <= 'X'){
		if(yych <= 'G'){
			if(yych <= 'C'){
				if(yych == ' ')	goto yy56;
				goto yy1209;
			} else {
				if(yych == 'E')	goto yy1209;
				if(yych <= 'F')	goto yy56;
				goto yy1209;
			}
		} else {
			if(yych <= 'R'){
				if(yych <= 'H')	goto yy56;
				if(yych == 'M')	goto yy56;
				goto yy1209;
			} else {
				if(yych <= 'T')	goto yy56;
				if(yych == 'W')	goto yy56;
				goto yy1209;
			}
		}
	} else {
		if(yych <= 'l'){
			if(yych <= 'e'){
				if(yych <= 'Y')	goto yy56;
				if(yych == 'd')	goto yy56;
				goto yy1209;
			} else {
				if(yych == 'g')	goto yy1209;
				if(yych <= 'h')	goto yy56;
				goto yy1209;
			}
		} else {
			if(yych <= 'v'){
				if(yych <= 'm')	goto yy56;
				if(yych <= 'r')	goto yy1209;
				if(yych <= 't')	goto yy56;
				goto yy1209;
			} else {
				if(yych == 'x')	goto yy1209;
				if(yych <= 'y')	goto yy56;
				goto yy1209;
			}
		}
	}
yy1209:
	YYDEBUG(1209, *YYCURSOR);

{
		int tz_not_found;
		DEBUG_OUTPUT("iso8601nocolon");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr((char **) &ptr, 2);
		s->time->i = timelib_get_nr((char **) &ptr, 2);
		s->time->s = timelib_get_nr((char **) &ptr, 2);

		if (*ptr != '\0') {
			s->time->z = timelib_get_zone((char **) &ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb);
			s->errors += tz_not_found;
		}
		TIMELIB_DEINIT;
		return TIMELIB_ISO_NOCOLON;
	}
yy1210:
	YYDEBUG(1210, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy999;
	default:	goto yy1209;
	}
yy1211:
	YYDEBUG(1211, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':	goto yy999;
	case '7':
	case '8':
	case '9':	goto yy50;
	default:	goto yy1209;
	}
yy1212:
	YYDEBUG(1212, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy999;
	default:	goto yy1209;
	}
yy1213:
	YYDEBUG(1213, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':	goto yy1003;
	case '1':
	case '2':	goto yy1004;
	case '3':	goto yy1005;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy999;
	default:	goto yy1209;
	}
yy1214:
	YYDEBUG(1214, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':	goto yy50;
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy999;
	default:	goto yy1209;
	}
yy1215:
	YYDEBUG(1215, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	YYDEBUG(-1, yych);
	switch(yych){
	case ' ':	case 'D':	case 'F':	case 'H':	case 'M':	case 'S':
	case 'T':	case 'W':	case 'Y':	case 'd':	case 'f':	case 'h':	case 'm':	case 's':
	case 't':	case 'w':	case 'y':	goto yy56;
	case '0':	goto yy1003;
	case '1':
	case '2':	goto yy1004;
	case '3':	goto yy1005;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy999;
	default:	goto yy1209;
	}
yy1216:
	YYDEBUG(1216, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy1218;
		goto yy717;
	} else {
		if(yych <= '9')	goto yy1217;
		if(yych <= ':')	goto yy1218;
		goto yy717;
	}
yy1217:
	YYDEBUG(1217, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy1218;
	if(yych != ':')	goto yy717;
	goto yy1218;
yy1218:
	YYDEBUG(1218, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1219;
	if(yych <= '6')	goto yy1220;
	if(yych <= '9')	goto yy722;
	goto yy52;
yy1219:
	YYDEBUG(1219, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych <= '/')	goto yy717;
	if(yych <= '9')	goto yy722;
	goto yy717;
yy1220:
	YYDEBUG(1220, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych == '0')	goto yy722;
	goto yy717;
yy1221:
	YYDEBUG(1221, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy1225;
		goto yy717;
	} else {
		if(yych <= '9')	goto yy1224;
		if(yych <= ':')	goto yy1218;
		goto yy717;
	}
yy1222:
	YYDEBUG(1222, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy1225;
		goto yy717;
	} else {
		if(yych <= '2')	goto yy1224;
		if(yych <= '9')	goto yy1217;
		if(yych <= ':')	goto yy1218;
		goto yy717;
	}
yy1223:
	YYDEBUG(1223, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy1225;
		goto yy717;
	} else {
		if(yych <= '9')	goto yy1217;
		if(yych <= ':')	goto yy1218;
		goto yy717;
	}
yy1224:
	YYDEBUG(1224, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy1225;
	if(yych == ':')	goto yy1218;
	goto yy717;
yy1225:
	YYDEBUG(1225, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '/')	goto yy52;
	if(yych <= '5')	goto yy1226;
	if(yych <= '6')	goto yy1227;
	if(yych <= '9')	goto yy810;
	goto yy52;
yy1226:
	YYDEBUG(1226, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych <= '/')	goto yy717;
	if(yych <= '9')	goto yy1228;
	goto yy717;
yy1227:
	YYDEBUG(1227, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych <= '/'){
		if(yych == '.')	goto yy723;
		goto yy717;
	} else {
		if(yych <= '0')	goto yy1228;
		if(yych <= '9')	goto yy811;
		goto yy717;
	}
yy1228:
	YYDEBUG(1228, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == '.')	goto yy723;
	if(yych <= '/')	goto yy717;
	if(yych <= '9')	goto yy813;
	goto yy717;
yy1229:
	YYDEBUG(1229, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= ':'){
		if(yych <= '.'){
			if(yych <= ',')	goto yy687;
			if(yych <= '-')	goto yy698;
			goto yy701;
		} else {
			if(yych <= '/')	goto yy697;
			if(yych <= '5')	goto yy1199;
			if(yych <= '9')	goto yy936;
			goto yy710;
		}
	} else {
		if(yych <= 'q'){
			if(yych == 'n')	goto yy695;
			goto yy687;
		} else {
			if(yych <= 'r')	goto yy696;
			if(yych <= 's')	goto yy689;
			if(yych <= 't')	goto yy693;
			goto yy687;
		}
	}
yy1230:
	YYDEBUG(1230, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= ':'){
		if(yych <= '.'){
			if(yych <= ',')	goto yy1195;
			if(yych <= '-')	goto yy698;
			goto yy1197;
		} else {
			if(yych <= '/')	goto yy697;
			if(yych <= '5')	goto yy1199;
			if(yych <= '9')	goto yy936;
			goto yy1198;
		}
	} else {
		if(yych <= 'q'){
			if(yych == 'n')	goto yy695;
			goto yy1195;
		} else {
			if(yych <= 'r')	goto yy696;
			if(yych <= 's')	goto yy689;
			if(yych <= 't')	goto yy693;
			goto yy1195;
		}
	}
yy1231:
	YYDEBUG(1231, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '0')	goto yy52;
	if(yych >= ':')	goto yy52;
	goto yy1232;
yy1232:
	YYDEBUG(1232, *YYCURSOR);
	++YYCURSOR;
	if(YYLIMIT == YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	goto yy1233;
yy1233:
	YYDEBUG(1233, *YYCURSOR);
	if(yych <= '/')	goto yy1234;
	if(yych <= '9')	goto yy1232;
	goto yy1234;
yy1234:
	YYDEBUG(1234, *YYCURSOR);

{
		timelib_ull i;

		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_DATE();
		TIMELIB_UNHAVE_TIME();

		i = timelib_get_unsigned_nr((char **) &ptr, 24);
		s->time->y = 1970;
		s->time->m = 1;
		s->time->d = 1;
		s->time->h = s->time->i = s->time->s = 0;
		s->time->f = 0.0;
		s->time->relative.s += i;
		s->time->is_localtime = 1;
		s->time->zone_type = TIMELIB_ZONETYPE_OFFSET;
		s->time->z = 0;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy1235:
	YYDEBUG(1235, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '`'){
		if(yych <= ')'){
			if(yych <= '(')	goto yy3;
			goto yy131;
		} else {
			if(yych <= '@')	goto yy3;
			if(yych <= 'Z')	goto yy133;
			goto yy3;
		}
	} else {
		if(yych <= 'l'){
			if(yych != 'd')	goto yy133;
			goto yy1236;
		} else {
			if(yych <= 'm')	goto yy1237;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy1236:
	YYDEBUG(1236, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy134;
	} else {
		if(yych <= '`')	goto yy3;
		if(yych <= 'a')	goto yy1244;
		if(yych <= 'z')	goto yy134;
		goto yy3;
	}
yy1237:
	YYDEBUG(1237, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy134;
	} else {
		if(yych <= 'n'){
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'o')	goto yy1238;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy1238:
	YYDEBUG(1238, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == ')')	goto yy131;
	if(yych != 'r')	goto yy3;
	goto yy1239;
yy1239:
	YYDEBUG(1239, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'r')	goto yy52;
	goto yy1240;
yy1240:
	YYDEBUG(1240, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'o')	goto yy52;
	goto yy1241;
yy1241:
	YYDEBUG(1241, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'w')	goto yy52;
	goto yy1242;
yy1242:
	YYDEBUG(1242, *YYCURSOR);
	++YYCURSOR;
	goto yy1243;
yy1243:
	YYDEBUG(1243, *YYCURSOR);

{
		DEBUG_OUTPUT("tomorrow");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_TIME();

		s->time->relative.d = 1;
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy1244:
	YYDEBUG(1244, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == ')')	goto yy131;
	if(yych != 'y')	goto yy3;
	goto yy1245;
yy1245:
	YYDEBUG(1245, *YYCURSOR);
	++YYCURSOR;
	goto yy1246;
yy1246:
	YYDEBUG(1246, *YYCURSOR);

{
		DEBUG_OUTPUT("midnight | today");
		TIMELIB_INIT;
		TIMELIB_UNHAVE_TIME();

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy1247:
	YYDEBUG(1247, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy133;
	} else {
		if(yych <= 'c'){
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 'd')	goto yy1248;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy1248:
	YYDEBUG(1248, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy134;
	} else {
		if(yych <= 'm'){
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'n')	goto yy1249;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy1249:
	YYDEBUG(1249, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == ')')	goto yy131;
	if(yych != 'i')	goto yy3;
	goto yy1250;
yy1250:
	YYDEBUG(1250, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'g')	goto yy52;
	goto yy1251;
yy1251:
	YYDEBUG(1251, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'h')	goto yy52;
	goto yy1252;
yy1252:
	YYDEBUG(1252, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych == 't')	goto yy1245;
	goto yy52;
yy1253:
	YYDEBUG(1253, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= '`'){
		if(yych <= '@'){
			if(yych == ')')	goto yy131;
			goto yy3;
		} else {
			if(yych == 'V')	goto yy515;
			if(yych <= 'Z')	goto yy133;
			goto yy3;
		}
	} else {
		if(yych <= 'u'){
			if(yych == 'o')	goto yy1256;
			goto yy133;
		} else {
			if(yych <= 'v')	goto yy515;
			if(yych <= 'w')	goto yy1254;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy1254:
	YYDEBUG(1254, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) <= '@'){
		if(yych == ')')	goto yy131;
		goto yy1255;
	} else {
		if(yych <= 'Z')	goto yy134;
		if(yych <= '`')	goto yy1255;
		if(yych <= 'z')	goto yy134;
		goto yy1255;
	}
yy1255:
	YYDEBUG(1255, *YYCURSOR);

{
		DEBUG_OUTPUT("now");
		TIMELIB_INIT;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy1256:
	YYDEBUG(1256, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy134;
	} else {
		if(yych <= 'm'){
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 'n')	goto yy1257;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy1257:
	YYDEBUG(1257, *YYCURSOR);
	++YYCURSOR;
	if((yych = *YYCURSOR) == ')')	goto yy131;
	goto yy1258;
yy1258:
	YYDEBUG(1258, *YYCURSOR);

{
		DEBUG_OUTPUT("noon");
		TIMELIB_INIT;
		TIMELIB_UNHAVE_TIME();
		TIMELIB_HAVE_TIME();
		s->time->h = 12;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
yy1259:
	YYDEBUG(1259, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy133;
	} else {
		if(yych <= 'r'){
			if(yych <= '`')	goto yy3;
			goto yy133;
		} else {
			if(yych <= 's')	goto yy1260;
			if(yych <= 'z')	goto yy133;
			goto yy3;
		}
	}
yy1260:
	YYDEBUG(1260, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych <= 'Z'){
		if(yych == ')')	goto yy131;
		if(yych <= '@')	goto yy3;
		goto yy134;
	} else {
		if(yych <= 's'){
			if(yych <= '`')	goto yy3;
			goto yy134;
		} else {
			if(yych <= 't')	goto yy1261;
			if(yych <= 'z')	goto yy134;
			goto yy3;
		}
	}
yy1261:
	YYDEBUG(1261, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if(yych == ')')	goto yy131;
	if(yych != 'e')	goto yy3;
	goto yy1262;
yy1262:
	YYDEBUG(1262, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'r')	goto yy52;
	goto yy1263;
yy1263:
	YYDEBUG(1263, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'd')	goto yy52;
	goto yy1264;
yy1264:
	YYDEBUG(1264, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'a')	goto yy52;
	goto yy1265;
yy1265:
	YYDEBUG(1265, *YYCURSOR);
	yych = *++YYCURSOR;
	if(yych != 'y')	goto yy52;
	goto yy1266;
yy1266:
	YYDEBUG(1266, *YYCURSOR);
	++YYCURSOR;
	goto yy1267;
yy1267:
	YYDEBUG(1267, *YYCURSOR);

{
		DEBUG_OUTPUT("yesterday");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_TIME();

		s->time->relative.d = -1;
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
}
}

}

#define YYMAXFILL 26


timelib_time* timelib_strtotime(char *s, int len, int *errors, timelib_tzdb *tzdb)
{
	Scanner in;
	int t;
	char *e = s + len - 1;

	while (isspace(*s) && s < e) {
		s++;
	}
	while (isspace(*e) && e > s) {
		e--;
	}
	if (e - s < 1) {
		*errors = 1;
		in.time = timelib_time_ctor();
		in.time->y = in.time->d = in.time->m = in.time->h = in.time->i = in.time->s = in.time->f = in.time->z = in.time->dst = -1;
		in.time->is_localtime = in.time->zone_type = 0;
		return in.time;
	}
	e++;

	memset(&in, 0, sizeof(in));
	in.str = malloc((e - s) + YYMAXFILL);
	memset(in.str, 0, (e - s) + YYMAXFILL);
	memcpy(in.str, s, (e - s));
	in.lim = in.str + (e - s) + YYMAXFILL;
	in.cur = in.str;
	in.time = timelib_time_ctor();
	in.time->y = -1;
	in.time->d = -1;
	in.time->m = -1;
	in.time->h = -1;
	in.time->i = -1;
	in.time->s = -1;
	in.time->f = -1;
	in.time->z = -1;
	in.time->dst = -1;
	in.errors = 0;
	in.tzdb = tzdb;
	in.time->is_localtime = 0;
	in.time->zone_type = 0;

	do {
		t = scan(&in);
#ifdef DEBUG_PARSER
		printf("%d\n", t);
#endif
	} while(t != EOI);

	free(in.str);
	*errors = in.errors;
	return in.time;
}

void timelib_fill_holes(timelib_time *parsed, timelib_time *now, int options)
{
	if (!(options && TIMELIB_OVERRIDE_TIME) && parsed->have_date && !parsed->have_time) {
		parsed->h = 0;
		parsed->i = 0;
		parsed->s = 0;
		parsed->f = 0;
	}
	if (parsed->y == -1) parsed->y = now->y != -1 ? now->y : 0;
	if (parsed->d == -1) parsed->d = now->d != -1 ? now->d : 0;
	if (parsed->m == -1) parsed->m = now->m != -1 ? now->m : 0;
	if (parsed->h == -1) parsed->h = now->h != -1 ? now->h : 0;
	if (parsed->i == -1) parsed->i = now->i != -1 ? now->i : 0;
	if (parsed->s == -1) parsed->s = now->s != -1 ? now->s : 0;
	if (parsed->f == -1) parsed->f = now->f != -1 ? now->f : 0;
	if (parsed->z == -1) parsed->z = now->z != -1 ? now->z : 0;
	if (parsed->dst == -1) parsed->dst = now->dst != -1 ? now->dst : 0;

	if (!parsed->tz_abbr) {
		parsed->tz_abbr = now->tz_abbr ? strdup(now->tz_abbr) : NULL;
	}
	if (!parsed->tz_info) {
		parsed->tz_info = now->tz_info ? timelib_tzinfo_clone(now->tz_info) : NULL;
	}
	if (parsed->zone_type == 0 && now->zone_type != 0) {
		parsed->zone_type = now->zone_type;
/*		parsed->tz_abbr = now->tz_abbr ? strdup(now->tz_abbr) : NULL;
		parsed->tz_info = now->tz_info ? timelib_tzinfo_clone(now->tz_info) : NULL;
*/		parsed->is_localtime = 1;
	}
/*	timelib_dump_date(parsed, 2);
	timelib_dump_date(now, 2);
*/
}

char *timelib_timezone_id_from_abbr(const char *abbr, long gmtoffset, int isdst)
{
	timelib_tz_lookup_table *tp;

	tp = zone_search(abbr, gmtoffset, isdst);
	if (tp) {
		return (tp->full_tz_name);
	} else {
		return NULL;
	}
}

timelib_tz_lookup_table *timelib_timezone_abbreviations_list(void)
{
	return timelib_timezone_lookup;
}

#ifdef DEBUG_PARSER_STUB
int main(void)
{
	timelib_time time = timelib_strtotime("May 12");

	printf ("%04d-%02d-%02d %02d:%02d:%02d.%-5d %+04d %1d",
		time.y, time.m, time.d, time.h, time.i, time.s, time.f, time.z, time.dst);
	if (time.have_relative) {
		printf ("%3dY %3dM %3dD / %3dH %3dM %3dS", 
			time.relative.y, time.relative.m, time.relative.d, time.relative.h, time.relative.i, time.relative.s);
	}
	if (time.have_weekday_relative) {
		printf (" / %d", time.relative.weekday);
	}
	if (time.have_weeknr_day) {
		printf(" / %dW%d", time.relative.weeknr_day.weeknr, time.relative.weeknr_day.dayofweek);
	}
	return 0;				
}
#endif

/*
 * vim: syntax=c
 */
